About SeismoBuild

SeismoBuild is a Finite Element package for structural assessment, capable of carrying out all the Code defined checks, taking into account both geometric nonlinearities and material inelasticity.

Important features

Some of the more important features of SeismoBuild are summarised in what follow:

General

  • International System of Units (SI) and Imperial Units supported
  • European and American reinforcing rebar types
  • support for Eurocodes, ASCE (American Code for Seismic Evaluation and Retrofit of Existing Buildings), NTC-18 (Italian National Seismic Code), NTC-08 (Italian National Seismic Code), KANEPE (Greek Seismic Interventions Code) and TBDY (Turkish Seismic Evaluation Building Code)

Building Modeller

  • easy CAD-based input; the floor's plan view can be used as background
  • predefined built-in cross sections for both existing and strengthened (jacketed) members (rectangular, L-shaped, T-shaped, circular, shear walls, normal or inverted T-beams)
  • very fast input of the longitudinal and transverse rebars through reinforcement patterns
  • graphical input of additional rebars at any location
  • predefined material sets for existing and new members; multiple material sets may be applied to the same model
  • easy modelling of strengthening with Fibre-Reinforced Polymers (FRP) wraps; a large library of existing FRP materials is available
  • simple input with a few mouse clicks for columns, slabs, beams and walls
  • simple insertion of stairs
  • easy modelling of inclined beams and slabs
  • automatic column subdivision to model short columns
  • advanced editing, copying and member renumbering facilities
  • snap, grid and ortho facilities

Codes and Standards

  • straightforward definition of code-based parameters
  • simple input of limit states, building performance levels, earthquake hazard levels and knowledge levels
  • easy definition of the parameters needed for the nonlinear analysis, with a range of predefined settings schemes and detailed guidelines with suggestions by the program

Structural Modelling, Analysis and Checks

  • after the model input is completed, the structural model is automatically created by the program (material models, nodes, FE mesh, elements, offsets, mass distribution and loading patterns)
  • geometric nonlinearities and material inelasticity are considered
  • large library of nonlinear models for concrete and steel materials
  • fibre-based inelastic frame elements
  • distributed plasticity models to accurately model the distribution of inelasticity along the entire height of large walls
  • eigenvalue, pushover and dynamic analyses supported
  • SeismoStruct's advanced, accurate and stable nonlinear solver is employed
  • automatic calculation of the target displacement
  • numerical stability and accuracy at very high strain levels. Smart subdivision of the loading increment, whenever convergence problems arise.
  • detailed and intuitive presentation of the analytical results; tables, charts and 3D plots are available
  • 3D plots with the deformed shapes; AVI movies to illustrate the sequence of structural deformation
  • all the code-defined capacity checks are supported (shear capacity, chord rotation capacity, inter-storey drift level, beam-column joints checks)
  • checks presented on a table and on the 3D plot; the members where the capacity is exceeded are highlighted with red

Deliverables

  • detailed technical report in PDF, RTF or HTML format; the content (text, plots and tables) and the size of the report are determined by the users
  • CAD drawings with plan views, members' cross sections and reinforcement tables; specially created *.ctb files are included
  • easy copying of all the data, tables and plots to any other Windows application
About SeismoBuild | Getting Started | Building Modeller | Code Requirements | Analysis Parameters | Eigenvalue analysis | Pushover and Dynamic analysis | Checks | Report | Other Capabilities | Codes | Theoretical Background | Convergence Problems
SeismoBuild's Help System - © 2002-2021 Seismosoft Ltd. All rights reserved.


What's New

Below, please find an overview of the improvements and new features introduced in SeismoBuild; do familiarise yourself in particular with those introduced in this latest release.

2020-11-24, SeismoBuild 2021 released

New analysis/modelling capabilities

  1. Nonlinear Dynamic Analysis available
  2. Different steel materials for the transverse and the longitudinal reinforcement
  3. New diamond stirrups in transverse reinforcement of rectangular column, jacketed rectangular column and walls' confined edges

2019-11-11, SeismoBuild 2020 released

New analysis/modelling capabilities

  1. Support for the majority of the EC8 National Annexes
  2. Ability to compute Target displacements on the basis of User Defined Spectra including available spectra from 29 National Codes, Spectra computed from acceleration time-series or spectra uploaded in the program by the user in form of text file
  3. New infrmDBPH element type with better stability and automatic calcullation of the plastic rotation capacity values according to the ASCE 41-17

New features

  1. Ability to export a Seismobuild project into XML file and import a Seismobuild project from an XML file
  2. New visualization capabilities in the Code-Based Checks Module

2018-06-06, SeismoBuild 2018 released

New analysis/modelling capabilities

  1. Support for American Code for Seismic Evaluation and Retrofit of Existing Buildings (ASCE 41-13), Italian National Seismic Code (NTC-18) and Turkish Seismic Evaluation Building Code (TBDY)
  2. Three new material steel models; Ramberg-Osgood steel mode, Giuffre-Menegotto-Pinto steel model and bilinear steel model with isotropic strain hardening
  3. Several changes to enable easier convergence, including (i) a new convergence criterion with adaptable norm, and (ii) the display in the Post-Processor of the members or locations, where the convergence problems are caused, a feature that enables the easy identification of the members that lead to the convergence difficulties
  4. Ability to create and print tables with all the members and their properties in the Building Modeller; this is ideal for the final checks of the structural configuration
  5. Ability to change simultaneously particular parameters (e.g. reinforcement, materials, FRP wraps, advanced member properties etc.) of several members at once
  6. Copy Member Properties feature in the Building Modeller, which enables the copying and pasting of the properties of a member to another member with a single click; it is similar to MS Word’s Format Painter
  7. Ability to immediately send the model to Seismosoft, in the case of convergence or modelling difficulties, so that it is debugged by our team of specialists in nonlinear analysis (this feature is available for commercial users only)
  8. The list with FRP wraps suppliers has been enriched
  9. Ability to add a slab by identifying its perimeter with a series of mouse clicks
  10. Ability to rotate and move the model in plan view in the Building Modeller
  11. Ability to select the Control Node at different locations of the building, when creating the model from the Building Modeller
  12. In the Building Modeller the reinforcement ratio ρ is now shown on the member’s Properties Window; if ρ becomes smaller than the limits ρmin & ρmax, as proposed by the selected Standard, the reinforcement ratio is displayed with red, in order to warn the users
  13. Libraries with predefined material strengths are available, depending on the year of construction of the building, according to the tables provided by the ASCE 41-13 and KANEPE Standards

New post-processing features

  1. Ability to display of the plastic hinge locations and the locations of damage in the Deformed Shape Viewer of the Post-Processor
  2. New Seismic Risk Classification according to the Italian Standards (available only in NTC-18 & NTC-08)

2016-07-04, SeismoBuild 2016 released

SeismoBuild has been programmed from scratch, and in its entirety, at Seismosoft. The first stable version was released in July 2016, after a total period of approximately 4 years of development.

About SeismoBuild | Getting Started | Building Modeller | Code Requirements | Analysis Parameters | Eigenvalue analysis | Pushover and Dynamic analysis | Checks | Report | Other Capabilities | Codes | Theoretical Background | Convergence Problems


Technical Support

Seismosoft applications feature extensive and detailed built-in Help Systems, which should, in the majority of cases, provide users with all the technical assistance they require. However, should the latter come across difficulties which cannot apparently be solved by a simple reading of this Help System, then access to the Discussion Forum might prove useful (please do make sure you use the 'Search' function, to look for past discussions on the topic of your interest, before posting a new query).

It is also noted that SeismoBuild is a Finite Element package for structural assessment, capable of carrying out all the code defined checks, taking into account both geometric nonlinearities and material inelasticity. It might be beneficial for users to search additional guidance and theoretical insight into these issues in the technical publications indicated in our Bibliography list.


Bibliography

Abbasi V., Daudeville L., Kotronis P., Mazars J. [2004] "Using damage mechanics to model a four story RC framed structure submitted to earthquake loading," Proceedings of the Fifth International Conference on Fracture Mechanics of Concrete Structures, Vol. 2, pp. 823-830.

ACI 318-14 [2014] American Concrete Institute: Building Code Requirements for Structural Concrete (ACI 318M-14 and Commentary.

ACI 440.2R-08 [2008] American Concrete Institute: Guide for the Design and Construction of Externally Bonded FRP Systems for Strengthening Concrete Structures.

Ahmad S.H., Shah S.P. [1982] "Stress-strain curves of concrete confined by spiral reinforcement," Journal of the American Concrete Institute, pp. 484-490.

Allotey N.K., El Naggar M.H. [2005a] "Cyclic Normal Force-Displacement Model for Nonlinear Soil-Structure Interaction Analysis: SeismoStruct Implementation," Research Report No. GEOT-02-05, Geotechnical Research Centre, Department of Civil & Environmental Engineering, University of Western Ontario, London, Ontario, Canada.

Allotey N.K., El Naggar M.H. [2005b] "Cyclic soil-structure interaction model for performance-based design," Proceedings of the Satellite Conference on Recent Developments in Earthquake Geotechnical Engineering, TC4 ISSMGE, Osaka, Japan.

Ameny P., Loov R.E., Shrive N.G. [1983] "Prediction of elastic behaviour of masonry," International Journal of Masonry Construction, Vol. 3, No. 1, pp. 1-9.

Annaki M., Lee K.L.L. [1977] "Equivalent uniform cycle concept for soil dynamics," Journal of Geotechnical Engineering Division, ASCE, Vol. 103, No. GT6, pp. 549-564.

Anthes R.J. [1997] "Modified rainflow counting keeping the load sequence," International Journal of Fatigue, Vol. 19, No. 7, pp. 529-535.

Alemdar B.N., White D.W. [2005] "Displacement, flexibility, and mixed beam-column finite element formulations for distributed plasticity analysis," Journal of Structural Engineering, Vol. 131, No. 12, pp. 1811-1819.

Antoniou S., Rovithakis A., Pinho R. [2002] "Development and verification of a fully adaptive pushover procedure," Proceedings of the Twelfth European Conference on Earthquake Engineering, London, UK, Paper No. 822.

Antoniou S., Pinho R. [2004a] "Advantages and Limitations of Force-based Adaptive and Non-Adaptive Pushover Procedures," Journal of Earthquake Engineering, Vol. 8, No. 4, pp. 497-522.

Antoniou S., Pinho R. [2004b] "Development and Verification of a Displacement-based Adaptive Pushover Procedure," Journal of Earthquake Engineering, Vol. 8, No. 5, pp. 643-661.

ASCE 41-17 [2017] American Society of Civil Engineers: Seismic Evaluation and Retrofit of Existing Buildings.

Asteris P.G. [2003] "Lateral stiffness of brick masonry infilled plane frames," ASCE Journal of Structural Engineering, Vol. 129, No. 8, pp. 1071-1079.

Atkinson R.H., Amadei B.P., Saeb S., Sture S. [1989] "Response of masonry bed joints in direct shear," ASCE Journal of Structural Division, Vol. 115, No. 9, pp. 2276-2296.

Auricchio F., Sacco E. [1997] "A superelastic shape-memory-alloy beam," Journal of Intelligent Materials and Structures, Vol. 8, pp. 489-501.

Bathe K.J. [1996] "Finite Element Procedures in Engineering Analysis," 2nd Edition, Prentice Hall.

Beyer, K., Dazio, A., and Priestley, M.J.N. [2008] "Seismic design of torsionally eccentric buildings with U-shaped RC walls," ROSE School, Pavia, Italy.

Beyer, K., Dazio, A., and Priestley, M.J.N. [2008] "Inelastic Wide-Column Models for U-Shaped Reinforced Concrete Walls," Journal of Earthquake Engineering 12:Sp1, 1-33.

Beyer, K., Dazio, A., and Priestley, M.J.N.[2008] "Elastic and inelastic wide-column models for RC non rectangular walls," Proceedings of the fortieth World Conference on Earthquake Engineering, Beijing, China.

Benjamin S.T., Williams H.A. [1958] "The behaviour of one-storey brick shear walls," ASCE Journal of Structural Division, Vol. 84, No.ST4, pp. 30.

Bento R., Pinho R., Bhatt C. [2008] "Nonlinear Static Procedures for the seismic assessment of the 3D irregular SPEAR building," Proceedings of the Workshop on Nonlinear Static Methods for Design/Assessment of 3D Structures, Lisbon, Portugal.

Bernuzzi C., Zandonini R., Zanon P. [1996] "Experimental analysis and modelling of semi-rigid steel joints under cyclic reversal loading," Journal of Constructional Steel Research, Vol. 38, No. 2, pp. 95-123.

Bertoldi S.H., Decanini L.D., Gavarini C. [1993] "Telai tamponati soggetti ad azione sismica, un modello semplificato: confronto sperimentale e numerico," (in Italian) Atti del 6° convegno nazionale ANIDIS, Vol. 2, pp. 815-824, Perugia, Italy.

Bertoldi S.H., Decanini L.D., Santini S., Via G. [1994] "Analytical models in infilled frames," Proceedings of the Tenth European Conference on Earthquake Engineering, Vienna, Austria.

Beyer K, Dazio A., Priestley M.J.N. [2008] "Inelastic wide-column models for U-shaped reinforced concrete wall," Journal of Earthquake Engineering, Vol. 12, No. 1, pp. 1-33.

Binda L., Fontana A., Frigerio G. [1988] "Mechanical behaviour of brick masonries derived from unit and mortar characteristics," Proceedings of the Eighth International Brick and Block Masonry Conference, Dublin, Ireland.

Blandon, C.A. [2005] Implementation of an Infill Masonry Model for Seismic Assessment of Existing Buildings, Individual Study, European School for Advanced Studies in Reduction of Seismic Risk (ROSE School), Pavia, Italy.

Broderick B.M., Elnashai A.S., Izzuddin B.A. [1994] "Observations on the effect of numerical dissipation on the nonlinear dynamic response of structural systems," Engineering Structures, Vol. 16, No. 1, pp. 51-62.

Calabrese A., Almeida J.P., Pinho R. [2010] "Numerical issues in distributed inelasticity modelling of RC frame elements for seismic analysis," Journal of Earthquake Engineering, Vol. 14, Special Issue 1, pp. 38-68.

Casarotti C., Pinho R. [2006] "Seismic response of continuous span bridges through fibre-based finite element analysis," Journal of Earthquake Engineering and Engineering Vibration, Vol. 5, No. 1, pp. 119-131.

Casarotti C., Pinho R. [2007] "An Adaptive capacity spectrum method for assessment of bridges subjected to earthquake action," Bulletin of Earthquake Engineering, Vol. 5, No. 3, pp. 377-390.

CEB [1996] RC Frames under Earthquake Loading: State of the Art Report, - Comite Euro-International du Beton, Thomas Telford, London, England.

Celarec D., Dolšek M. [2012] "Practice-oriented probabilistic seismic performance assessment of infilled frames with consideration of shear failure of columns," Earthquake Engineering & Structural Dynamics, Vol. 43, No. 9, pp. 1339-1360.

CEN [2005] European Prestandard ENV 1998: Eurocode 8 - Design provisions for earthquake resistance of structures. Comite Europeen de Normalisation, Brussels.

Chang G.A., Mander J.B. [1994] "Seismic Energy Based Fatigue Damage Analysis of Bridge Columns: Part 1- Evaluation of Seismic Capacity," NCEER Technical Report No. NCEER-94-0006, State University of New York, Buffalo, N.Y..

Chege J.K., Matalanga N. [2000] "NDT Application in Structural Integrity Evaluation of Bomb Blast Affected Buildings," Proceedings of the Fifteenth World Conference on Non-Destructive Testing, Rome, Italy.

Chopra A.K. [1995] Dynamics of Structures: Theory and Applications to Earthquake Engineering, Prentice-Hall.

Chopra A.K. & Goel R.K. [2001] A Modal Pushover Analysis Procedure to Estimate Seismic Demands for Buildings: Theory and Preliminary Evaluation, Pacific Earthquake Engineering Research Center, Technical Report PEER No. 2001/03.

Clough R.W., Johnston S.B. [1966] "Effect of Stiffness Degradation on Earthquake Ductility Requirements" Proceedings, Second Japan National Conference on Earthquake Engineering, 1966, pp. 227-232.

Clough R.W., Penzien J. [1994] Dynamics of Structures, 2nd Edition, McGraw Hill.

Cook R.D., Malkus D.S., Plesha M.E. [1989] Concepts and Applications of Finite Elements Analysis, John Wiley & Sons.

Correia A.A., Virtuoso F.B.E. [2006] "Nonlinear Analysis of Space Frames," Proceedings of the Third European Conference on Computational Mechanics: Solids, Structures and Coupled Problems in Engineering, Mota Soares et al. (Eds.), Lisbon, Portugal.

Cremer C., Pecker A., Davenne L. [2002] "Modelling of non linear dynamic behaviour of a shallow foundation with macro - element," Journal of Earthquake Engineering, Vol. 6, No. 2, pp. 175-212.

Crisafulli F.J. [1997] Seismic Behaviour of Reinforced Concrete Structures with Masonry Infills, PhD Thesis, University of Canterbury, New Zealand.

Crisafulli F.J., Carr A.J., Park R. [2000] "Analytical modelling of infilled frame structures – a general overview," Bulletin of the New Zealand Society for Earthquake Engineering, Vol. 33, No 1.

Crisfield M.A. [1991] Non-linear Finite Element Analysis of Solids and Structures, John Wiley & Sons.

Dawe J.I., Young T.C. [1985] "An investigation of factors influencing the behaviour of masonry infills in steel frames subjected to on-plane shear," Proceedings of the Seventh International Brick Masonry Conference, Melbourne, Australia.

Dawe J. L. and Seah C. K. [1989] "Out-of-plane resistance of concrete masonry inﬁlled panels." Can. J. Civ. Eng., 16(6), 854-856

Decanini L.D., Fantin G.E. [1987] "Modelos Simplificados de la Mampostería Incluida en Pórticos. Características de Rigidez y Resistencia Lateral en Estado Límite," Jornadas Argentinas de Ingeniería Estructural, Buenos Aires, Argentina, Vol. 2, pp. 817-836. (in Spanish)

Deierlein G.G., Reinhorn A.M., and Willford M.R. [2010] "Nonlinear structural analysis for seismic design," NEHRP Seismic Design Technical Brief No. 4, produced by the NEHRP Consultants Joint Venture, a partnership of the Applied Technology Council and the Consortium of Universities for Research in Earthquake Engineering, for the National Institute of Standards and Technology, Gaithersburg, MD, NIST GCR 10-917-5.

Della Corte G., De Matteis G., Landolfo R. [2000] "Influence of connection modelling on seismic response of moment resisting steel frames," in Moment Resistant Connections of Steel Frames in Seismic Areas: Design and Reliability (ed. F.M. Mazzolani), Chapter 7, E&FN Spon, London, New York.

De Martino A., Faella C., Mazzolani F.M. [1984] "Simulation of Beam-to-Column Joint Behaviour under Cyclic Loads," Construzioni Metalliche, Vol. 6, pp. 346-356.

De Sortis A., Di Pasquale G., Nasini U. [1999] Criteri di Calcolo per la Progettazione degli Interventi – Terremoto in Umbria e Marche del 1997, Servizio Sismico Nazionale, Rome, Italy. (in Italian)

Dionysis Biskinis and Michael N. Fardis [2013] "Stiffness and cyclic deformation capacity of circular RC columns with or wothout lap-splices and FRP wrapping," Bulletin of Earthquake Engineering 11(5).

Dodd L., Restrepo-Posada J. [1995] "Model for Predicting Cyclic Behavior of Reinforcing Steel," Journal of Structural Engineering, Vol. 121, No. 3, pp. 433–445.

Drysdale R.G., Khattab M.M. [1995] "In-plane behaviour of grouted concrete masonry under biaxial tension-compression," American Concrete Institute Journal, Vol. 92, No. 6, pp. 653-664.

Elnashai A.S., Elghazouli A.Y. [1993] "Performance of composite steel/concrete members under earthquake loading, Part I: Analytical model," Earthquake Engineering and Structural Dynamics, Vol. 22, pp. 315-345.

Emori K., Schnobrich W.C. [1978] Analysis of Reinforced Concrete Frame-Wall Structures for Strong Motion Earthquakes, Structural Research Series No. 434, Civil Engineering Studies, University of Illinois at Urbana-Champaign.

EN 1998-1 (English) [2004]: Eurocode 8: Design of structures for earthquake resistance – Part 1: General rules, seismic actions and rules for buildings.

EN 1998-3 (English) [2004]: Eurocode 8: Design of structures for earthquake resistance -Part 3: Assessment and retrofitting of buildings.

Felippa C.A. [2001] "Nonlinear Finite Element Methods," Lecture Notes, Centre for Aerospace Structure, College of Engineering, University of Colorado, USA. Available from URL: http://www.colorado.edu/engineering/CAS/courses.d/NFEM.d/Home.html.

Felippa C.A. [2004] "Introduction to Finite Element Methods," Lecture Notes, Centre for Aerospace Structure, College of Engineering, University of Colorado, USA. Available from URL: http://www.colorado.edu/engineering/CAS/courses.d/IFEM.d/Home.html.

Ferracuti B., Savoia M. [2005] "Cyclic behaviour of FRP-wrapped columns under axial and flexural loadings," Proceedings of the International Conference on Fracture, Turin, Italy.

Ferracuti B., Pinho R., Savoia M., Francia R. [2009] "Verification of Displacement-based Adaptive Pushover through multi-ground motion incremental dynamic analyses," Engineering Structures, Vol. 31, pp. 1789-1799.

FIB [2001] "Externally Bonded FRP Reinforcement for RC Structures," FIB Bulletin n. 14, Federation Internationale du Beton, pp. 138.

FIB [2006] Retrofitting of Concrete Structures by Externally Bonded FRPS, with Emphasis on Seismic Applications, FIB Bulletin n. 35, Federation Internationale du Beton, pp. 220.

Filippou F.C., Popov E.P., Bertero V.V. [1983] "Effects of bond deterioration on hysteretic behaviour of reinforced concrete joints," Report EERC 83-19, Earthquake Engineering Research Center, University of California, Berkeley.

Filippou F.C., Fenves G.L. [2004] "Methods of analysis for earthquake-resistant structures", Chapter 6 in 'Earthquake Engineering - From Engineering Seismology to Performance-Based Engineering', eds. Y. Bozorgnia and V.V. Bertero, Cambridge University Press, Cambridge, United Kingdom.

Fiorato A.E., Sozen M.A., Gamble W.L. [1970] An Investigation of the Interaction of Reinforced Concrete Frames with Masonry Filler Walls, Report UILU-ENG-70-100, Department of Civil Engineering, University of Illinois, Urbana-Champaign IL, USA.

Fragiadakis M., Pinho R., Antoniou S. [2008] "Modelling inelastic buckling of reinforcing bars under earthquake loading," in Progress in Computational Dynamics and Earthquake Engineering, Eds. M. Papadrakakis, D.C. Charmpis, N.D. Lagaros and Y. Tsompanakis, A.A. Balkema Publishers – Taylor & Francis, The Netherlands.

Fragiadakis M., Papadrakakis M. [2008] "Modeling, analysis and reliability of seismically excited structures: computational issues," International Journal of Computational Methods, Vol. 5, No. 4, pp. 483-511.

Freitas J.A.T., Almeida J.P.M., Pereira E.M.B.R. [1999] "Non-conventional formulations for the finite element method," Computational Mechanics, Vol. 23, pp. 488-501.

Fugazza D. [2003] Shape-memory Alloy Devices in Earthquake Engineering: Mechanical Properties, Constitutive Modelling and Numerical Simulations, MSc Dissertation, European School for Advanced Studies in Reduction of Seismic Risk (ROSE School), Pavia, Italy.

Gasparini D., Vanmarcke E.H. [1976] Simulated Earthquake Motions Compatible with Prescribed Response Spectra, M.I.T. Department of Civil Engineering Research Report

Gere J.M., Timoshenko S.P. [1997] Mechanics of Materials, 4th Edition.

Giannakas A., Patronis D., Fardis M. [1987] "The influence of the position and the size of openings to the elastic rigidity of infill walls," Proceedings of Eighth Hellenic Concrete Conference, Xanthi-Kavala, Greece. (in Greek)

Giberson, M.F. [1967] “The Response of Nonlinear Multi-Story Structures subjected to Earthquake Excitation,” Doctoral Dissertation, California Institute of Technology, Pasadena, CA., May 1967, 232pp.

Giberson, M.F. [1969] “Two Nonlinear Beams with Definition of Ductility,” Journal of the Structural Division, ASCE, Vol. 95, No. 2, pp. 137-157.

Gostic S., Zarnic R. [1985] "Cyclic lateral response of masonry infilled R/C frames and confined masonry walls," Proceedings of the Eighth North-American Masonry Conference, Austin, Texas, USA.

Hall J.F. [2006] "Problems encountered from the use (or misuse) of Rayleigh damping," Earthquake Engineering and Structural Dynamics, Vol. 35, No. 5, pp. 525-545.

Halldorsson B., Papageorgiou A.S. [2005] Calibration of the specific barrier model to earthquake of different tectonic regions, Bulletin of the Seismological Society of America, Vol.95, No.4, pp.1276-1300.

Hamburger R.O. [1993] "Methodology for seismic capacity evaluation of steel-frame buildings with infill unreinforced masonry," Proceedings of the US National Conference on Earthquake Engineering, Memphis, Tennesse, USA.

Hamburger R.O., Foutch D.A., Cornell C.A. [2000] "Performance basis of guidelines for evaluation, upgrade and design of moment-resisting steel frames," Proceedings of the Twelfth World Conference on Earthquake Engineering, Auckland, New Zealand, paper No. 2543.

Han T.-S., Feenstra P.H., Billington S.L. [2003] "Simulation of Highly Ductile Fiber-Reinforced Cement-Based Composite Components Under Cyclic Loading , Vol. 100, No. 6, pp. 749-757

Hellesland J., Scordelis A. [1981] "Analysis of RC bridge columns under imposed deformations," IABSE Colloquium, Delft, pp. 545-559.

Hendry A.W. [1990] Structural Masonry, Macmillan Education Ltd, London, England.

Hilber H.M., Hughes T.J.R., Taylor R.L. [1977] "Improved numerical dissipation for time integration algorithms in structural dynamics," Earthquake Engineering and Structural Dynamics, Vol. 5, No. 3, pp. 283-292.

Holmes M. [1961] "Steel Frames with Brickwork and Concrete Infilling," Proceedings of the Institution of Civil Engineers, Vol. 19, pp. 473-478.

Hughes T.J.R. [1987] The Finite Element Method, Linear Static and Dynamic Finite Element Analysis, Prentice-Hall.

Hyodo M., Yamamoto Y., Sugyiama M. [1994] "Undrained cyclic shear behavior of normally consolidated clay subjected to initial static shear stresses," Soils and Foundations, Vol. 34, No. 4, pp. 1-11.

Irons B.M. [1970] "A frontal solution program for finite element analysis," International Journal for Numerical Methods in Engineering, Vol. 2, pp. 5-32.

Izzuddin B.A. [1991] Nonlinear Dynamic Analysis of Framed Structures, PhD Thesis, Imperial College, University of London, London, UK

Kaldjian M.J. [1967] "Moment-curvature of beams as Ramberg-Osgood functions," Journal of Structural Division, ASCE, Vol. 93, No. ST5, pp. 53-65.

KANEPE [2017] Earthquake Planning and Protection Organisation of Greece: Code for Structural Interventions, 2nd revision.

Kappos A., Konstantinidis D. [1999] "Statistical analysis of confined high strength concrete," Materials and Structures, Vol. 32, pp. 734-748.

Karsan I.D., Jirsa J.O. [1969] “Behavior of concrete under compressive loading.”, Journal of the Structural Division, Proceedings of the American Society of Civil Engineers, Vol. 95, Issue 12, pp. 2543-2564

Kent D.C., Park R. [1971] “Flexural members with confined concrete.”, Journal of the Structural Division, Proceedings of the American Society of Civil Engineers, Vol. 97, Issue 7, pp. 1969-1990

Kunnath S.K. [2004] "Identification of modal combination for nonlinear static analysis of building structures," Computer-Aided Civil and Infrastructure Engineering, Vol. 19, pp. 246-259.

Liauw T.C., Lee S.W. [1977] "On the behaviour and the analysis of multi-storey infilled frames subjected to lateral loading," Proceedings of Institution of Civil Engineers, Part 2, Vol. 63, pp. 641-656.

Liauw T.C., Kwan K.H. [1984] "Nonlinear behaviour of non-integral infilled frames," Computer and Structures, Vol. 18, No. 3, pp. 551-560.

Lopez-Menjivar MA. [2004] Verification of a Displacement-Based Adaptive Pushover Method for Assessment of 2D RC Buildings. PhD Thesis, European School for Advanced Studies in Reduction of Seismic Risk (ROSE School), University of Pavia, Italy.

Madas P. [1993] "Advanced Modelling of Composite Frames Subjected to Earthquake Loading," PhD Thesis, Imperial College, University of London, London, UK.

Madas P. and Elnashai A.S. [1992] "A new passive confinement model for transient analysis of reinforced concrete structures," Earthquake Engineering and Structural Dynamics, Vol. 21, pp. 409-431.

Mainstone R.J. [1971] "On the Stiffnesses and Strength of Infilled Panels," Proceedings of the Institution of Civil Engineers, Supplement IV, pp. 57-90.

Mainstone R.J., Weeks G.A. [1970] "The influence of Bounding Frame on the Racking Stiffness and Strength of Brick Walls," Proceedings of the Second International Brick Masonry Conference, Stoke-on-Trent, United Kingdom.

Mallick D.V., Garg R.P. [1971] "Effect of openings on the lateral stiffness of infilled frames," Proceedings of the Institution of Civil Engineering, Vol. 49, pp. 193-209.

Mander J.B., Priestley M.J.N., Park R. [1988] "Theoretical stress-strain model for confined concrete," Journal of Structural Engineering, Vol. 114, No. 8, pp. 1804-1826.

Mann W., Muller H. [1982] "Failure of shear-stresses masonry - an enlarged theory, tests and application to shear walls, " Proceedings of the British Ceramic Society, Vol. 30, pp. 139-149.

Mari A., Scordelis A. [1984] "Nonlinear geometric material and time dependent analysis of three dimensional reinforced and prestressed concrete frames," SESM Report 82-12, Department of Civil Engineering, University of California, Berkeley.

Martinez-Rueda J.E. [1997] Energy Dissipation Devices for Seismic Upgrading of RC Structures, PhD Thesis, Imperial College, University of London, London, UK.

Martinez-Rueda J.E., Elnashai A.S. [1997] "Confined concrete model under cyclic load," Materials and Structures, Vol. 30, No. 197, pp. 139-147.

Menegotto M., Pinto P.E. [1973] "Method of analysis for cyclically loaded R.C. plane frames including changes in geometry and non-elastic behaviour of elements under combined normal force and bending," Symposium on the Resistance and Ultimate Deformability of Structures Acted on by Well Defined Repeated Loads, International Association for Bridge and Structural Engineering, Zurich, Switzerland, pp. 15-22.

Mirza S.A. [1989] "Parametric study of composite column strength variability," Journal of Construction Steel Research, Vol. 14, pp. 121-137.

Monti G., Nuti C. [1992] "Nonlinear cyclic behaviour of reinforcing bars including buckling," Journal of Structural Engineering, Vol. 118, No. 12, pp. 3268-3284.

Monti, G., Nuti, C., Santini, S. [1996] CYRUS - Cyclic Response of Upgraded Sections, Report No. 96-2, University of Chieti, Italy.

Mosalam K.M., White R.N., Gergely P. [1997] "Static response of infilled frames using quasi-static experimentation," ASCE Journal of Structural Engineering, Vol. 123, No. 11, pp. 1462-1469.

Mpampatsikos V., Nascimbene R., Petrini L. [2008] "A critical review of the R.C. frame existing building assessment procedure according to Eurocode 8 and Italian Seismic Code," Journal of Earthquake Engineering, Vol. 12, Issue SP1, pp. 52-58.

Nagashima T., Sugano S., Kimura H., Ichikawa A. [1992] "Monotonic axial compression tests on ultra high strength concrete tied columns," Proceedings of the Tenth World Conference on Earthquake Engineering, Madrid, Spain, pp. 2983-2988.

Neuenhofer A., Filippou F.C. [1997] "Evaluation of nonlinear frame finite-element models," Journal of Structural Engineering, Vol. 123, No. 7, pp. 958-966.

Newmark N.M. [1959] "A method of computation for structural dynamics," Journal of the Engineering Mechanics Division, ASCE, Vol. 85, No. EM3, pp. 67-94.

Nogueiro P., Simoes da Silva L., Bento R., Simoes R. [2005a] "Numerical implementation and calibration of a hysteretic model with pinching for the cyclic response of steel and composite joints," Proceedings of the Fourth International Conference on Advances in Steel Structures, Shangai, China, Paper no. ISP-45.

Nogueiro P., Simoes da Silva L., Bento R., Simoes R. [2005b] "Influence of joint slippage on the seismic response of steel frames," Proceedings of the EuroSteel Conference on Steel and Composite Structures, Maastricht, Nederlands, Paper no. 314.

NTC 2008, D.M. Infrastrutture Trasporti 14 gennaio 2008 (G.U. 4 febbraio 2008 n. 29 - Suppl. Ord.). ”Norme tecniche per le Costruzioni” (NTC08).

NTC 2018, D.M. Infrastrutture Trasporti 17 gennaio 2018 (G.U. 20 febbraio 2018 n. 8 - Suppl. Ord.). ”Norme tecniche per le Costruzioni” (NTC18).

Oran C. [1973] "Tangent stiffness in space frames," Journal of the Structural Division, ASCE, Vol. 99, No. ST6, pp. 987-1001.

Otani, S. [1974] SAKE, A Computer Program for Inelastic Response of R/C Frames to Earthquakes, Report UILU-Eng-74-2029, Civil Engineering Studies, University of Illinois at Urbana-Champaign, USA.

Otani S. [1981] "Hysteresis Models of Reinforced Concrete for earthquake Response Analysis," Journal of Faculty of Engineering, University of Tokyo, Vol XXXVI, No2, 1981 pp 407-441.

Papia M. [1988] "Analysis of infilled frames using a coupled finite element and boundary element solution scheme," International Journal for Numerical Methods in Engineering, Vol. 26, pp. 731-742.

Park R., Paulay T. [1975] Reinforced Concrete Structures, John Wiley & Sons, New York.

Paulay T., Priestley M.J.N. [1992] Seismic Design of Reinforced Concrete and Masonry Buildings, John Wiley & Sons Inc., New York.

Pegon P. [1996] "Derivation of consistent proportional viscous damping matrices," JRC Research Report No I.96.49, Ispra, Italy.

Penelis G.G., Kappos A.J. [1997] Earthquake-resistant Concrete Structures, E & FN Spon, London, UK.

Pietra D., Pinho R. and Antoniou S. [2006] "Verification of displacement-based adaptive pushover for seismic assessment of high-rise steel buildings," Proceedings of the First European Conference on Earthquake Engineering and Seismology, Geneva, Switzerland, Paper no. 956.

Pilkey W.D. [1994] Formulas for Stress, Strain, and Structural Matrices, John Wiley & Sons, New York.

Pinho R., Antoniou S. [2005] "A displacement-based adaptive pushover algorithm for assessment of vertically irregular frames," Proceedings of the Fourth European Workshop on the Seismic Behaviour of Irregular and Complex Structures, Thessaloniki, Greece.

Pinho R., Casarotti C., Antoniou S. [2007] "A comparison of single-run pushover analysis techniques for seismic assessment of bridges," Earthquake Engineering and Structural Dynamics, Vol. 36, No. 10, pp. 1347–1362.

Pinho R., Bhatt C., Antoniou S., Bento R. [2008a] "Modelling of the horizontal slab of a 3D irregular building for nonlinear static assessment," Proceedings of the Fourteenth World Conference on Earthquake Engineering, Beijing, China, Paper no. 05-01-0159.

Pinho R., Marques M., Monteiro R., Casarotti C. [2008b] "Using the Adaptive Capacity Spectrum Method for seismic assessment of irregular frames," Proceedings of the Fifth European Workshop on the Seismic Behaviour of Irregular and Complex Structures, Catania, Italy, Paper no. 21.

Pinho R., Monteiro R., Casarotti C., Delgado R. [2009] "Assessment of continuous span bridges through Nonlinear Static Procedures," Earthquake Spectra, Vol. 25, No. 1, pp. 143-159.

Priestley M.J.N. [2003] Myths and Fallacies in Earthquake Engineering, Revisited. The Mallet Milne Lecture, IUSS Press, Pavia, Italy.

Priestley M.J.N., Grant D.N. [2005] "Viscous damping in seismic design and analysis," Journal of Earthquake Engineering, Vol. 9, Special Issue 1, pp. 229-255.

Priestley M.J.N., Seible F., Calvi G.M. [1996] Seismic Design and Retrofit of Bridges, John Wiley & Sons Inc., New York.

Prota A., Cicco F., Cosenza E. [2009] "Cyclic behavior of smooth steel reinforcing bars: experimental analysis and modeling issues," Journal of Earthquake Engineering, Vol. 13, No. 4, pp. 500–519.

Przemieniecki J.S. [1968] Theory of Matrix Structural Analysis, McGraw Hill.

Ramberg W., Osgood W.R. [1943] Description of Stress-Strain Curves by Three Parameters, National Advisory Committee on Aeronautics, Technical Note 902.

Repapis C. [2000] Study of Different Approaches for Nonlinear Dynamic Analysis of RC Frames, MSc Dissertation, Dept. of Civil Engineering, Imperial College, London, UK.

Richard R.M., Abbott B.J. [1975] "Versatile Elastic Plastic Stress-Strain Formula," Journal of Engineering Mechanics, ASCE, Vol. 101, No. 4, pp. 511-515.

Riddington J.R., Ghazali M.Z. [1988] "Shear strength of masonry walls," Proceedings of the Eighth International Brick and Block Masonry Conference, Dublin, Ireland.

Rosenblueth, E.[1951] A basis for a Seismic Design, PhD Thesis, University of Illinois, Urbana, USA.

Sahlin S. [1971] Structural Masonry, Prentice-Hall Inc., New Jersey, USA.

San Bartolome A. [1990] Colleciσn del Ingeniero Civil, Libro No. 4, Colegio de Ingenierios del Peru, Peru. (in Spanish)

Sattar S. and Liel A.B. [2010] "Seismic Performance of Reinforced Concrete Frame Structures with and without Masonry Infill Walls". 9th U.S. National and 10th Canadian Conference on Earthquake Engineering, Toronto, Canada.

Scott B.D., Park R., Priestley M.J.N. [1982] "Stress-strain behaviour of concrete confined by overlapping hoops at low and high strain rates," ACI Journal, Vol. 79, No. 1, pp. 13-27.

Scott M.H., Fenves G.L. [2006] "Plastic hinge integration methods for force-based beam–column elements," ASCE Journal of Structural Engineering, Vol. 132, No. 2, pp. 244-252.

Seed H.B., Idriss I.M., Makdisi F., Banerjee N. [1975] "Representation of irregular stress time-histories by equivalent uniform stress series in liquefaction analysis," Report No. UCB/EERC 75-29, University of California, Berkeley, USA.

Sheikh S.A., Uzumeri S.M. [1982] "Analytical model for concrete confined in tied columns," Journal of the Structural Division, ASCE, Vol. 108, No. ST12, pp. 2703-2722.

Simoes R., Simoes da Silva L., Cruz P. [2001] "Behaviour of end-plate beam-to-column composite joints under cyclic loading," International Journal of Steel and Composite Structures, Vol. 1, No. 3, pp. 355-376.

Sivaselvan M., Reinhorn A.M. [1999] "Hysteretic models for cyclic behavior of deteriorating inelastic structures," Report MCEER-99-0018, MCEER/SUNY/Buffalo.

Sivaselvan M., Reinhorn A.M. [2001] "Hysteretic models for deteriorating inelastic structures," Journal of Engineering Mechanics, ASCE, Vol. 126, No. 6, pp. 633-640, with discussion by Wang and Foliente and closure in Vol. 127, No. 11.

Smyrou E., Blandon C.A., Antoniou S., Pinho R., Crisafulli F. [2011] "Implementation and verification of a masonry panel model for nonlinear dynamic analysis of infilled RC frames," Bullettin of Earthquake Engineering, DOI 10.1007/s10518-011-9262-6.

Spacone E., Ciampi V., Filippou F.C. [1996] "Mixed formulation of nonlinear beam finite element," Computers & Structures, Vol. 58, No. 1, pp. 71-83.

Spoelstra M., Monti G. [1999] "FRP-confined concrete model," Journal of Composites for Construction, ASCE, Vol. 3, pp. 143-150.

Shrive N.G. [1991] "Materials and material properties," in Reinforced and Prestressed Masonry, Longman Scientific and Technical, London, England.

Stafford-Smith B. [1966] "Behaviour of square infilled frames," Proceedings of the American Society of Civil Engineers, Journal of Structural Division, Vol. 92, No. ST1, pp. 381-403.

Stafford-Smith B. and Carter C. [1969]. "A method for the analysis of infilled frames", Proc. Instn. Civ. Engrs., 44, 31–48.

Stockl S., Hofmann P. [1988] "Tests on the shear bond behaviour in the bed-joints of masonry," Proceedings of the Eighth International Brick and Block Masonry Conference, Dublin, Ireland.

Takeda T., Sozen M.A., Nielsen N.N. [1970] "Reinforced concrete response to simulated earthquakes," Journal of Structural Division, ASCE, Vol. 96, No. ST12, pp. 2557-2573.

TBDY [2018] Turkish Seismic Building Regulations.

Thiruvengadam H. [1980] "On the natural frequencies of infilled frames," Journal of Earthquake Engineering and Structural Dynamics, Vol. 13, pp. 507-526.

Triantafillou T.C. [2006] "Seismic Retrofitting using Externally Bonded Fibre Reinforced Polymers (FRP)," (To appear in Chapter 5 of the fib bulletin "Seismic Assessment & Retrofit of RC Buildings")

Trueb U. [1983] Stability Problems of Elasto-Plastic Plates and Shells by Finite Elements, PhD Thesis, Imperial College, University of London, London.

TS500 [2000] Requirements for Design and Construction of Reinforced Concrete Structures.

Utku B. [1980] "Stress magnifications in walls with openings," Proceedings of the Seventh World Conference on Earthquake Engineering, Istanbul, Turkey.

Vamvatsikos D., Cornell C.A. [2002] "Incremental dynamic analysis," Earthquake Engineering and Structural Dynamics, Vol. 31, No. 3, pp. 491-514.

Varum H.S.A. [2003] Seismic Assessment, Strengthening and Repair of Existing Buildings, PhD Thesis, University of Aveiro, Portugal.

Wilson E. [2001] Static and Dynamic Analysis of Structures, Computers and Structures Inc, Berkeley, California. (available at URL: http://www.edwilson.org/book/book.htm)

Wakabayashi M. [1986] Design of earthquake-resistant buildings, McGraw-Hill, USA.

Wan Q., Yi W. [1986] "The shear strength of masonry walls under combined stresses," Proceedings of the Fourth Canadian Masonry Symposium, University of New Brunswick, Canada.

Wolf J.P. [1994] Foundation Vibration Analysis Using Simple Physical Models, Prentice Hall, New Jersey, USA.

Yassin M.H.M. [1994] Nonlinear analysis of prestressed concrete structures under monotonic and cyclic loads, PhD Thesis, University of California, Berkeley, USA.

Yankelevsky D.Z., Reinhardt H.W. [1989] "Uniaxial behavior of concrete in cyclic tension," Journal of Structural Engineering, ASCE, Vol. 115, No. 1, pp. 166-182.

Zienkiewicz O.C., Taylor R.L. [1991] The Finite Element Method, 4th Edition, McGraw Hill.

Zona A. and Dall’Asta A. [2012] “Elastoplastic model for Steel buckling-restrained braces”,Journal of Constructional Steel Research , Vol. 68, pp. 118-125


License Agreement

This License Agreement is a legal agreement between you (either an individual or entity) and Seismosoft. By installing, copying or otherwise using the software, you agree to be bound by all of its terms and conditions. Hence, please do read it carefully.

  1. This Software is owned by Seismosoft and is protected by copyright law and the international copyright treaty. Therefore, you must treat this Software like any other copyrighted material (for instance a book), except that you may either make one copy of the Software solely for backup or archival purposes or transfer the Software to a single hard disk provided that you keep the original solely for backup purposes.
  2. You are granted a non-exclusive License to use the software. The software may not be rented, leased, diffused or transferred.
  3. The right to make commercial use of the software, i.e. use of the software within a for-proft context, may be obtained through the purchase of a commercial license from Seismosoft.
  4. You may not distribute, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, or otherwise reverse engineer, or transfer the program, or any subset of the program.
  5. All rights not expressly granted here are reserved by Seismosoft. Any right, title, or interest in the Software cannot be transferred, except as specifically set forth in this agreement.
  6. You are hereby notified that the Software product is protected by EC Copyright Law and you may be held responsible by Seismosoft for any infringement of such rights or violations of this agreement.
  7. The Software is distributed "AS IS" and you assume full responsibility for determining the suitability of the software and for results obtained.
  8. Installing or using the software implies acceptance of these terms and conditions of the License.
  9. If you do not agree with the terms of this License you must remove the Software from your storage devices and cease to use the Software forthwith.
  10. Seismosoft reserves the right to change the executable code and to remove, add or change the Software's functions.
  11. Any variation to the terms of this Agreement shall only be valid if made and delivered by Seismosoft. If you do not agree to any clause of this Agreement you may ask for explanations from Seismosoft.
  12. You agree to automatically submit the information of a statistical and administrative nature specified below to Seismosoft via the installed Software for the purposes of improving the performance of the software and the speed of identification and rectification of errors, generating the most suitable informational and advertising offers, and accounting for the number of users and uses of the Software: license data, technical information about the computer (e.g. screen resolution), information about the period of use of the Software, information about the network properties and online identifiers (e.g. Mac Address, IP addresses) of the computer.
  13. Seismosoft has never claimed that SeismoBuild is free of errors or bugs.

LEGAL DISCLAIMER

THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE IS WITH YOU. SHOULD THE SOFTWARE PROVE TO BE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION. IF ANY ALGORITHM IS PATENTED IN YOUR COUNTRY, YOU SHOULD ACQUIRE A LICENSE BEFORE USING THIS SOFTWARE.

IN NO EVENT WILL THE AUTHOR OR ANY OTHER PARTY WHO MAY HAVE DISTRIBUTED THE SOFTWARE AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE SOFTWARE (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE SOFTWARE TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

THE SOFTWARE USES STRONG ENCRYPTION ALGORITHM, IT WAS ENTIRELY DEVELOPED OUTSIDE OF THE USA AND SO IT IS FREE FROM EXPORT RESTRICTIONS. HOWEVER IF YOU HAVE LAWS IN YOUR COUNTRY WHICH PREVENT THE USE OF STRONG CRYPTOGRAPHICAL PRODUCTS THEN PLEASE REMOVE THIS ARCHIVE FROM YOUR COMPUTER. SEISMOSOFT RETAINS NO RESPONSIBILITY FOR THIS SOFTWARE.


Credits

SeismoBuild software and documentation have been developed and are maintained by Seismosoft Ltd. A number of its staff, together with external collaborators, have contributed to such development task, and their input is herewith acknowledged.

  • Stelios Antoniou: Main programmer, Manager of all code development and research
  • Thanasis Farantos: Chief Programmer
  • Rui Pinho: Testing and verification, Help System and technical support
  • Zoi Gronti: Licensing, Help System, validation and technical support
  • Fanis Moschas: Programmer
  • Federica Bianchi: Help System, validation and technical support
  • Tim Huff: Technical support
  • Cecilia Nievas: Help System, verification
  • Ali Güney Özcebe: Help System, verification
  • Alejandro Calderon: Help System
  • Sevgi Özcebe: Help System
  • Ricardo Monteiro: Licensing and sales support
  • Antonio Correia: Force-based frame element, Co-rotational formulation
  • Pedro Nogueiro: Modified Richard-Abbott response curve
  • Michalis Fragiadakis: Menegotto-Pinto steel model with Monti-Nuti post-elastic buckling
  • Dimitrios Konstantinidis: Nonlinear constant confinement model for high-strength concrete

Testing & Verification has benefited by the patient continued efforts of a number of very active users, some of whom are herein listed (apologies to those whose names have been unintentionally overlooked): Gopal Adhikari, Hassan Ali, João Almeida, Ihsan Bal, Carlos Bhatt, Sara Broglio, Clara Caponi, Chiara Casarotti, Paola Ceresa, Helen Crowley, Roberto Francia, Jon Hancock, Tim Huff, Manuel Lopez, Fabrizio Magni, Mario Marques, Helena Meireles, Ricardo Monteiro, Roberto Nascimbene, Simone Peloso, Lorenza Petrini, Dario Pietra, Maurizio Serpieri, Eleni Smyrou, Luis Sousa, Romain Sousa, Tim Sullivan, Maria Serena Teramo, Pinar Teymur, Vassilis Vamvatsikos, Wei Yu. We acknowledge in particular Tim Huff, not only for the very detailed bug reports and constructive suggestions for additional features or improvements, but also for the tireless support provided to users in the Discussion Forum.

In order to acknowledge/reference in any type of publication (scientific papers, technical reports, text books, theses, etc) the use of this software, you should employ an expression of the type: Seismosoft [2021] "SeismoBuild 2021 – A computer program for static and dynamic nonlinear analysis of framed structures," available from http://www.seismosoft.com.


Getting Started

When opening SeismoBuild a window appears for selecting the new project’s units and rebar typology. The available options are SI and Imperial Units, as well as European sizes and US sizes for rebar typology.

A special Building Modeller facility has been developed and introduced in the program in order to facilitate the creation of building models. Currently, only reinforced concrete buildings can be created with the facility; in subsequent releases of the program steel and composite models will be also supported. The Building Modeller is accessed from the program main window by clicking on the Building Modelling module [image] .

The Quick Start in combination with the Tutorials will help you learn the SeismoBuild in just few minutes.


Quick Start

Open the SeismoBuild, select the new projects’s structural Code, units, rebar typology and

follow the below 6 steps:

  • Create the Structural Model

  • Export the CAD drawings

  • Define the Code-based parameters

  • Run the analyses

  • Carry out the Checks

  • Export the Technical Report


Create the Structural Model

You may create the Structural Model through the Building Modeller.

Define the building’s main settings and click OK.

The Building Modeller Main Window appears.

Before starting, you may insert a CAD drawing as background and move its axes center to a location that might be more suitable.

When selecting to insert an element, its Properties Window will appear on the right.

Columns and slabs require one mouse click to be inserted. Walls and beams on the other hand need two points to be outlined. For further information you may refer to Insert/Edit Members.

After inserting all the members of the first floor, you may copy them to other floors.

You can return to the SeismoBuild main window from the main menu (File > Exit) or through the corresponding toolbar button [image] .

[Next]


Export the CAD drawings

You may export the CAD drawings from the Structural Model through the main window (File > Export CAD drawings...).

[Next]


Define the Code-based parameters

Define the Code-based parameters.

[Next]


Run the analyses

Run the Eigenvalue Analysis and see the results.

Run all the selected Pushover Analyses . When the analyses have arrived to the end, you may see the results.

The Pushover analysis results area looks like this:

[Next]


Carry out the Checks

Carry out the selected checks:

[Next]


Export the Technical Report

Export the technical report

It is noted that a technical report of 300 pages will be exported in approximately 3-4 minutes.


Tutorial N.1

Tutorial N.1 - Assessment of a Two-Storey Building

In tutorial N.1 a three dimensional, two-storey reinforced concrete building is modelled and assessed according to the Eurocodes. You may go to the SeismoBuild User Manual to get all the required information or view the corresponding video on Seismosoft's YouTube channel. The link for the video tutorial may be found in the corresponding list available from the main window (Help> Video Tutorials) or through the [image] toolbar button.


Tutorial N.2

Tutorial N.2 - Assessment of a Three-Storey Building

In tutorial N.2 a three dimensional, three-storey reinforced concrete building is modelled and assessed according to the Eurocodes. The geometry of all the floors is the same, the only difference being the presence of inclined slabs on the third floor. You may go to the SeismoBuild User Manual to get all the required information or view the corresponding video on Seismosoft's YouTube channel. The link for the video tutorial may be found in the corresponding list available from the main window (Help> Video Tutorials) or through the [image] toolbar button.


Tutorial N.3

Tutorial N.3 - Rehabilitation of a Three-Storey Building

In tutorial N.3 a three dimensional, three-storey reinforced concrete building is strengthened according to the Eurocodes. For convenience, in this third tutorial the model that has already been created in Tutorial N2 is strengthened. According to the strengthening scheme, the columns and beams of all the floors will be upgraded with reinforced concrete jacketed. You may go to the SeismoBuild User Manual to get all the required information or view the corresponding video on Seismosoft's YouTube channel. The link for the video tutorial may be found in the corresponding list available from the main window (Help> Video Tutorials) or through the [image] toolbar button.


Tutorial N.4

Tutorial N.4 - Rehabilitation of a Three-Storey Building

In tutorial N.4 a three dimensional, three-storey reinforced concrete building is assessed according to the Eurocodes by applying Dynamic Nonlinear analysis. For convenience, in this fourth tutorial the model that has already been created in Tutorial N2 is used. You may go to the SeismoBuild User Manual to get all the required information or view the corresponding video on Seismosoft's YouTube channel . The link for the video tutorial may be found in the corresponding list available from the main window (Help> Video Tutorials) or through the [image] toolbar button.


Building Modeller

A specially designed modeller facility has been developed and introduced in the program in order to facilitate the creation of building models. Currently, only reinforced concrete buildings are supported; in subsequent releases of the program steel and composite models will be also included.

The Building Modeller is accessed from the program main window by clicking on the Building Modelling button [image] .

Modelling Settings

Users are able to define the geometry of the new building and the main settings of the model in the Initialize Building Modelling dialog box.

  • Structural Configuration: The number of storeys and their heights are defined; a number from 1 to 100 storeys, with different heights at each storey and the possibility of applying a common height to a range of storeys, may be selected. Up to three underground floors (basement storeys) and their heights may also be defined. The default selection for this module is 3 storeys with 3.00m height each without basement storeys.
  • Structural Modelling: The option of not accepting beams shorter than a specific length is available to avoid the creation of very short beams by mistake (e.g. by extending slightly a beam’s edge after the column at its end). The default value for this option is 0.1m. Users may also decide whether to include the effective slab width in the beams modelling.
    Finally, the definition of the control node is made within this module. Users may select directly the floor of the control node, or alternatively choose the automatic definition, in which the control node is defined at the center of mass of the upper floor or at the floor lower to that (in the case of having a top floor mass less than 10% of the lower floor’s), depending on the choice made in the Advanced Settings> Advanced Building Properties.


Building Modeller Main Window

After defining the building’s main settings, the Building Modeller Main Window appears, as shown in the figure below.

A visual description of the Building Modeller Main Window may be found here.


HOW-TO documents

A special facility has been introduced to the Building Modeller for an easier and quicker understanding of the basic and more advanced features of structural modelling.

The HOW-TO documents are organized in the following fields:

  • General
  • Insert/Edit Members
  • Member Properties
  • Advanced Member Properties
  • Other Functions


General

The following information is provided in the General HOW-TO documents:

  • Overview of the Building Modeller Main Window
  • Insert CAD drawing
  • Move/Rotate Building


Overview of the Building Modeller Main Window

A visual description of the Building Modeller Main Window follows:


Insert CAD drawing

The possibility of inserting as background a CAD drawing is offered from the main window (File > Import DWG...) or through the corresponding toolbar button [image] . Once the drawing is inserted the user is asked to specify drawing’s units and to choose whether to move the DWG/DXF file to (0,0), i.e. to the origin of the coordinates system. Selecting this checkbox moves the bottom-left edge of the drawing to the (0,0) coordinates, irrespective of its initial CAD coordinates.

Note that the axes origin can be further moved to a different point that might be more suitable after loading the CAD file with the Move Axes Center ( [image]) toolbar button, also accessible from the Menu (View > Move Axes Center).The option of moving the imported CAD file is also available through the Move DWG ( [image]) toolbar button or from the main menu (View > Move DWG).

Finally, from the Menu (View > Show/Hide DWG) or through the [image] toolbar button the option whether the CAD drawing will be visible or not is also defined.


Move/Rotate Building

The possibility of moving the building in plan view is offered from the main menu (Tools> Move Building) or from the corresponding toolbar button [image] by either assigning the relative coordinates or by selecting the base point and the second point graphically.

The option of rotating the building n plan view is also available from the main menu (Tools> Rotate Building) or from the [image] toolbar button. Users should specify the base point by ts coordinates or graphically and assign the rotation angle.


Insert/Edit Members

The following information is provided in the Insert/Edit Members HOW-TO documents:

  • Insert Columns
  • Insert Walls
  • Insert Beams
  • Insert Slabs
  • Insert Slab by Perimeter
  • Insert Cantilever Slabs
  • Insert Stairs
  • Edit Members
  • Multiple Edit Members
  • Copy Member Properties


Insert Columns

A column may be inserted from the main menu (Insert >...) or through the corresponding toolbar buttons.

Once the required column is selected, its Properties Window appears on the right-hand side of the screen.

On the column's Properties Window users can adapt the section’s dimensions either in the View/Modify Geometry window or by selecting one section from the predefined standard sections.

It is possible to define a column height different from the storey height by selecting the Free length radio button and assigning the value of the height difference. Further, it is possible to adapt the foundation level of columns at the ground floor, thus providing the possibility to the user to define buildings with varying foundation levels.

The longitudinal and transverse reinforcement may be defined by editing the relevant reinforcement patterns. Adding single longitudinal reinforcement bars may also be carried out through the corresponding Additional Rebars module, where additional reinforcement may be introduced graphically. It is noted that in jacketed columns the term "internal" refers to the pre-existing section, before the retrofit, whereas the term "external" refers to the jacket, i.e. the new part of the member.

When editing the reinforcement patterns the program automatically switches to the View Reinforcement display, where the reinforcement (longitudinal and transverse) of the section is shown and users may check for its correct assignment.

The Material Sets properties can be defined from the main window (Tools > Define Material Sets), through the corresponding toolbar [image] button, or through the Define Material Sets button within the member’s Properties Window. It is noted that in the jacketed columns the possibility of defining different material sets for the internal (pre-existing) and the jacket (new) concrete materials is available.

The code-based settings of the structural member can be defined through the Advanced Member Properties dialog box that opens from the corresponding button.

The modelling parameters of the structural member can also be defined through the Modelling Parameters dialog box that opens from the corresponding button.

Further, FRP wraps may be assigned to columns through the FRP Wrapping module, where the users may select the FRP sheet from a list of the most commonly used products found in the market, or alternatively introduce user-defined values.

Finally, the insertion point (point of the section that corresponds to the location of the mouse click) may be chosen by clicking on the corner, middle or side points of the section's plot on the Properties Window, whereas the rotation of the column on plan-view can be changed by the 0o, 90o, 180o and 270o buttons or by assigning the proper angle on the corresponding of editbox of the Properties Window.

After defining all the section's properties, the new member may be added graphically with a simple mouse click on the building's plan view

.


Insert Walls

A wall may be inserted from the main menu (Insert > Wall) or through the corresponding toolbar button [image].

Once the insert wall is selected, its Properties Window appears on the right-hand side of the screen.

On the wall’s Properties Window the section’s width is adapted in the View/Modify Geometry window, whereas its length is graphically defined with its insertion. Initially, the pseudo-columns width is automatically estimated as one fifth (1/5) of the total wall’s length with a maximum value equal to 600 mm. After the insertion of the wall, it can be modified from the wall's Properties Window.

It is possible to define a wall height different from the storey height by selecting the 'Free length' radio button and assigning the value of the height difference. Further, it is possible to adapt the foundation level of walls at the ground floor, thus providing the possibility to the user to define buildings with varying foundation levels.

The longitudinal and transverse reinforcement may be defined by editing the relevant reinforcement patterns, after the wall's insertion. Adding single longitudinal reinforcement bars may also be carried out through the corresponding Additional Rebars module, where additional reinforcement may be introduced graphically.

In the properties Window users may choose the View Reinforcement where the longitudinal reinforcement of the section is displayed and may check for its correct assignment.

When editing the reinforcement patterns the program automatically switches to the View Reinforcement display, where the reinforcement (longitudinal and transverse) of the section is shown and users may check for its correct assignment.

The Material Sets properties can be defined from the main window (Tools > Define Material Sets), through the corresponding toolbar [image] button, or through the Define Material Sets button within the member’s Properties Window.

The code-based settings of the structural member can also be defined through the Advanced Member Properties dialog box that opens from the corresponding button.

The modelling parameters of the structural member can also be defined through the Modelling Parameters dialog box that opens from the corresponding button.

Further, FRP wraps may be assigned to column elements through the FRP Wrapping module, where the users may select the FRP sheet from a list of the most commonly used products found in the market, or alternatively introduce user-defined values.

After defining all the section's properties, the wall may be inserted graphically with two mouse clicks on the building's plan view that outline the start and the end of the wall. The inserting line can lie at the centre or at either of the two sides of the wall; this can be determined by clicking on any of the three lines on the View/Modify Geometry window (the black line is the selected option).

Note: Users should first insert the wall section in the model, so as to have completely defined the wall’s dimensions, that is wall’s total length and pseudo-columns width In order to add longitudinal reinforcement bars through the Additional Rebars module.


Insert Compound Walls

Several wall members should be inserted in order to model a compound wall. According to recent research (Beyer K., Dazio A., and Priestley M.J.N. [2008]), the best way to subdivide non-planar wall systems (e.g. U-shaped or Z-shaped walls) into planar subsections is by splitting the corner area between the flange and the wall elements, as shown in the figure below.

In this way the inner corner bar is attributed to both the web and the flange section, while the outer corner bar is not assigned to any section, the total reinforcement area is therefore modelled correctly.

Note: Horizontal links are automatically assigned by the program, to connect the defined vertical elements.


Insert Beams

A beam may be inserted from the main menu (Insert >...) or through the corresponding toolbar buttons.

Once the required beam is selected, its Properties Window appears on the right-hand side of the screen.

On the beam's Properties Window users can adapt the section’s dimensions either in the View/Modify Geometry window or by selecting one section from the predefined standard sections.

Inclined beams may be efficiently modelled.

The longitudinal and transverse reinforcement may be assigned through the relevant reinforcement patterns. Different reinforcement patterns may be defined at the middle and at the two edges of the beam. Adding single longitudinal reinforcement bars may also be carried out through the corresponding Additional Rebars module, where additional reinforcement may be introduced graphically. It is noted that in jacketed columns the term "internal" refers to the pre-existing section, before the retrofit, whereas the term "external" refers to the jacket, i.e. the new part of the member.

When editing the reinforcement patterns the program automatically switch to the View Reinforcement display, where the reinforcement (longitudinal and transverse) of the start, middle and end sections is shown and users may check for its correct assignment.

In the beams sections module, additional permanent distributed load may also be assigned, which serves to define any load not associated to the self-weight of the structure (e.g. finishings, infills, variable loading, etc).

The Material Sets properties can be defined from the main window (Tools > Define Material Sets), through the corresponding toolbar [image] button, or through the Define Material Sets button within the member’s Properties Window. It is noted that in the jacketed beams the possibility of defining different material sets for the internal (pre-existing) and the jacket (new) concrete materials is available.

The code-based settings of the structural member can also be defined through the Advanced Member Properties dialog box that opens from the corresponding button.

The modelling parameters of the structural member can also be defined through the Modelling Parameters dialog box that opens from the corresponding button.

After defining all the section's properties, the new member may be inserted graphically with two mouse clicks on the building's plan view that outline the start and the end of the beam. The inserting line can lie at the centre or at either of the two sides of the beam; this can be determined by clicking on any of the three lines on the View/Modify Geometry window (the black line is the selected option).

When an assigned beam intersects an existing column or wall, it is automatically subdivided and two members are thus created. Consequently, several beams may be defined in a row with just two clicks.

After the definition of the slabs, two additional options may appear on the beam's Properties Window: (i) select whether to include or not the beam's effective width in the calculations and (ii) select whether the beam is inverted or not. The effective width is automatically calculated by the program, but it can also be modified by the user.


Insert Slabs

A slab may be inserted from the main menu (Insert > Slab) or through the corresponding toolbar button [image].

Once the insert slab is selected, its Properties Window appears on the right-hand side of the screen.

On the slab’s Properties Window users can define the section’s height.

The slab's reinforcement and its rotation to the X & Y axes may be defined:

The self-weight of the slabs may be automatically calculated and included in the structural model or a user-defined value may be used. The slab's additional permanent and live loads can be defined either manually or by selecting the appropriate type of loaded area from the corresponding list. The snow load is required only by ASCE 41-17 and TBDY.

A slab can be defined with a single click on any closed area surrounded by structural elements (columns, walls and beams).

After defining the slab, users may modify its support conditions and its inclination.


Insert Slab by Perimeter

In order to introduce a slab by perimeter, the slab's corners should be identified. The Slab by Perimeter may be inserted from the main menu (Insert > Slab by Perimeter) or through the corresponding toolbar button [image].

After defining the slab's corner points, the Apply button should be clicked on the Properties Window to complete its insertion. Alternatively, with the Reset button user may decide to redraw the slab.


Insert Cantilever Slabs

In order to introduce a cantilever slab, a Free Edge must be drawn first to outline the shape of the slab. The Free Edge may be inserted from the main menu (Insert > Free Edge) or through the corresponding toolbar button [image].

After defining the Free Edge's corner points, the Apply button should be clicked on the Properties Window to complete its insertion. Alternatively, with the Reset button user may decide to redraw the free edge.

When the Free Edge is successfully defined users can insert a new slab, by clicking in the area surrounded by the Free Edge and the structural elements (columns, walls and beams).


Insert Stairs

Stairs may be inserted from the Menu (Insert > Stairs) or through the corresponding toolbar button [image].

The self-weight of the stairs may be automatically calculated according to the stairs’ geometry, materials and specific weight or a user-defined value may be used. The stairs' additional permanent and live loads can be defined either manually or by selecting the appropriate type of loaded area from the corresponding list. The snow load is required only by ASCE 41-17 and TBDY.

Stairs may be easily defined by specifying their centreline. After defining the centreline's corner points the Apply button should be clicked on the Properties Window to complete its insertion or the Reset button to redraw it.

After the insertion of the stairs, landings may also be defined. Select the stairs and the Add Landings button from the stair's Properties Window. The two ends of the landings need to be specified graphically on the centreline. The defined landings may be removed through the Remove All Landings button.


Edit Members

All the structural members can be further modified after their insertion. Users should first use the Select tool from the Menu (Tools > Select) , through the corresponding toolbar button [image] , or simply by clicking on the Space button, and then click on the member. Once selected, the member's Properties Window appears on the right-hand side of the screen and users may modify its properties.

By using the other editing tools, defined in the Menu (Tools >...) or through the corresponding toolbar buttons, users can move a member to a different location ( [image]), rotate it on plan view ( [image]) or delete it ( [image]).

It is noted that there is a number of ways to delete elements: (i) by clicking on the element (ii) by its name (select the member's type, assign its number ID and click the Delete button) or (iii) by selecting a rectangular area on the Main Window (select the member types that will be deleted, select an area of the model on the Main Window and click the Delete button).

Finally, a check from the main menu (Tools > Verify Connectivity) or through the corresponding toolbar button [image] for the existence of any beam with free span smaller than its static height should be carried out when the modelling is completed, in order to check for the existence of very short beams that might have been created unintentionally (due to graphical reasons). If such beams exist, a message appears.


Multiple Edit of Members

The option of multi-editing structural members is available from the main menu (Tools > View/Modify Member Properties) or through the corresponding toolbar button [image] . Users may select multiple members of the same section type and modify their properties at once.


Copy Member Properties

The properties of one member may be applied to others from the main menu (Tools > Copy Member Properties) or through the corresponding toolbar button [image] . A window with a list of the properties that will be copied appears after the selection of the member. Users should just click on a member in order to change its properties. It is noted that the additional rebars cannot be copied.


Member Properties

The following information is provided in the Member Properties HOW-TO documents:

  • Define Member Reinforcement
  • Define Additional Rebars
  • Define Material Sets
  • Define FRP wrapping
  • Define Advanced Member Properties
  • Define Modelling Parameters
  • Define Foundation Level and support conditions
  • Define Slab Support Conditions


Define Member Reinforcement

Longitudinal reinforcement bars can be defined in two different ways: (i) by editing the section's reinforcement patterns or (ii) by entering single rebars through the Additional Rebars modules.

In the available reinforcement patterns users may define the number of bars in predefined locations and their diameter.

Adding single longitudinal reinforcement bars may also be carried out through the corresponding Additional Rebars module, where additional reinforcement may be introduced graphically.

Further, the transverse reinforcement may be specified, in terms of the stirrups' diameters and legs, as well as the distance between them.

It is noted that in circular columns the option of using circular hoops or spiral is available.

Finally, in jacketed sections there are different reinforcement patterns for the "external" (i.e. the jacket, new part of the member) and the "internal" (the pre-existing section, before the retrofit) parts of the section.


Define Additional Rebars

Single longitudinal reinforcement bars may be added through the Additional Rebars module available in the beams', columns' and wall's Properties Window, where additional reinforcement may be introduced graphically. Once the Additional Rebars button is selected the Modify/View additional reinforcement module appears.

In order to add a reinforcement bar users should:

  1. select the Add Bar button;

  2. define the grid properties, by specifying whether the grid appears in the entire section or just at the perimeter, as well as the step of grid; alternatively the rebar coordinates may be directly introduced if the corresponding third option for a Single Bar is selected;

  3. select the bar diameter;

  4. add rebars graphically by clicking on the sections' plan view.

Further, users may modify the additional reinforcement bars by clicking on the Select/Modify Bar button, select the bar to modify and change its bar diameter.

The additional reinforcement can be removed by clicking the corresponding button and selecting the bar on the section's plan view to remove it graphically.

Finally, the rebars may be moved to different coordinates through the Move Bars button, users should select the bar to move and specify its new location graphically.

It is noted that the applied reinforcement bars through the available reinforcement patterns are not editable within the Modify/View additional reinforcement module and users may only select to visualise them from the corresponding checkbox.


Define Material Sets

The Material Sets properties can be defined from the Menu (Tools > Define Material Sets), through the corresponding toolbar [image] button, or through the Define Material Sets button within the member’s Properties Window. The required materials properties depend on the type of the members, i.e. existing or new members. For existing materials the mean strength value and the mean strength value minus one standard deviation are required, whereas for new materials the characteristic strength value and the mean strength value should be assigned.

By default, there are two Material Sets, one for the existing elements and one for the new ones. Users may modify the values of the material properties for these default sets through the Edit button, however they cannot delete them. The option of applying predefined material strengths, depending on the year of construction of the building, is available when this is allowed from the selected Code. Up to ten Material Sets can be defined simultaneously for the same structure.


Define FRP wrapping

FRP wraps may be assigned to columns. The user may select the FRP sheet from a list of the most commonly used products found in the market, or alternatively introduce user-defined values.

In order to insert an FRP sheet from the list users should:

  • select the company that produces the FRP;
  • select the name of the FRP sheet;
  • specify the number of applied layers;
  • define whether the dry or the laminate FRP properties are to be used in the calculations;
  • assign the radius of rounding of the corners R for the rectangular cross sections (a critical parameter in the application of FRP wraps).

In case of User-defined FRP sheet the properties that should be defined are:

  • the FRP sheet properties: the thickness, the tensile strength, the modulus of elasticity and the elongation at failure;
  • the number of applied layers;
  • whether the defined properties that will be used in the calculations are the dry or the laminate FRP properties;
  • the radius of rounding of the corners R for the rectangular cross sections (a critical parameter in the application of FRP wraps);
  • the type of the FRP sheet (Carbon, Aramid, Glass, Basalt or Steel fibres);
  • the number of direction(s) and the orientation of the fibres.

Finally, FRP systems may be proposed to Seismosoft through the “Propose FRP system to Seismosoft” button, in order to be included in newer releases of the program. Herein, the user is asked to assign the name of the FRP system, the link where information about the product may be found and the technical properties of the FRP sheet.


Define Advanced Member Properties

The member’s code-based settings may be defined from the Advanced Member Properties dialog box accessed by the Properties Window. Herein, users may determine:

  • the element’s classification (i.e. primary or secondary seismic member);
  • whether the member is with or without detailing for earthquake resistance;
  • the cover thickness;
  • the type of the longitudinal bars (cold-worked brittle steel and smooth -plain- longitudinal bars may be assigned);
  • the type of lapping for the longitudinal bars;
  • the length of lapping for the longitudinal bars, which may be defined in three ways: (i) the members have adequate relative lap length, compared to the minimum lap length for ultimate deformation (default option), (ii) the members have inadequate relative lap length (the ratio between the applied lap length and the minimum lap length for ultimate deformation should be defined), and (iii) the members have inadequate lap length (the absolute lap length should be assigned);
  • the accessibility -easy or difficult- of the location of the intervention (this parameter, employed in strengthened members, is available only in the Greek Seismic Interventions Code).

A special window is available in the dialog box with references to specific sections of the Codes for the users who will need more information regarding the aforementioned settings. The references in this window change, in order to correspond to the parameter pointed with the mouse.


Define Modelling Parameters

The member's modelling parameters may be defined from the Modelling Parameters dialog box accessed by the Properties Window. Herein, users may determine:

  • the concrete and steel material types;
  • the frame element type;
  • the number of section fibres;
  • the Moment/Force releases.

Notes

  1. The choices in the Advanced Building Modelling tab for the materials and frame element types are the "Default options" within the Modelling Parameters tab.
  2. Code based checks are not executed for the member of the elastic frame element type (elfrm). Hence, this element type may be employed only for special modelling cases, when an elastic member behaviours is expected.
  3. Users may assign the number of fibres of their choice or they may select the automatic calculation, according to which 50 fibres are defined for a member’s concrete area less than 0.1m2 and 200 fibres for a member’s concrete area more than 1m2, whereas linear interpolation is executed for the in between values. Each longitudinal reinforcement bar is defined with 1 additional fibre; added to the abovementioned concrete number of fibres.


Define Foundation Level and support conditions

Users can choose whether a particular column or wall is fixed to the ground by the Restrained checkbox of the Properties Window. In this way, even columns at upper storeys may be fixed at their lower edge, and foundations at different levels may effectively modelled. By default, all the columns/walls at the ground floor are restrained, and all the upper columns/walls are free.

Further, the foundation level of each column may be adapted by changing the Foundation Level (dl) parameter, thus providing additional parameters for the better definition of multiple-level foundation systems.


Define Slab Support Conditions

The support conditions of a slab may be modified after its insertion, thus adjusting at which beams the slab loads are to be distributed. In order to do so, select the slab and within the Support Conditions window of the Properties Window click on the beams to modify the slab's support conditions.


Advanced Features

The following information is provided in the Advanced Member Properties HOW-TO documents:

  • Inverse Beams
  • Inclined Beams
  • Inclined Slabs
  • Slab Openings


Inverse Beams

After assigning the beams and the slabs of the structural model, users may define inverse beams. In order to do so, select the beam to visualise its Properties Window, select the Display/Modify Effective Width and the Include effective width checkboxes. The latter must be enabled, so that to be able to activate the Inverse beam checkbox.

The effective width is automatically calculated, but users have also the ability to customise its value.


Inclined Beams

Inclined beams may be efficiently modelled in Building Modeller. On the beam's Properties Window users should enable the Inclined checkbox and specify the elevation differences of the two beam ends relatively to the storey height.

It is noted that the heights of the columns that support the beam are then automatically adapted to the elevation of the beam's edges.


Inclined Slabs

After defining a slab, users may modify it and assign its inclination, as follows:

  1. select the Inclined or elevated slab checkbox (three points need to be selected graphically to specify the slab elevation);
  2. select the Point 1 radio button;
  3. click on the Graphical Select button;
  4. specify the slab's point on the Main Window by clicking on it;
  5. modify the value of the Z1 coordinate to specify the slab's elevation in Point 1 (the X1 & Y1 coordinates, that corresponds to the graphically selected Point 1, are automatically assigned).

The same procedure should be repeated for the other two points.

The neighboring beams’ elevation and column heights are automatically adjusted, whereas the columns are subdivided in shorter elements by the program, if this is required, i.e. in the cases where two or more beams are supported by the same column at different levels, thus creating short columns.


Slab Openings

Slabs with openings may be inserted within the Building Modeller with the help of the Free Edge facility. The Free Edge may be inserted from the main menu (Insert > Free Edge) or through the corresponding toolbar button [image].

After defining the Free Edge's corner points, used to outline the shape of the opening, the Apply button should be clicked on the Properties Window to complete its insertion. The Free Edge should start and end at an already defined structural member, beam, column or wall. Slab openings in the middle of the slabs are not supported.

When the Free Edge is successfully defined users can insert a new slab.


Other Functions

The following information is provided in the Other Functions HOW-TO documents:

  • Define Loads
  • Copy Floor
  • Renumber Elements
  • Define Snap and Grid Properties


Define Loads

In SeismoBuild loads are defined in two ways: (i) indirectly from the transformation of the masses of the structural model to loads, based on the g value, and (ii) in the Beams, Slabs and Stairs Properties Windows.

Beam Loads
On the beam's Properties Window there is a module available for applying Additional Permanent Load to the beams. The defined load will be distributed along the beam's length. By default there is no load applied, 0.00 KN/m.

Slab Loads
On the slab's Properties Window its self weight and the Additional Permanent & Live Loads may be defined. The self-weight of the slabs may be automatically calculated and included in the structural model or a user-defined value may be used. The slab's additional permanent and live loads can be defined either manually or by selecting the appropriate type of loaded area from the corresponding list. The snow load is required only by ASCE 41-17 and TBDY.

Stairs Loads
On the stair's Properties Window the self-weight and the Additional Permanent, Live and Snow Loads may be defined; the latter is required only by ASCE 41-17 and TBDY. The self-weight of the stairs may be automatically calculated according to the stairs’ geometry, materials and specific weight or a user-defined value may be used. The stair's additional permanent and live loads can be defined either manually or by selecting the appropriate type of loaded area from the corresponding list.


Copy Floor

The possibility of automatically creating new floors, based on already created ones is offered through the main menu (Tools > Copy floor...) or through the corresponding toolbar button [image] .

Further, the 3D model of the current floor may be visualised through the main window (View > Storey 3D Model...) or through the toolbar button.

It is noted that the layout of an existing floor may be also used as background in order to easily introduce new members on another storey.


Renumber Elements

The option to renumber the structural members is available from the main menu (Tools > Renumber Elements...) or through the [image] toolbar button. By clicking on a member the selected number is assigned to it, and the numbering of all other members is changed accordingly.


Define Snap and Grid Properties

The grid properties (step, min and max values) and the snap properties (step), as well as whether the grid will be visualised or not may be defined from the Snap and Grid Properties dialog box accessed by the main menu (View > Snap & Grid Properties) or through the [image] toolbar button.


Inserting Structural Members

A wide variety of reinforced concrete sections is available within the Building Modeller window. The Material Sets, the Advanced Member Properties and the Modelling Parameters are common to all the sections’ properties windows while FRP Wrapping is available only for columns.

Note: A How-To documents list is introduced for a quick access to all the required information regarding modelling within the Building Modeller.


Material Sets

The material sets properties can be defined from the main window (Tools > Define Material Sets), through the corresponding toolbar [image] button, or through the Define Material Sets button within the member’s properties window. The required materials properties depend on the type of the members, i.e. existing or new members. For existing materials the mean strength value and the mean strength value minus one standard deviation are required, whereas for new materials the characteristic strength value and the mean strength value should be assigned. By default, there are two material schemes, one for the existing elements and one for the new ones. Users may modify the values of the default sets, but they can also add new material sets to cover the needs of their model (e.g. when several different material strengths are employed in the structural system).

Notes

  1. There is a limit to the number of the defined material schemes equal to 10. The default material sets cannot be removed.
  2. The option of applying predefined material strengths, depending on the year of construction of the building, is available when this is allowed from the selected Code.


Advanced Member Properties

The member’s code-based settings may be defined from the Advanced Member Properties dialog box accessed by the Properties Window. Herein, users may determine

  • the element’s classification (i.e. primary or secondary seismic member);
  • whether the element is with or without detailing for earthquake resistance;
  • the cover thickness;
  • the type of the longitudinal bars (cold-worked brittle steel and smooth -plain- longitudinal bars may be assigned);
  • the type of lapping for the longitudinal bars;
  • the length of lapping for the longitudinal bars, which may be defined in three ways; (i) the members have adequate relative lap length, compared with the minimum lap length for ultimate deformation (default option); (ii) the members have inadequate relative lap length (the ratio between the applied lap length and the minimum lap length for ultimate deformation should be defined); and (iii) the members have inadequate lap length (the absolute lap length should be assigned);
  • the accessibility of area of intervention (needed for strengthened members and only in the Greek Seismic interventions Code).


Modelling Parameters

The member’s modelling parameters may be defined from the Modelling Parameters dialog box, accessed by the Properties Window. Herein, users may define

  • the concrete and steel material types;
  • the frame element type that will be used to model the structural member in SeismoBuild;
  • the number of sections fibres;
  • the assignment of Moment/Force releases.

Notes

  1. The choices in the Advanced Building Modelling tab for the materials and frame element types are the "Default options" within the Modelling Parameters tab.
  2. Code based checks are not executed for the member of the elastic frame element type (elfrm). Hence, this element type may be employed only for special modelling cases, when an elastic member behaviours is expected.


FRP Wrapping

FRP wraps may be assigned to columns. The user may select the FRP wrap from a list of the most commonly used products found in the market, or alternatively introduce user-defined values. A number of properties may be defined for the FRP Wraps contained in the list, such as:

  • the number of applied layers;
  • whether the dry or the laminate FRP properties are to be used in the calculations ;
  • the radius of rounding of the corners R for the rectangular cross sections (a critical parameter in the application of FRP wraps).

In case of User-defined FRP Wrap, apart from the properties above, the following should be also defined:

  • the FRP sheet properties: the thickness, the tensile strength, the modulus of elasticity and the elongation at failure
  • the type of the FRP sheet (Carbon, Aramid, Glass, Basalt or Steel fibres);
  • the number of direction(s) and the orientation of the fibres.

Note: Users may propose FRP systems to Seismosoft through the “Propose FRP system to Seismosoft” button, in order to be included in newer releases of the program.


Sections

The section types below are available in SeismoBuild:

  • Rectangular Column
  • L-Shaped Column
  • T-Shaped Column
  • Circular Column
  • Wall
  • Compound Wall
  • Beam
  • Rectangular Jacketed Column
  • L-Shaped Jacketed Column
  • T-Shaped Jacketed Column
  • Circular Jacketed Column
  • Jacketed Beam
  • Slab
  • Slab by Perimeter
  • Free Edge
  • Stairs


Rectangular Column

New rectangular columns may be added with a simple click on the Building Modeller Main Window.

On the rectangular column's Properties Window users can adapt the section’s dimensions either in the View/Modify Geometry window or by selecting one section from the predefined standard sections (square or rectangular).

It is possible to define a column height different from the storey height, as well as to adapt the foundation level of the column, thus providing the possibility to the user to define different foundation levels.

The longitudinal and transverse reinforcement may be defined by editing the relevant reinforcement patterns. Adding single longitudinal reinforcement bars may also be carried out through the corresponding Additional Rebars module, where additional reinforcement may be introduced graphically.

On the Properties Window users may choose the View Reinforcement display, where the longitudinal reinforcement of the section is shown and its correct assignment can be checked.

The material sets properties can be defined from the main window (Tools > Define Material Sets), through the corresponding toolbar [image] button, or through the Define Material Sets button within the member’s Properties Window. The required values for the definition of the materials properties depend on the type of the members, i.e. existing or new members. By default, there are two material schemes, one for the existing elements and one for the new ones. The code-based settings of the structural member can also be defined through the Advanced Member Properties dialog box that opens from the corresponding button. The member’s Modelling Parameters may be defined from the Modelling Parameters dialog box, accessed by the corresponding button. Further, FRP wraps may be assigned to column elements through the FRP Wrapping module, where the users may select the FRP sheet from a list of the most commonly used products found in the market, or alternatively introduce user defined values. Finally, the insertion point (point of the section that corresponds to the location of the mouse click), and rotation of the section on plan view may be selected.

After defining all the section's properties, the new member may be added with a simple click on the Building Modeller Main Window.

For guidelines on how to insert a column click here.


L-Shaped Column

New L-shaped columns may be added with a simple click on the Building Modeller Main Window.

On the L-shaped column's Properties Window users can adapt the section’s dimensions either in the View/Modify Geometry window or by selecting one section from the predefined standard sections (symmetric or asymmetric).

It is possible to define a column height different from the storey height, as well as to adapt the foundation level of the column, thus providing the possibility to the user to define different foundation levels.

The longitudinal and transverse reinforcement may be defined by editing the relevant reinforcement patterns. Adding single longitudinal reinforcement bars may also be carried out through the corresponding Additional Rebars module, where additional reinforcement may be introduced graphically.

On the Properties Window users may choose the View Reinforcement display, where the longitudinal reinforcement of the section is displayed and its correct assignment can be checked.

The material sets properties can be defined from the main window (Tools > Define Material Sets), through the corresponding toolbar [image] button, or through the Define Material Sets button within the member’s Properties Window. The required values for the definition of the materials properties depend on the type of the members, i.e. existing or new members. By default, there are two material schemes, one for the existing elements and one for the new ones. The code-based settings of the structural member can also be defined through the Advanced Member Properties dialog box that opens from the corresponding button. The member’s Modelling Parameters may be defined from the Modelling Parameters dialog box, accessed by the corresponding button. Further, FRP wraps may be assigned to column elements through the FRP Wrapping module, where the users may select the FRP sheet from a list of the most commonly used products found in the market, or alternatively introduce user defined values. Finally, the insertion point (point of the section that corresponds to the location of the mouse click), and rotation of the section on plan view may be selected.

After defining all the section's properties, the new member may be added with a simple click on the Building Modeller Main Window.

For guidelines on how to insert a column click here.


T-Shaped Column

New T-shaped columns may be added with a simple click on the Building Modeller Main Window.

On the T-shaped column's Properties Window users can define the section’s dimensions either in the View/Modify Geometry window or by selecting one section from the predefined standard sections (symmetric or asymmetric).

It is possible to define a column height different from the storey height, as well as to adapt the foundation level of the column, thus providing the possibility to the user to define different foundation levels.

The longitudinal and transverse reinforcement may be defined by editing the relevant reinforcement patterns. Adding single longitudinal reinforcement bars may also be carried out through the corresponding Additional Rebars module, where additional reinforcement may be introduced graphically.

On the Properties Window users may choose the View Reinforcement display, where the longitudinal reinforcement of the section is shown and its correct assignment can be checked.

The material sets properties can be defined from the main window (Tools > Define Material Sets), through the corresponding toolbar [image] button, or through the Define Material Sets button within the member’s Properties Window. The required values for the definition of the materials properties depend on the type of the members, i.e. existing or new members. By default, there are two material schemes, one for the existing elements and one for the new ones. The code-based settings of the structural member can also be defined through the Advanced Member Properties dialog box that opens from the corresponding button. The member’s Modelling Parameters may be defined from the Modelling Parameters dialog box, accessed by the corresponding button. Further, FRP wraps may be assigned to column elements through the FRP Wrapping module, where the users may select the FRP sheet from a list of the most commonly used products found in the market, or alternatively introduce user defined values. Finally, the insertion point (point of the section that corresponds to the location of the mouse click), and rotation of the section on plan view may be selected.

After defining all the section's properties, the new member may be added with a simple click on the Building Modeller Main Window.

For guidelines on how to insert a column click here.


Circular Column

New circular columns may be added with a simple click on the Building Modeller Main Window.

Οn the circular column's Properties Window users can define the section’s dimensions either in the View/Modify Geometry window or by selecting one section from the predefined standard sections.

It is possible to define a column height different from the storey height, as well as to adapt the foundation level of the column, thus providing the possibility to the user to define different foundation levels.

The longitudinal and transverse reinforcement may be defined by editing the relevant reinforcement patterns. Adding single longitudinal reinforcement bars may also be carried out through the corresponding Additional Rebars module, where additional reinforcement may be introduced graphically.

On the Properties Window users may choose the View Reinforcement display, where the longitudinal reinforcement of the section is shown and its correct assignment can be checked.

The material sets properties can be defined from the main window (Tools > Define Material Sets), through the corresponding toolbar [image] button, or through the Define Material Sets button within the member’s Properties Window. The required values for the definition of the materials properties depend on the type of the members, i.e. existing or new members. By default, there are two material schemes, one for the existing elements and one for the new ones. The code-based settings of the structural member can also be defined through the Advanced Member Properties dialog box that opens from the corresponding button. The member’s Modelling Parameters may be defined from the Modelling Parameters dialog box, accessed by the corresponding button. Further, FRP wraps may be assigned to column elements through the FRP Wrapping module, where the users may select the FRP sheet from a list of the most commonly used products found in the market, or alternatively introduce user defined values. Finally, the insertion point (point of the section that corresponds to the location of the mouse click), and rotation of the section on plan view may be selected.

After defining all the section's properties, the new member may be added with a simple click on the Building Modeller Main Window.

For guidelines on how to insert a column click here.


Wall

New walls may be added with two mouse clicks on the Building Modeller Main Window.

On the wall’s Properties Window the section’s width is adapted in the View/Modify Geometry window, whereas its length is graphically by specifying the points at the start and the end of the wall. Initially, the pseudo-columns width is automatically estimated as one fifth (1/5) of the total wall’s length with a maximum value equal to 600 mm. After the insertion of the wall, it can be modified from the wall's Properties Window.

It is possible to define a wall height different from the storey height, as well as to adapt the foundation level of the wall, thus providing the possibility to the user to define different foundation levels.

The longitudinal and transverse reinforcement may be defined by editing the relevant reinforcement patterns. Adding single longitudinal reinforcement bars may also be carried out through the corresponding Additional Rebars module, where additional reinforcement may be introduced graphically.

On the Properties Window users may choose the View Reinforcement display, where the longitudinal reinforcement of the section is shown and its correct assignment can be checked.

The material sets properties can be defined from the main window (Tools > Define Material Sets), through the corresponding toolbar [image] button, or through the Define Material Sets button within the member’s Properties Window. The required values for the definition of the materials properties depend on the type of the members, i.e. existing or new members. By default, there are two material schemes, one for the existing elements and one for the new ones. The code-based settings of the structural member can also be defined through the Advanced Member Properties dialog box that opens from the corresponding button. The member’s Modelling Parameters may be defined from the Modelling Parameters dialog box, accessed by the corresponding button. Further, FRP wraps may be assigned to column elements through the FRP Wrapping module, where the users may select the FRP sheet from a list of the most commonly used products found in the market, or alternatively introduce user defined values.

After defining all the section's properties, the new member may be added by outlining two points on the Main Window. The inserting line can lie at the centre or at either of the two sides of the wall; this can be determined by clicking on any of the three lines on the View/Modify Geometry window (the black line is the selected option).

For guidelines on how to insert a wall click here.

Note: In order to add longitudinal reinforcement bars through the Additional Rebars module, u sers should first insert the wall section in the model, so as to have completely defined the wall’s dimensions.


Compound Wall

If the Insert Compound Wall toolbar button is selected, an informative window will appear proposing the best way to insert compound wall sections. According to recent research, the best way to subdivide non-planar wall systems, e.g. U-shaped or Z-shaped walls, into planar subsections is by splitting the corner area between the flange and the wall elements. In this way the inner corner bar is attributed to both the web and the flange section, while the outer bar is not assigned to any section, the total reinforcement area is therefore modelled correctly.

For guidelines on how to insert a compound wall click here.

Note: : Horizontal links are automatically assigned by the program in order to connect the defined vertical elements.


Beam

New beams may be added with two clicks on the Building Modeller Main Window.

On the beam's Properties Window users can adapt the section’s dimensions either in the View/Modify Geometry window or by selecting one section from the predefined standard sections.

Inclined beams may be efficiently modelled by specifying the elevation differences of the two beam ends relatively to the storey height. The heights of the columns that support the beam are then automatically adapted.

The longitudinal and transverse reinforcement may be assigned through the relevant reinforcement patterns. Different reinforcement patterns may be defined at the middle and at the two edges of the beam.

In the beams sections module, additional permanent distributed load may also be assigned, which serves to define any load not associated to the self-weight of the structure (e.g. finishings, infills, variable loading, etc).

On the Properties Window users may choose the View Reinforcement display, where the reinforcement of the start, middle and end sections is shown (longitudinal and transverse), and may check for its correct assignment.

The material sets properties can be defined from the main window (Tools > Define Material Sets), through the corresponding toolbar [image] button, or through the Define Material Sets button within the member’s Properties Window. The required values for the definition of the materials properties depend on the type of the members, i.e. existing or new members. By default, there are two material schemes, one for the existing elements and one for the new ones. The code-based settings of the structural member can also be defined through the Advanced Member Properties dialog box that opens from the corresponding button. Further, the member’s Modelling Parameters may be defined from the Modelling Parameters dialog box, accessed by the corresponding button.

After defining all the section's properties, the new member may be added by outlining two points on the Main Window. The inserting line can lie at the centre or at either of the two sides of the beam; this can be determined by clicking on any of the three lines on the View/Modify Geometry window (the black line is the selected option).

After the definition of the slabs, two additional options may appear on the beams Properties Window: (i) select whether to include or not the beam's effective width in the calculations and (ii) select whether the beam is inverted or not. The effective width of the beam is automatically calculated by the program, but it can also be modified by the user.

For guidelines on how to insert a beam click here.

Note: In the case of beams being supported by the same column at different heights, the program automatically subdivides the column member, so that to simulate effectively the short column that is generated.


Rectangular Jacketed Column

New rectangular jacketed columns may be added with a simple click on the Building Modeller Main Window.

On the rectangular jacketed column's Properties Window users can adapt the section’s dimensions either in the View/Modify Geometry window or by selecting one section from the predefined standard sections (square or rectangular).

It is possible to define a column height different from the storey height, as well as to adapt the foundation level of the column, thus providing the possibility to the user to define different foundation levels.

The external and internal longitudinal and transverse reinforcement may be defined by editing the relevant reinforcement patterns. It is noted that the term ‘internal’ refers to the old/existing part of the section, whether the ‘external’ refers to the new/added part of the section. Adding single longitudinal reinforcement bars may also be carried out through the corresponding Additional Rebars module, where additional reinforcement may be introduced graphically to both the existing and the new part of the section.

On the Properties Window users may choose the View Reinforcement display, where the longitudinal reinforcement of the section is shown and its correct assignment can be checked.

The material sets properties can be defined for the internal and the external part of the section from the main window (Tools > Define Material Sets), through the corresponding toolbar [image] button, or through the Define Material Sets button within the member’s Properties Window. The required values for the definition of the materials properties depend on the type of the members, i.e. existing or new members. By default, there are two material schemes, one for the existing elements and one for the new ones. The code-based settings of the structural member can also be defined through the Advanced Member Properties dialog box that opens from the corresponding button. The member’s Modelling Parameters may be defined from the Modelling Parameters dialog box, accessed by the corresponding button. Further, FRP wraps may be assigned to column elements through the FRP Wrapping module, where the users may select the FRP sheet from a list of the most commonly used products found in the market, or alternatively introduce user defined values. Finally, the insertion point (point of the section that corresponds to the location of the mouse click, and rotation of the section on plan view may be selected.

After defining all the section's properties, the new member may be added with a simple click on the Building Modeller Main Window.

For guidelines on how to insert a column click here.

Note: In the Advanced Member Properties module users should take decisions about the jacketed section’s properties, selecting the parameters so as to account for the whole section, both existing and new one.


L-Shaped Jacketed Column

New L-shaped jacketed columns may be added with a simple click on the Building Modeller Main Window.

On the L-shaped jacketed column's Properties Window users can adapt the section’s dimensions either in the View/Modify Geometry window or by selecting one section from the predefined standard sections (symmetric or asymmetric).

It is possible to define a column height different from the storey height, as well as to adapt the foundation level of the column, thus providing the possibility to the user to define different foundation levels.

The external and internal longitudinal and transverse reinforcement may be defined by editing the relevant reinforcement patterns. It is noted that the term ‘internal’ refers to the old/existing part of the section, whether the ‘external’ refers to the new/added part of the section. Adding single longitudinal reinforcement bars may also be carried out through the corresponding Additional Rebars module, where additional reinforcement may be introduced graphically to both the existing and the new part of the section.

On the Properties Window users may choose the View Reinforcement display, where the longitudinal reinforcement of the section is shown and its correct assignment can be checked.

The material sets properties can be defined for the internal and the external part of the section from the main window (Tools > Define Material Sets), through the corresponding toolbar [image] button, or through the Define Material Sets button within the member’s Properties Window. The required values for the definition of the materials properties depend on the type of the members, i.e. existing or new members. By default, there are two material schemes, one for the existing elements and one for the new ones. The code-based settings of the structural member can also be defined through the Advanced Member Properties dialog box that opens from the corresponding button. The member’s Modelling Parameters may be defined from the Modelling Parameters dialog box, accessed by the corresponding button. Further, FRP wraps may be assigned to column elements through the FRP Wrapping module, where the users may select the FRP sheet from a list of the most commonly used products found in the market, or alternatively introduce user defined values. Finally, the insertion point (point of the section that corresponds to the location of the mouse click, and rotation of the section on plan view may be selected.

After defining all the section's properties, the new member may be added with a simple click on the Building Modeller Main Window.

For guidelines on how to insert a column click here.

Note: In the Advanced Member Properties module users should take decisions about the jacketed section’s properties, selecting the parameters so as to account for the whole section, both existing and new one.


T-Shaped Jacketed Column

New T-shaped jacketed columns may be added with a simple click on the Building Modeller Main Window.

On the T-shaped jacketed column's Properties Window users can adapt the section’s dimensions either in the View/Modify Geometry window or by selecting one section from the predefined standard sections (symmetric or asymmetric).

It is possible to define a column height different from the storey height, as well as, adapt the foundation level of the column, thus providing the possibility to the user to define different foundation levels.

The external and internal longitudinal and transverse reinforcement may be defined by editing the relevant reinforcement patterns. It is noted that the term ‘internal’ refers to the old/existing part of the section, whether the ‘external’ refers to the new/added part of the section. Adding single longitudinal reinforcement bars may also be carried out through the corresponding Additional Rebars module, where additional reinforcement may be introduced graphically to both the existing and the new part of the section.

On the Properties Window users may choose the View Reinforcement display, where the longitudinal reinforcement of the section is displayed and may check for its correct assignment.

The material sets properties can be defined for the internal and the external part of the section from the main window (Tools > Define Material Sets), through the corresponding toolbar [image] button, or through the Define Material Sets button within the member’s Properties Window. The required values for the definition of the materials properties depend on the type of the members, i.e. existing or new members. By default, there are two material schemes, one for the existing elements and one for the new ones. The code-based settings of the structural member can also be defined through the Advanced Member Properties dialog box that opens from the corresponding button. The member’s Modelling Parameters may be defined from the Modelling Parameters dialog box, accessed by the corresponding button. Further, FRP wraps may be assigned to column elements through the FRP Wrapping module, where the users may select the FRP sheet from a list of the most commonly used products found in the market, or alternatively introduce user defined values. Finally, the insertion point (point of the section that corresponds to the location of the mouse click, and rotation of the section on plan view may be selected.

After defining all the section's properties, the new member may be added with a simple click on the Building Modeller Main Window.

For guidelines on how to insert a column click here.

Note: In the Advanced Member Properties module users should take decisions about the jacketed section’s properties, selecting the parameters so as to account for the whole section, both existing and new one.


Circular Jacketed Column

New circular jacketed columns may be added with a simple click on the Building Modeller Main Window.

On the circular jacketed column's Properties Window users can adapt the section’s dimensions either in the View/Modify Geometry window or by selecting one section from the predefined standard sections.

It is possible to define a column height different from the storey height, as well as to adapt the foundation level of the column, thus providing the possibility to the user to define different foundation levels.

The external and internal longitudinal and transverse reinforcement may be defined by editing the relevant reinforcement patterns. It is noted that the term ‘internal’ refers to the old/existing part of the section, whether the ‘external’ refers to the new/added part of the section. Adding single longitudinal reinforcement bars may also be carried out through the corresponding Additional Rebars module, where additional reinforcement may be introduced graphically to both the existing and the new part of the section.

On the Properties Window users may choose the View Reinforcement display, where the longitudinal reinforcement of the section is shown and its correct assignment can be checked.

The material sets properties can be defined for the internal and the external part of the section from the main window (Tools > Define Material Sets), through the corresponding toolbar [image] button, or through the Define Material Sets button within the member’s Properties Window. The required values for the definition of the materials properties depend on the type of the members, i.e. existing or new members. By default, there are two material schemes, one for the existing elements and one for the new ones. The code-based settings of the structural member can also be defined through the Advanced Member Properties dialog box that opens from the corresponding button. The member’s Modelling Parameters may be defined from the Modelling Parameters dialog box, accessed by the corresponding button. Further, FRP wraps may be assigned to column elements through the FRP Wrapping module, where the users may select the FRP sheet from a list of the most commonly used products found in the market, or alternatively introduce user defined values. Finally, the insertion point (point of the section that corresponds to the location of the mouse click, and rotation of the section on plan view may be selected.

After defining all the section's properties, the new member may be added with a simple click on the Building Modeller Main Window.

For guidelines on how to insert a column click here.

Note: : In the Advanced Member Properties m odule users should take decisions about the jacketed section’s properties, selecting the parameters so as to account for the whole section, both existing and new one.


Jacketed Beam

New jacketed beams may be added with two clicks on the Building Modeller Main Window.

On the jacketed beam's Properties Window users can adapt the section’s dimensions either in the View/Modify Geometry window or by selecting one section from the predefined standard sections.

The external and internal longitudinal and transverse reinforcement may be defined by editing the relevant reinforcement patterns. It is noted that the term ‘internal’ refers to the old/existing part of the section, whether the ‘external’ refers to the new/added part of the section. Adding single longitudinal reinforcement bars may also be carried out through the corresponding Additional Rebars modules, where additional reinforcement may be introduced graphically to both the existing and the new part of the section.

Inclined jacketed beams may be efficiently modelled by specifying the elevation differences of the two beam ends relatively to the storey height. The heights of the columns that support the beam are then automatically adapted.

In the jacketed beams sections module, additional permanent distributed load may also be assigned, which will serve to define any load not associated to the self-weight of the structure (e.g. finishings, infills, variable loading, etc).

On the Properties Window users may choose the View Reinforcement display, where the reinforcement of the start, middle and end sections is shown (longitudinal and transverse), and may check for its correct assignment.

The material sets properties can be defined for the internal and the external part of the section from the main window (Tools > Define Material Sets), through the corresponding toolbar [image] button, or through the Define Material Sets button within the member’s Properties Window. The required values for the definition of the materials properties depend on the type of the members, i.e. existing or new members. By default, there are two material schemes, one for the existing elements and one for the new ones. The code-based settings of the structural member can also be defined through the Advanced Member Properties dialog box that opens from the corresponding button. Further, the member’s Modelling Parameters may be defined from the Modelling Parameters dialog box, accessed by the corresponding button.

After defining all the section's properties, the new member may be added by outlining two points on the Main Window. The inserting line can lie at the centre or at either of the two sides of the beam; this can be determined by clicking on any of the three lines on the View/Modify Geometry window (the black line is the selected option).

When an assigned jacketed beam intersects an existing column or wall, it is automatically subdivided and two members are thus created. Consequently, several jacketed beams may be defined in a row with just two clicks.

After the definition of the slabs, two additional options may appear on the beams Properties Window: (i) select whether to include or not the beam's effective width in the calculations and (ii) select whether the beam is inverted or not. The effective width of the beam is automatically calculated by the program, but it can also be modified by the user.

For guidelines on how to insert a beam click here.

Notes

  1. In the case of beams being supported by the same column at different heights, the program automatically subdivides the column member, so that to simulate effectively the short column that is generated.
  2. In the Advanced Member Properties module users should take decisions about the jacketed section’s properties, selecting the parameters so as to account for the whole section, both existing and new one.


Slab

On the slab’s Properties Window users can define (i) the section’s height, (ii) the reinforcement and its rotation to the X & Y axes and (iii) its self weight and the additional permanent, live and snow loads; the latter is required only by ASCE 41-17 and TBDY. The self-weight of the slabs may be automatically calculated and included in the structural model or a user-defined value may be used. The slab's live loads are automatically assigned by the program after the user selects the appropriate type of loaded area from the corresponding module or define them.

A slab can be defined with a single mouse click on any closed area surrounded by structural members (columns, walls and beams).

After defining a slab, users may modify its support conditions, thus adjusting which beams the slab loads are to be distributed. Further, the inclination of the slab may be modified by specifying the slab elevation at three points that can be graphically selected. The neighboring beams’ elevation and column heights are automatically adjusted, whereas the columns are subdivided in shorter elements by the program, if this is required, i.e. in the cases where two or more beams are supported by the same column at different levels, thus creating short columns.

For guidelines on how to insert a slab click here.

Notes

  1. The slab reinforcement is applied to the effective width of the beams at the perimeter of the slab. Obviously, when users select not to include the effective width in the modelling, such reinforcement settings become redundant.
  2. The slab modelling is carried out with rigid diaphragms; hence, a rigid slab is implicitly considered in the structural configuration, which is the case for the vast majority of RC buildings. The slab’s loads (self weight, additional gravity and live loads multiplied by the corresponding coefficients in the Static Actions module) are transformed to masses, based on the g value, and applied directly to the beams that support the slab.


Slab By Perimeter

Slabs of any geometry can be defined in the Building Modeller. In order to do so, the slab's perimeter must be identified with a series of mouse clicks.

After the definition of the slab's perimeter, the slab is automatically assigned.

For guidelines on how to insert a slab by its perimeter click here.

Notes

  1. The slab modelling is carried out with rigid diaphragms; hence, a rigid slab is implicitly considered in the structural configuration, which is the case for the vast majority of RC buildings. The slab’s loads (self weight, additional gravity and live loads multiplied by the corresponding coefficients in the Static Actions module) are transformed to masses, based on the g value, and applied directly to the beams that support the slab.
  2. When the assigned perimeter does not define a closed area, the first point is automatically connected by the program with the last one in order to assign the new slab.


Free Edge

Cantilevered slabs can also be defined in the Building Modeller. In order to do so, a Free Edge must be drawn to outline the shape of the slab.

After the definition of the free edge, users can insert a new slab.

For guidelines on how to insert a cantilever slab click here.

Note: Slabs are modelled in SeismoBuild as rigid diaphragms that connect the beams, columns and walls in their perimeter, and as additional loads applied to the beams. In the case of cantilevered slabs no rigid diaphragm is created and a slab is only considered as additional mass on the supporting beam; the additional mass account for the slabs' permanent and live loads.


Stairs

Stairs may be easily defined by specifying their centreline. Landings may be ,also, applied after the insertion of the stairs member in the project.

On the Properties Window users can further define the stairs’ width, the riser height, the stairs minimum depth, the elevation difference relatively to the base and the top floor level, as well as the self weight and the additional permanent, live and snow loads; the latter is required only by ASCE 41-17 and TBDY. The self-weight of the stairs may be automatically calculated according to the stairs’ geometry, materials and specific weight or a user-defined value may be used.

For guidelines on how to insert stairs click here.

Notes

  1. The self-weight of the stairs may be automatically calculated according to the stairs’ geometry, materials and specific weight or a user-defined value may be used.
  2. Slabs are modelled in SeismoBuild with elastic elements of the same width .


Edit Structural Members

By using the edit tools from the main window (Tools >...) or through the respective toolbar buttons, users can select ( [image] ) a member to view or modify its properties. Further they can move it ( [image] ) to a different location, rotate it ( [image] ) on plan view or delete it ( [image] ).

It is noted that there is a number of ways to delete elements: (i) by clicking on the element (ii) by specifying its name or (iii) by selecting a rectangular area on the Main Window.

The option of multi-editing structural members is available from the main menu (Tools > View/Modify Member Properties) or through the corresponding toolbar button [image] . Users may select multiple members of the same section type and modify their properties at once.

The properties of one member may be applied to others from the main menu (Tools > Copy Member Properties) or through the corresponding toolbar button [image] . A window with a list of the properties that will be copied appears after the selection of the member. Users should just click on a member in order to change its properties. It is noted that the additional rebars cannot be copied.

Moreover, an option to renumber the structural members is offered from the main menu (Tools > Renumber Elements...) or through the [image] toolbar button. By clicking on a member the selected number is assigned to it, and the numbering of all other members is changed accordingly.

After creating a building model, it is relatively common that one or more very short beams have been created unintentionally, due to graphical reasons (e.g. by extending slightly a beams end beyond a column edge). For this reason, a check is carried out from the main menu (Tools > Verify Connectivity...) or through the corresponding toolbar button [image] for the existence of any beam with free span smaller than its static height should be carried out. If such beams exist, a message appears, and the user can select to remove or keep the element.


Creating New Storeys

The possibility of automatically creating new floors, based on already created ones is offered through the main menu (Tools > Copy floor...) or through the corresponding toolbar button [image] .

Further, the 3D model of the current floor may be visualised through the main window (View > Storey 3D Model...) or through the toolbar button.

It is noted that the layout of an existing floor may be also used as background in order to easily introduce new members on another storey.


Other Building Modeller functions

The Building Modeller offers a variety of tools to facilitate the introduction of the structural layout:

  • Different zoom tools are available to users (zoom in, zoom out, dynamic zoom, zoom to window, center all and zoom to member). These tools are also available through the respective toolbar buttons or through the Menu (View >...).
  • Showing or hiding the CAD drawing as a background image can be done from the main menu (View > Show/Hide DWG...) or through the corresponding toolbar button [image] , after it has been loaded with the button [image].
  • Snap tools offer the possibility of snapping to the CAD drawing, the member and/or the grid. The grid (step, min and max values) and snap properties (step), as well as whether the grid will be visualised or not may be defined from the Snap and Grid Properties dialog box accessed by the Menu (View > Snap & Grid Properties) or through the [image] toolbar button.
  • Αn Ortho facility is provided; Ortho is short for orthogonal, and allows for the introduction of either vertical or horizontal - but not inclined - line (beams or walls) members. Again, all these facilities can be accessed from both the Menu (View >...) and through the corresponding toolbar buttons.
  • The axes origin of the CAD drawing at the background can also be moved from the main menu (View >Move Axes Center...) or through the [image] toolbar button.
  • The building in plan view may also be moved from the main menu (Tools > Move Building) or through the [image] toolbar button.
  • The option of rotating the building in plan view is available from the main menu (Tools > Rotate Building) or from the [image] toolbar button.
  • The possibility of undoing and redoing the last operations is offered (Edit >Undo...)/ (Edit >Redo...) or through the toolbar buttons [image].
  • The selected plan view can be printed or previewed from the main window (File >Print... & File >Print preview...) or through the respective toolbar buttons [image] & [image] .


Save and load SeismoBuild projects

The SeismoBuild project (with the *.bpf extension) may be saved from the main window (File >Save As...)/(File >Save) or through the [image] toolbar button. These files can be opened again from the main window of SeismoBuild (File >Open) or through the corresponding toolbar button [image] .

The 3D SeismoBuild model may be visualised by selecting the [image] button or the main window (File >Exit).

Note: When creating a SeismoBuild project file, the structural mass is modelled by the material's specific weight, and the members' additional mass. The former accounts for the mass of the columns, the walls and the beams, while the latter accounts for the mass that corresponds to the slabs' self weight, additional permanent loads and live loads. These defined masses are transformed to gravity loads, based on the g value.


Code Requirements

The definition of the code requirements can be done through the Code Requirements area of the main SeismoBuild window.

The Code Requirements area features a series of pages where the necessary settings for the analyses and the checks may be determined according to the selected Code or Standard. The Codes available in the current version of SeismoBuild are the Eurocode 8- Part 3, along with the majority of the available National Annexes the American Code for Seismic Evaluation and Retrofit of Existing Buildings (ASCE), the Italian National Seismic Code (NTC-18), the Italian National Seismic Code (NTC-08), the Greek Seismic Interventions Code (KANEPE) and the Turkish Seismic Evaluation Building Code (TBDY); once the Code is selected the pages are accordingly modified.

The pages available within the Code Requirements area are listed below:

  • Limit States / Performance Objectives

  • Seismic Actions (Target Spectrum)

  • Analysis Type - Lateral Load Profile

  • Knowledge Level

  • Static Action

  • Interstorey Drift Limits (Only in NTC)

  • Target Displacement Parameters (Only in KANEPE)

  • Checks

Note: The available Codes depend on the edition of the SeismoBuild. Users should select the edition with the required Codes.


Limit States

Herein users may define the Limit States or the Performance Levels to be used to check the structure.

In the cases of the Eurocodes, the state of damage in the structure is defined through three limit states, namely Near Collapse (NC), Significant Damage (SD) and Damage Limitation (DL). It is noted that the selection of the limit state(s) that need to be checked in a country may be found in the relevant National Annex. As a result selection of a National Annex from the available ones will define whether all Limit States, two or one of them will be employed during the Code-Based-Checks.

The performance levels employed in ASCE 41-17 consist of combinations of the target building performance levels (Operational Level, Immediate Occupancy, Life Safety and Collapse Prevention) and seismic actions (2%, 5%, 20% and 50% probabilities of exceedance of the seismic action within a conventional life cycle of 50 years).

The corresponding limit states for the Italian Code are four, i.e. limit state of Operational Level (OL), Damage Limitation (DL), Life Safety (LS) and Collapse Prevention (CP). Apart from the considered limit states, users may specify the location of the structure in the Italian territory, the life time of the structure and its importance class, and the parameters needed for the spectra derivation are automatically calculated.

The performance objectives employed in KANEPE consist of combinations of the performance requirements (Immediate Occupancy, Life Safety and Collapse Prevention) and seismic actions (10% and 50% probabilities of exceedance of the seismic action within a conventional life cycle of 50 years).

The performance levels for the TBDY consist of combinations of the target building performance levels (Continuous Use, Immediate Occupancy, Life Safety and Collapse Prevention) and seismic actions (2%, 10%, 50% and 68% probabilities of exceedance of the seismic action within a conventional life cycle of 50 years).


Seismic Action

Seismic Action (Target Spectrum)

Herein the elastic response spectrum is determined, and scaled to the values of the design ground acceleration established for the different Limit States. The elastic response spectrum can be derived from the code used in the specific project (Code-Based Spectra option) or it can be defined by the user (User–Defined Spectrum option). In the case of Code-Based Spectra, users should assign the basic parameters needed for the generation of the spectral shape (i.e. peak ground acceleration, damping, spectrum type, ground type and important class).

In the case of User Defined Spectra, users can select from a list of 29 spectra defined by various National Codes across the world (Code-Based Spectrum option), where again they should supply the basic parameters for the definition of the spectral shape. There is also the option to upload an accelerogram based on which the elastic response spectrum will be calculated (Spectrum from loaded accelerogram option) or to upload an elastic spectrum from a file (Load Spectrum from file option).


Analysis Type

Analysis Type (Lateral Load Profile or Record Generation)

In SeismoBuild the two accurate methods in the assessment practice of existing buildings are employed, that is the nonlinear static pushover analysis and the nonlinear time-history dynamic analysis.

Pushover Analysis
The different load patterns that will be applied to the structure are defined in this module in two ways:

  • The first one is by selecting one of the pattern schemes as defined by the Codes, i.e. (i) Basic Combinations, i.e. the uniform and modal patterns without eccentricity in the X and Y directions, (ii) Eurocode 8, (iii) ASCE 41-17, (iv) NTC 2008, (v) NTC-18, (vi) KANEPE and (vii) TBDY. By choosing one of these schemes the appropriate load patterns will be selected.
  • The second way is to choose individual load patterns from the corresponding checkboxes. Users may decide about the vertical distribution of loads (uniform and/or modal patterns), the simultaneous or not application of the lateral incremental loads in the two horizontal directions (Uniaxial or Biaxial load patterns) and the existence or not of Single and/or Double Eccentricity.

Dynamic Analysis
Upon selecting this type of the analysis the Artificial Record Generation module is displayed. The user may select the number of artificial accelerograms to be generated, the target spectrum settings (minimum and maximum period for matching, and the scaling factor for the defined target spectrum), the record settings (time step and duration), as well as the generation algorithm.

Three methods are currently available in SeismoBuild for the simulation of artificial ground motions:

  • Synthetic Accelerogram Generation & Adjustment [Hallodorson & Papageorgiou, 2005]
  • Artificial Accelerogram Generation [Gasparini & Vanmarcke,1976], which is the default option
  • Artificial Accelerogram Generation & Adjustment

The Artificial Accelerogram Generation and Artificial Accelerogram Generation & Adjustment methods are based on the adaptation of a random process to a target spectrum. The adaptation is based on the frequency content using the Fourier Transformation Method, and the adjustment in the second method is done in frequency domain. Only the target spectrum is required for the generation of an accelerogram in both cases.

On the contrary, for the generation of synthetic accelerograms some basic knowledge of the geotectonic environment and the soil conditions relative to the region/site of interest are required. The artificial accelerogram is defined starting from a synthetic one and adapting its frequency content using the Fourier Transformation Method. This method is able to efficiently provide good results, but it has the disadvantage of additional input other than the target spectral shape (earthquake regime, near or far-field, the expected earthquake magnitude, the distance from the source, and the soil conditions).


Knowledge Level

Users may select the Knowledge Level that corresponds to the available data on the structural configuration. Three knowledge levels are defined. A more detailed description on the factors determining the achieved knowledge level is available in the specific pages for the Eurocodes, ASCE, NTC-18, NTC-08, KANEPE or TBDY. The value of the confidence factor that corresponds to the chosen Knowledge Level is automatically assigned, although it is also possible to specify different values by selecting the Custom value checkbox (e.g. according to the country’s National Annex for the case of Eurocodes).


Static Actions

The permanent and live loads coefficients are assigned in this module. As described in Pushover and Dynamic analysis, in addition to the incremental lateral loads, the permanent and live loads are applied, which are also used for the definition of the structural mass in Eigenvalue analysis. The snow load coefficient is also assigned in the case of ASCE 41-17 or TBDY.


Interstorey Drift Limits

In NTC an additional check may be executed for the limit states of Operational Level and Damage Limitation, as described here. Users may define through this module whether the infills will be considered as rigidly connected to the structure, or are expected to suffer no damage, in order to specify the target relative deformation at each floor. Alternatively, they can assign user-defined values.


Target Displacement Parameters

Target Displacement Parameters (KANEPE)

Herein the structural type of the building is specified for the proper definition of the C2 factor, taken into consideration in the Target Displacement calculations of KANEPE. It is noted that the C2 factor takes into account the influence of the shape of the hysteresis loop at the maximum displacement.

As structural systems of Type 1 are denoted structures with low ductility (e.g. buildings constructed prior to 1985 or buildings whose capacity curve is characterized by an available displacement ductility which is lower than 2), that are expected to have inferior hysteretic behaviour than structures with high ductility which are characterised as Type 2 systems, e.g. buildings constructed after 1985, or buildings whose capacity curve is characterized by an available displacement ductility which is higher than 2. Given the fact that the influence of hysteretic behaviour is greater for higher levels of post-elastic structural response, the values of the coefficient C2 are conditioned to the performance level.


Checks

Herein, the checks to be carried out according to the selected Code for structural members and beam-column joints may be selected. The checks available within all the employed Codes are the following:

  • Member Chord Rotations
  • Member Shear Forces
  • Member Strains (Only for TBDY)
  • Joints Shear Forces (Eurocode 8, ASCE 41-17 & TBDY)
  • Joints Horizontal Hoops Area (Only for Eurocode 8)
  • Joints Vertical Reinforcement Area (Only for Eurocode 8)
  • Joints Diagonal Tension (NTC & KANEPE)
  • Joints Diagonal Compression (NTC & KANEPE)
  • Interstorey Drifts (ASCE 41-17 & NTC)

A more detailed description on the checks and the equations used to calculate the capacities in SeismoBuild is available in the Checks and in the Eurocodes, ASCE, NTC-18, NTC-08, KANEPE and TBDY pages, respectively.

The values of the safety factors used in the checks may be specified through the corresponding button. The program default factors are those defined in the selected Code.


Analysis & Modelling Parameters

Users are able to define all the parameters required for the nonlinear analytical calculations within this module, by selecting a predefined settings scheme, by clicking on the Advanced Settings button or double-clicking on a specific value to open the corresponding tab in the Advanced Settings module.

.


Settings Schemes

Ten predefined settings schemes are available for the users’ convenience, defining the more important analysis parameters.

These predefined Settings Schemes have been chosen so as to fit the requirements of multiple types of analysis and models, leading to optimised solutions in terms of performance efficiency and results accuracy. Depending on a model’s particular characteristics and demands, different Settings Schemes might fit at different cases; the program carries out an internal check and a notification message is issued, whenever one or more of the settings do not seem to suit the needs of the specific project. The notification messages that might appear are the following:

  • The selected settings scheme seems reasonable, which means that with the selected combination users will probably not face convergence difficulties or accuracy problems during the analyses;

  • Strict convergence criteria. Convergence problems might arise; the program warns for possible convergence problems that might arise because of the strict convergence criteria chosen;

  • Very strict convergence criteria. Convergence problems will probably arise; the program warns for possible convergence problems that will probably arise because of the very strict convergence criteria chosen;

  • Loose convergence criteria. Accuracy problems might arise; the program warns for possible accuracy problems that might arise because of the loose convergence criteria chosen;

  • Very loose convergence criteria. Accuracy problems will probably arise; the program warns for possible accuracy problems that will probably arise because of the very loose convergence criteria chosen.

When a chosen settings scheme does not seem reasonable, a See Why button appears on the right side of the bar. By clicking on this button users are able to see why the selected settings scheme should not be applied to their model, and which specific settings need to be changed to improve them.


Advanced Settings

For each SeismoBuild project it is possible to customise both the usability of the program as well as the performance characteristics of analytical proceedings, so as to better suit the needs of any given structural model and/or the preferences of a particular user. This program/project tweaking facility is available from the Analysis Parameters module or the Advanced Settings panel, which can be accessed through the Advanced Settings button.

The Advanced Settings panel features a number of tab windows, which provide access to different type of settings, as described below:

  • General
  • Analysis
  • Elements
  • Constraints
  • Convergence Criteria
  • Global Iterative Strategy
  • Element Iterative Strategy
  • Gravity & Mass
  • Eigenvalue
  • Advanced Building Modelling
  • Cracked/Uncracked Stiffness
  • Record Generation

Common to all tab windows are the Program Defaults and Set as Default options found at the bottom of the Advanced Settings panel. The Set As Default option is employed whenever the user wishes to define new personalised default settings, which will then be used in all new projects subsequently created. The Program Defaults, on the other hand, can be used to reload, at any time, the original program defaults, as defined at installation time. Note, however, that the Program Defaults option does not change the default program settings, it simply loads the installation settings in the current project. Hence, if the user has previously personalised the default settings of the program (using the Set As Default option) and then wishes to revert the program default settings back to the original installation defaults, he/she should first load the Program Defaults and then choose the Set As Default option.

Note: For the majority of applications, there is no need for the Advanced Settings default values to be modified, since the available Settings Schemes have been chosen so as to fit the requirements of any building model, leading to optimised solutions in terms of performance efficiency and results accuracy.


General

The General Settings provide the possibility of customising the usability of the program to the user's likings and preferences.

Text Output
When activated, the Text Output option will lead to the creation, at the end of every analysis, of a text file (*.out) containing the output of the entire analysis (as given in the Step Output module). This feature may result useful for users who wish to systematically post-process the results using their own custom-made post-processing facility. For occasional access to text output, users are instead advised to use the facilities made available in the Step Output module.

Multiple text Output
When activated, the Multiple Text Output option will lead to the creation of multiple text files (*.out), rather than a single one. This feature may result useful when large models are going to be analysed.

Save Settings
The Save Settings option is used when the user wishes to always make the current project settings the default settings for every new project that is subsequently created. With this checkbox selected, any change in project settings will become a default, without the need for the Set as Default option to be used.


Analysis

In the Analysis tab window some options related to the analysis can be defined. In particular, it is possible to select the solver type and to account for geometric nonlinearities.

Solver
Users are able to select whether the initial loading, i.e. structural static loads, will be applied in one or more steps. The default option is to apply it in one single step. Further, the option of executing eigenvalue analysis at every step in nonlinear pushover analysis is available. Users may select to run an eigenvalue analysis only at the end or at multiple times during the nonlinear analysis.

Users may currently choose between two different solvers:

  • the Skyline Method (Cholesky decomposition, Cuthill-McKee nodes ordering algorithm, Skyline storage format)
  • the Frontal solver for sparse systems, introduced by Irons [1970] and featuring the automatic ordering algorithm proposed by Izzuddin [1991].

Users may select between these two options, or let the program select the most appropriate solver, depending on the characteristics of the structural model. It is noted that generally the Frontal solver is considerably faster, especially in larger models. In contrast the Skyline method is usually more stable and is capable of accommodating zero diagonal stiffness items. When the automatic option is selected, which is the default option, the program performs a stability and size check prior to the analysis. If the model is not very small (i.e. smaller than 25 nodes), and if it can run with the Frontal solver without stability problems, this method is employed, otherwise the Skyline solver is chosen.

Readers are obviously advised to refer to the existing literature [e.g. Cook et al. 1989; Zienkiewicz and Taylor 1991; Bathe 1996; Felippa 2004] for further details on these and other direct solvers.

Pushover Parameters
The number of the analysis steps of Pushover Analysis is defined by the user in this tab, as well as the maximum interstorey drift of the structure; the default option for the maximum interstorey drift is 2%, whereas the number of pushover analysis steps depends on the selected predefined settings scheme. For the default settings scheme (i.e. No 4) the default value is 50, which is reasonable for the majority of cases.

Geometric Non-linearities
Unchecking the option 'Include Geometric Non-linearities' will disable the geometric nonlinearity formulation described in here, rendering the analysis linear, from a displacement/rotation viewpoint, which may be particularly useful for users wishing to compare analysis results with hand calculations, for verification purposes. By default this option is active.


Elements

Some beam element formulations, such as those currently employed in SeismoBuild for the inelastic frame elements, feature the disadvantage that, if the nodal displacement is zero, one then gets also nil strains, stresses, and internal forces (e.g. if one models a fully-clamped beam with a single element, and applies a distributed load, the end moments will come out as zero, which is clearly wrong). To overcome this limitation, it is common for Finite Element programs to use so-called stress-recovery algorithms, which allow one to retrieve the correct internal forces of an element subjected to distributed loading even if its nodes do not displace. It is noted, however, that (i) such algorithms do not cater for the retrieval of the correct values of strains and stresses, given that these are characterised by a nonlinear history response, and (ii) will slow down considerably the analyses of large models.


Constraints

Constraints are typically implemented in structural analysis programs through the use of (i) Geometrical Transformations, (ii) Penalty Functions, or (iii) Lagrange Multipliers. In geometrically nonlinear analysis (large displacement/rotations), however, the first of these three tends to lead to difficulties in numerical convergence, for which reason only the latter two are commonly employed, and have thus been implemented in SeimoBuild.

Whilst readers are advised to refer to the existing literature [e.g. Cook et al., 1989; Felippa, 2004] for further information on this topic, herein it is simply noted that whilst Penalty Functions have the advantage of introducing no new variables (and hence the stiffness matrix does not increase and remains positive definite), they may significantly increase the bandwidth of the structural equations [Cook et al., 1989]. In addition, Penalty Functions have the disadvantage that penalty numbers must be chosen in an allowable range (large enough to be effective but not so large as to induce numerical difficulties), and this is not necessarily straightforward [Cook et al., 1989], and may potentially lead to erroneous results. However, the use of the conceptually superior Lagrange Multipliers may slow analyses considerably, and, as such, the Penalty Functions are suggested as default in SeismoBuild.

In those cases where the employment of Lagrange Multipliers leads to numerical difficulties, and users opt for the utilisation of Penalty Functions, then the corresponding penalty coefficients, for diaphragm (typically smaller) and rigid links (typically larger) need to be defined; the Penalty Factors are then computed as the product of these penalty coefficients and the highest value found in the stiffness matrix.

It is noted that, contrary to what could perhaps be one's intuition, the use of large values of penalty coefficients is not always required. Indeed, in models where very stiff structural elements already exist, penalty coefficients may need not to be extremely large, since their product by such large values found in the structural stiffness matrix will already lead to a large penalty factor, as shown in the study by Pinho et al. [2008a].

Note: Felippa [2004] suggests that the optimum penalty functions value should be the average of the maximum stiffness and the processors precision (1e20, in the case of SeismoBuild).


Convergence Criteria

As discussed in here, four different schemes are available in SeismoBuild for checking the convergence of a solution at the end of every iteration.

Displacement/Rotation based
Verification, at each individual degree-of-freedom of the structure, that the current iterative displacement/rotation is less or equal than a user-specified tolerance, provides the user with direct control over the degree of precision or, inversely, approximation, adopted in the solution of the problem. In addition, and for the large majority of analyses, such local precision check is also sufficient to guarantee the overall accuracy of the solution obtained. Therefore, this convergence check criterion is the default option in SeismoBuild for the majority of the predefined settings schemes with the default values for displacement and rotation tolerance varying between different settings schemes. For the default settings scheme, which lead to precise and stable solutions in the majority of cases, the values for the displacement and the rotation tolerances are 0.0001 m and 0.0001 rad, respectively.

Force/Moment based
There are occasions where the use of a displacement/rotation convergence check criterion is not sufficient to guarantee a numerically stable and/or accurate solution, due to the fact that displacement/rotation equilibrium does not guarantee, in such special cases, force/moment balance. This is the typical behaviour, for instance, of simple structural systems (e.g. vertical cantilever), where displacement/rotation convergence is obtained in a few iterations, such is the simplicity of the system and its deformed shape, which however may not be sufficient for the internal forces of the elements to be adequately balanced. Particularly, when a RC wall section is used, the stress-strain distribution across the section may assume very complex patterns, by virtue of its large width, thus requiring a much higher number of iterations to be fully equilibrated. In such cases, if a force/moment convergence check is not enforced, the response of the structure will result very irregular, with unrealistically abrupt variations of force/moment quantities (e.g. wiggly force-displacement response curve in pushover analysis). As described in here, a non-dimensional global tolerance is employed in this case, with a default value of 0.001.

Note: Force-based criteria will cause numerical problems and convergence difficulties when used with penalty functions. In these cases Lagrange multipliers should be employed.

Displacement/Rotation AND Force/Moment based
Taking into account the discussion made above, it results clear that maximum accuracy and solution control should be obtained when combining the displacement/rotation and force/moment convergence check criteria. This option, however, is not the default since the force/moment based criterion does, on occasions, create difficulties in models where infinitely stiff/rigid connections are modelled with rigid links, as discussed in here. Still, it is undoubtedly the most stringent convergence and accuracy control criterion available in SeismoBuild, and experienced users are advised to take advantage of it whenever accuracy is paramount.

Displacement/Rotation OR Force/Moment based
This last convergence criterion provides users with maximum flexibility as far as analysis stability is concerned, since converge is achieved when one of the two criteria is checked. This option is highly recommended when arriving at a particular final structural solution is the primary objective of the analysis, and accuracy assumes, at least momentarily, a secondary role.

General
Users may select if the convergence difficulties that might arise during the analysis will be visible in the Post-Processor. The default option is to show the convergence difficulties in the Post-Processor of pushover analysis.

Automatic Adaptation of the Convergence Norms
If this option is selected, in particular steps of the analysis, where convergence is difficult to achieve, the program may smartly increase the defined convergence norms, in order to enable convergence and to allow the program to move to the next step of the analysis. In order not to allow for infinite increase in the value of the convergence norms, a limit is set by the Largest Acceptable Increase of Norms combo box. The default option is to allow for the automatic adaptation of the convergence norm.

Force-based Element Type / Force-based Plastic-Hinge Elements Type
Individual force-based frame elements require a number of iterations to be carried in order for internal equilibrium to be reached [e.g. Spacone et al. 1996; Neuenhofer and Filippou 1997]. The maximum number of such element loop iterations, together with the corresponding (force) convergence criterion or tolerance, can be defined herein:

  • Element Loop Convergence Tolerance. The default value is 1e-5 (users may need to relax it to e.g. 1e-4, in case of convergence difficulties)
  • Element Loop Maximum Iterations (fbd_ite). The default value is 300 (although this is already a very large value (typically not more than 30 iterations are required to reach convergence), users may need to increase it to 1000 in cases of persistent fbd_ite error messages)

Whilst running an analysis, fbd_inv and fbd_ite flag messages may be shown in the analysis log, meaning respectively that the element stiffness matrix could not be inverted or that the maximum allowed number of element loop iterations has been reached. In both cases, the global load increment is subdivided, as described in here, unless the Do not allow element unbalanced forces in case of fbd_ite option discussed below has been deactivated by the user.

Users are also given the possibility of allowing the element forces to be output and passed on to the global internal forces vector upon reaching the maximum iterations, even if convergence is not achieved. This non-default option may facilitate the convergence of the analysis at global/structure level, since it avoids the subdivision of the load increment (note that the element unbalanced forces are then to be balanced in the subsequent iterations).

Note: Users are alerted to the fact that there is no such thing as a set of convergence criteria parameters that will work for every single type of analysis. The default values of the predefined settings schemes in SeismoBuild will work well for the vast majority of applications, but might need to be tweaked and modified for particularly demanding projects, where strong response irregularities (e.g. large stiffness differentials, buckling of some structural members, drastic change in intensity, etc.) occur. As an example, note that a tighter convergence control may lead to higher numerical stability, by preventing a structure from following a less stable and incorrect response path, but, if too tight, may also render the possibility of achieving convergence almost impossible.


Global Iterative Strategy

In SeismoBuild, all analyses are treated as potentially nonlinear, and therefore an incremental iterative solution procedure, whereby loads are applied in pre-defined increments and equilibrated through an iterative procedure, is applied to all cases (with the exception of eigenvalue analyses). The workings and theoretical background of this solution algorithm is described in some detail within the Nonlinear Solution Procedure section, to which users should refer to whenever a deeper understanding of the parameters described herein is sought.

Maximum number of iterations
This parameter defines the maximum number of iterations to be performed within each load increment (analysis step). The default value depends on the selected predefined settings scheme, for the default settings scheme, which should work well for most practical applications, this value is equal to 40. However, whenever structures are subjected to extremely high levels of geometric nonlinearity and/or material inelasticity, it might be necessary for this value to be increased.

Number of stiffness updates
This parameter defines the number of iterations, from the start of the increment, in which the tangent stiffness matrix of the structure is recalculated and updated. It is noteworthy that assigning a value of zero to this parameter effectively means that the modified Newton-Raphson (mNR) procedure is adopted, whilst making it equal to the Number of Iterations transforms the solution procedure into the Newton-Raphson (NR) method.

Usually, the ideal number of stiffness updates lies somewhere in between 50% and 75% of the maximum number of iterations within an increment, providing an optimum balance between the reduction of computation time and stability stemming from the non-updating of the stiffness matrix and the corresponding increase in analysis effort due to the need of further iterations to achieve convergence. The default value of this parameter for the default predefined settings scheme, which should work well for most practical applications, is however slightly more conservative, at a value of 35, leading to the adoption of a hybrid solution procedure between the classic NR and mNR approaches (see also discussion in Incremental Iterative Algorithm).

Divergence iteration
This parameter defines the iteration after which divergence and iteration prediction checks are performed (see divergence and iteration prediction for further details). On all subsequent step iterations, if the solution is found to be diverging or if the predicted number of required iterations for convergence is exceeded, the iterations within the current increment are interrupted, the load increment (or time-step) is reduced and the analysis is restarted from the last point of equilibrium (end of previous increment or analysis step).

Whilst these two checks are usually very useful in avoiding the computation of useless equilibrium iterations in cases where lack of convergence becomes apparent at an early stage within a given loading increment, it is also very difficult, if not impossible, to recommend an ideal value which will work for all types of analysis. Indeed, if the divergence iteration is too low it may not allow highly nonlinear problems to ever converge into a solution, whilst if it is too high it may allow the solution to progress into a numerically spurious mode from which convergence can never be reached. A value around 75% of the maximum number of iterations within an increment usually provides a good starting point. The value for the default predefined settings scheme, which should work well for most practical applications, is set equal to 35.

Maximum Tolerance
As discussed in Numerical instability, the possibility of the solution becoming numerically unstable is checked at every iteration, right from the start of any given loading increment, by comparing the Euclidean norm of out-of-balance loads (go here for details on this norm) with a pre-defined maximum tolerance (for the majority of the predefined settings schemes it is set to 1e20), several orders of magnitude larger than the applied load vector. If the out-of-balance norm exceeds this tolerance, then the solution is assumed as numerically unstable, iterations within the current increment are interrupted, the load increment (or time-step) is reduced and the analysis is restarted from the last point of equilibrium (end of previous increment or analysis step).

Maximum Step Reduction
Whenever lack of convergence, solution divergence or numerical instability occurs, the automatic stepping algorithm of SeismoBuild imposes a reduction to the load increment or time-step, before the analysis is restarted from the last point of equilibrium (end of previous increment or analysis step). However, in order to prevent ill-behaved analysis (which never reach convergence) to continue on running indefinitely, a maximum step reduction factor is imposed and checked upon after each automatic step reduction. In other words, the new automatically reduced analysis step is confronted with the initial load increment or time-step defined by the user at the start of the analysis, and if the ratio of the former over the latter is smaller than the maximum step reduction value then the analysis is terminated. The default value, for the majority of the predefined settings scheme, for this parameter is 0.001, meaning that if convergence difficulties call for the adoption of an analysis step that is 1000 times smaller than the initial load increment or time-step specified by the user, then the problem is deemed as ill-behaved and the analysis is terminated.

Minimum number of iterations
This parameter defines the minimum number of iterations to be performed within each load increment (analysis step). The default value, for the most predefined settings schemes, is 1. Through this parameter it is possible to achieve a better convergence when the displacement-based criterion is loose and the force-based very strict (this happens in small models in the highly inelastic region).

Step Increase/Decrease Multipliers
As described in here, the automatic stepping algorithm in SeismoBuild features the possibility of employing adaptive analysis step reductions, which depend on the level of non-convergence verified. When the obtained non-converged solution is very far from convergence, a large step decrease multiplier is used (default = 0.125, i.e. the current analysis increment will be subdivided into 8 equal increments before the analysis is restarted). If, on the other hand, the non-converged solution was very close to convergence, then a small step decrease multiplier is employed (default = 0.5, i.e. the current analysis increment will be subsequently applied in two steps). For intermediate cases, an average step decrease multiplier is utilised instead (default = 0.25, i.e. the current load increment will be split into four equal loads).

Also as described in automatic stepping, once convergence is reached, the load increment or time-step can be gradually increased, up to a size equal to its initial user-specified value. This is carried out through the use of step increasing factors. When the analysis converges in an efficient manner (details in here ), a small step increase multiplier is used (default = 1.0, i.e. the current analysis increment will remain unchanged in subsequent steps). If, on the other hand, the converged solution was obtained in a highly inefficient way (details in here), then a large step increase multiplier is employed (default = 2.0, i.e. the current load increment will be doubled). For intermediate cases, an average step increase multiplier is utilised instead (default = 1.5, i.e. an increase of 50% will be applied to the current analysis step).

Note: Users are alerted to the fact that there is no such thing as a set of incremental/iterative parameters that will work for every single type of analysis. The default values of the predefined settings schemes in SeismoBuild will usually work well for the vast majority of applications, but might need to be tweaked and modified for particularly demanding projects, where strong response irregularities (e.g. large stiffness differentials, buckling of some structural members, etc.) occur. As an example, note that a smaller load increment may lead to higher numerical stability, by preventing a structure from following a less stable and incorrect response path, but, if too small, may also render the possibility of achieving convergence almost impossible. Users facing difficulties are advised to consult the Technical Support Forum, where additional guidance and advice is provided.


Gravity & Mass

The materials’ specific weight is automatically defined by the program for the calculation of the distributed self-mass of the structure. More, in the Beam s, additional distributed load may also be defined, which will serve to define any load not associated to the self-weight of the structure (e.g. finishings, infills, variable loading, etc). Finally, the slab’s loads (self weight, additional gravity and live loads) are applied directly to the beams that support the slab.

Here, it is possible for users to define which degrees of freedom are to be considered in the analyses.

Gravity Settings
In SeismoBuild loads are defined explicitly in the Slabs and Beams modules of the Building Modeller.

The user may define the value of acceleration of gravity ‘g’ (which is to be multiplied by the masses in order to obtain the permanent loads). Clearly, for the vast majority of standard applications, the default value (g=9.81 m/s2) need not to be modified. The direction of the gravity forces is considered in the -z direction.

Mass Settings
When running analyses, it may sometimes come handy to have the possibility of constraining the dynamic degrees-of-freedom to only a few directions of interest, in order to speed up the analyses or avoid the development of spurious response modes in those directions where the structural mesh was intentionally not adequately devised or refined. This can be done here, by unchecking those dofs that are not of interest (by default, all dofs are activated, i.e. checked).

Note: Stress-recovery ( Elements > Carry out Stress Recovery) may be employed to retrieve correct internal forces when distributed loads are defined (through the definition of material specific weight or of sectional/element additional load).


Eigenvalue

Users may choose between two different eigensolvers, the Lanczos algorithm presented by Hughes [1987] or the Jacobi algorithm with Ritz transformation, in order to the determine the modes of vibration of a structure. When the automatic option is selected the most proper eigensolver will be used depending on the number of the degrees of freedom of the building. The input for each algorithm is described in detail hereafter:

Lanczos algorithm
The following parameters are used to control the way in which this eigensolver works:

  • Number of eigenvalues. The maximum number of eigenvalue solutions required by the user. The default value for the default predefined settings scheme is 10 which normally guarantees that, at least for standard structural configurations, all modes of interest are adequately captured. Users might wish to increase this parameter when analysing 3D irregular buildings, where modes of interest might be found beyond the 10th eigensolution.
  • Maximum number of steps. The maximum number of steps required for convergence to be reached. The default value is 50, for all the predefined settings schemes, sufficiently large to ensure that, for the vast majority of structural configurations, solutions will always be obtained.

Jacobi algorithm with Ritz transformation
The user may specify:

  • Number of Ritz vectors (i.e. modes) to be generated in each direction (X, Y and Z). This number cannot exceed the number of degrees of freedom of the model.
  • Maximum number of steps. The default value of 50 may, in general, remain unchanged.

Note: Users should make sure that the total number of Ritz vectors in the different directions does not exceed the corresponding number of degrees-of-freedom (or of structurally meaningful modes), otherwise unrealistic mode shapes and values will be generated.


Advanced Building Modelling

The concrete and steel material types and the frame element types that will be used to model the structural members in SeismoBuild are defined herein, together with other modelling options, such as the modelling of offsets at beam-column joints, the discretisation of the slabs, and the determination of the Control Node.

Materials Modelling
Materials that are to be used within a SeismoBuild project come defined in the Advanced Building Modelling tab. Eight material types are available in SeismoBuild, four types for concrete and four for steel. The complete list of materials is proposed hereafter:

  • Mander et al. nonlinear concrete model - con_ma
  • Trilinear concrete model - con_tl
  • Chang-Mander nonlinear concrete model – con_cm
  • Kappos and Konstantinidis nonlinear concrete model - con_hs
  • Menegotto-Pinto steel model - stl_mp
  • Giuffre-Menegotto-Pinto steel model - stl_gmp
  • Bilinear steel model - stl_bl
  • Bilinear steel model with isotropic strain hardening- stl_bl2
  • Ramberg-Osgood steel model - stl_ro
  • Dodd-Restrepo steel model – stl_dr
  • Monti-Nuti steel model - stl_mn

A comprehensive description of the material types may be found here.

Frame Elements Modelling
Different frame element types may be employed for columns/beams and walls. Users may select between inelastic force-based frame elements (infrmFB), inelastic plastic-hinge force-based frame elements (infrmFBPH) and inelastic plastic-hinge displacement-based frame elements (infrmDBPH). Further, it is possible to assign the inelastic displacement-based frame element type (infrmDB) to short members, a choice that improves both the accuracy and the stability of the analysis. Users can determine the maximum length of the short members (1.0m by default). The inelastic plastic-hinge force-based frame element, infrmFBPH, is selected for columns/beams and the inelastic force-based frame element, infrmFB, for walls in the default predefined settings scheme, which should work well for most practical applications.

Rigid ends Definition
The choice whether to include or not rigid ends at the frame elements to model beam-column joints is also done herein. It is noted that these rigid ends are included in the model, only when the length of a member’s rigid end is larger than the specified value, otherwise the beam is connected to the column node directly.

Slabs Discretization
Users may select the number of triangles ,to which the slabs are to be subdivided, so that their weight and mass are appropriately distributed in the supporting beams and columns. This may be done in two ways, either by assigning the exact number of triangles or by providing it as a multiplier of the slabs’ edges, which is an indication of the complexity of the slab. Obviously, an increased number of triangles leads to a better and more accurate distribution of loads to vertical members, however it also leads to longer slab analysis time.

Control Node Definition
The choice of defining the control node at the upper floor or at the floor lower to that (in the cases of a top floor mass less than 10% of that at the lower floor) is provided.


Cracked/Uncracked Stiffness

Users may take into account the effect of cracking during the linear analyses, i.e. Eigenvalue and Response Spectrum analyses, by selecting to use sections with cracked stiffness. The cracked stiffness may be defined as a percentage of the corresponding uncracked stiffness, or, in the case of unelastic frame elements only, from the section’s My/θy (bending moment at yield/chord rotation capacity at yield) ratio. In the latter case, users should select the employed Code for the calculation of the chord rotation capacity at yield.


Element Iterative Strategy

Force-based Element Type / Force-based Plastic-Hinge Elements Type

Individual force-based frame elements require a number of iterations to be carried in order for internal equilibrium to be reached [e.g. Spacone et al. 1996; Neuenhofer and Filippou 1997]. The maximum number of such element loop iterations, together with the corresponding (force) convergence criterion or tolerance, can be defined herein:

  • Element Loop Convergence Tolerance. The default value is 1e-5 (users may need to relax it to e.g. 1e-4, in case of convergence difficulties)
  • Element Loop Maximum Iterations (elm_ite). The default value is 300 (although this is already a very large value (typically not more than 30 iterations are required to reach convergence), users may need to increase it to 1000 in cases of persistent elm_ite error messages)

Whilst running an analysis, elm_inv and elm_ite flag messages may be shown in the analysis log, meaning respectively that the element stiffness matrix could not be inverted or that the maximum allowed number of element loop iterations has been reached. In both cases, the global load increment is subdivided, as described in Appendix A, unless the ‘Do not allow element unbalanced forces in case of elm_ite’ option discussed below has been deactivated by the user.

Users are also given the possibility of allowing the element forces to be output and passed on to the global internal forces vector upon reaching the maximum iterations, even if convergence is not achieved. This non-default option may facilitate the convergence of the analysis at global/structure level, since it avoids the subdivision of the load increment (note that the element unbalanced forces are then to be balanced in the subsequent iterations).

Displacement-based Plastic-Hinge Elements Type

Since the element consists of a series of three sub-elements (two links at the member edges and an elastic frame element in the middle) an iterative procedure is required, in order to achieve internal equilibrium.

The parameters required for the element iterative strategy are the maximum and the minimum iterations allowed, and the value for the convergence norm. It is noted that a relative small value is given as default for the maximum number of iterations, as it has been observed that typically convergence is achieved within a limited number of iterations. Hence, if convergence is not achieved relatively early, it is highly probable that no convergence will be achieved.


Record Generation

In this section user are able to define the basic settings for the record generation process in nonlinear dynamic analysis. Two pages are available.

In the first page (Matching Parameters) the parameters for the target spectrum matching algorithm are set. The spectrum tolerance (i.e. accepted difference between the spectrum of the generated accelerogram and that of the target spectrum, computed as the mean of the absolute values of positive and negative differences) can be modified here. Users may also decide whether to carry out or not baseline correction in the generation of the artificial accelerograms. By default a quadratic baseline correction is selected. In addition, users can also customise the parameters used in the random processes methods (Artificial Accelerogram Generation and Artificial Accelerogram Generation & Adjustment), namely: random process starter, maximum number of iterations, maximum number of different phase angle trials, and the number of points used for Power Spectra Density Function (PSDF) calculation. The only setting with practical importance is the Mean Spectrum Tolerance; other parameters need not to be modified, unless there is a specific reason.

In the second page (Envelope Parameters) the types of the envelope shapes to be employed by the Artificial Accelerogram Generation and the Artificial Accelerogram Generation & Adjustment methods are set. Users may choose the percentage of each type of envelope in all the records, noting however that a random process is executed internally by the program; hence these setting literally refer to the probability that such an envelope is employed. Finally, the basic settings for the definition of the envelope shapes are also defined herein (time of maximum amplitude, rise and level times and intensity at the end of the duration).


Eigenvalue analysis

The efficient Lanczos algorithm [Hughes, 1987] is used by default for the evaluation of the structural natural frequencies and mode shapes. However, the Jacobi algorithm with Ritz transformation may also be chosen by the user in the Advanced Settings module.

Eigenvalue analysis is a purely elastic type of structural analysis, since material properties are taken as constant throughout the entire computation procedure. However, in SeismoBuild inelastic frame elements are used, that will be employed in all the analyses, including the eigenvalue one. Hence, different material and section types are employed in the characterisation of the elements' sectional mechanical properties, which are internally determined by the program, using classic formulae that can be found on any book or publication on basics of structural mechanics [e.g. Gere and Timoshenko, 1997; Pilkey, 1994].

Note: Concrete confinement will increase the compressive strength of the material, and hence the stiffness of the member, leading thus to shorter periods of vibration.


Eigenvalue Analysis Results

When the analysis is completed an informative message appears suggesting to check the deformed shapes of the different modes for possible connectivity problems between the beams and the columns.

Users may go to view the results by clicking the Show Results button. The results of the analysis are saved in a SeismoBuild Results File, distinguishable by its *_Eig.brf extension, with the same name as the input project file.

The available modules in the Show Results area are:

  • Deformed Shape Viewer
  • Modal/Mass quantities
  • Step Output
  • Analysis logs


Deformed Shape Viewer-Eigenvalue

Deformed Shape Viewer

With the Deformed Shape Viewer, users have the possibility of visualising the deformed shape of the model for every period of the model (click on the desired output identifier to update the deformed shape view).

The deformed shape plot can be tweaked and customised using the 3D Plot options and then copied to any Windows application by means of the Copy 3D Plot facility. In addition, and whenever the real-time deformed shape of the structure is difficult to interpret (because displacements are either too large or too small), users can make use of the Deformation Amplifier available on the left of the Deformed Shape Viewer tab or of the Deformed Shape Multiplier, available from the right-click popup menu, the main menu (Tools > Deformed Shape Settings…) or through the corresponding toolbar button [image], to better adapt the plot.

Finally, the vibration mode of a structure (as obtained from eigenvalue analysis) is animatedly depicted through the selection of the Animate 3D model check-box.


Modal/Mass quantities

The Modal/Mass Quantities module provides a summary of (i) the main eigenvalue results (i.e. the natural period/frequency of vibration of each mode, the modal participation factors and the effective modal masses), and (ii) the nodal masses. These results can be easily copied to a text editor, through the right-click popup menu.

Regarding the nodal masses, SeismoBuild provides a table in which are summarized the masses of the nodes for each degree of freedom (also for rotation). For a particular node, the rotational mass is computed as the rotational mass defined by the user for that node, plus the translational mass at that node times the square of the distance to the centre of gravity of the model.

The modal participation factors, obtained as the ratio between the modal excitation factor ( [image]) and the generalised mass ( [image] ), provide a measure as to how strongly a given mode n participates in the dynamic response of a structure. However, since mode shapes Φn can be normalised in different ways, the absolute magnitude of the modal participation factor has in effect no meaning, and only its relative magnitude with respect to the other participating modes is of significance. [Priestley et al., 1996]

For the above reason, and particularly for the case of buildings subjected to earthquake ground-motion, it is customary for engineers/analysts to use the effective modal mass ( [image]) as a measure of the relative importance that each of the structure's modes has on its dynamic response. Indeed, since meff,n can be interpreted as the part of the total mass M of the structure that is excited by a given mode n, modes with high values of effective modal mass are likely to contribute significantly to response.

Notes

  1. Users are advised to refer to the available literature [e.g. Clough and Penzien, 1993; Chopra, 1995] for further information on modal analysis and respective parameters.
  2. The mode shapes are normalised so that Φn=1.
  3. MPFs for rotations are calculated considering a transformation matrix defined as follows (where x0, y0, z0 are the coordinates of the centre of mass), so that the modal excitation factor becomes [image], from which the effective modal mass (as for the translational DOFs).


Step Output

This post-processing module provides in text file-type of output all the analytical results (nodal displacements/rotations, natural frequency and natural period) obtained by SeismoBuild. The entire step output, or selected parts of it, can be copied to text editors for further manipulation, using the corresponding menu commands, keyboard shortcuts, toolbar buttons or right-click popup menu.

Rather than copying and pasting the contents of this module, users may also choose to simply use the Export to Text File facility, which gives also the possibility of choosing the start and end mode numbers of interest, together with a mode number increment. This useful facility is available from the toolbar button [image].

Finally, and as noted here, users may also activate the option of creating, at the end of every analysis, a text file (*.out) containing the output of the entire analysis (as given in this module). This feature may result useful for users, who wish to systematically, rather than occasionally, post-process the results using their own custom-made post-processing facility.


Analysis logs

As discussed in here, during any given analysis, a log of its numerical progress and of the performance response of the model, is created and saved within the project’s log file (*_Eig.log). The contents of such file can be visualised in the Analysis Logs module and, if required, copied and pasted into any other Windows application.

It is also noted that, since the date and time of the last analysis are saved within the log file, users can refer to this module when such type of information is required.


Pushover and Dynamic Analysis

General

In SeismoBuild the two nonlinear methods of analysis has been programmed, since they are considered numerically more advanced and more accurate in the representation of the earthquake loading. They take explicitly into account the concentration of damage at the weakest locations of the building and the redistribution of forces upon the formation of plastic hinges, considering both material inelasticity and geometric nonlinearities.

Furthermore, the nonlinear dynamic method is considered to be the most accurate method of analysis, since it manages to better represent the dynamic nature of seismic loading with respect to its static counterparts.

Pushover Analysis

Conventional (non-adaptive) pushover analysis is employed in the estimation of the horizontal capacity of structures implying a dynamic response that is not significantly affected by the levels of deformation incurred (i.e. the shape of the horizontal load pattern, which aims at simulating dynamic response, can be assumed as constant).

The introduced vertical loads applied to the 3D model, in addition to the incremental loads, are equal to CgG+CqQ, where Cg and Cq are the permanent and live loads coefficients, respectively, defined in the Static Actions tab. It is noted that the snow load is also introduced when it is required, i.e. CgG+CqQ+CsS for ASCE 41-17 and TBDY. The self weight of the beam and column elements is automatically computed according to the materials’ specific weight and sections’ geometry. The slabs’ additional gravity and live loads are automatically introduced as beams’ additional mass. Nonlinear static analysis may be applied with two vertical distributions of loads:

(i) a “uniform pattern”, which attempts to simulate an inelastic response dominated by a soft-storey mechanism (development of plastic hinges at both top and bottom ends of all columns of a storey, in general the ground floor, which is subjected to highest lateral forces);

(ii) a “modal pattern”, proportional to the fundamental elastic translational mode shape.

The incremental loads may be applied in both positive and negative directions. Furthermore, the incremental loads applied in X and in Y direction, may be taken as acting simultaneously by employing both of the following combinations:

  1. ±Fx ± 0.30Fy
  2. ±0.30Fx ± Fy

With Fx and Fy representing the incremental loads applied in the X and Y direction of the structure, respectively.

Finally, in order to account for uncertainties in the location of masses and in the spatial variation of the seismic motion, the calculated centre of mass at each floor may be considered as being displaced from its nominal location in each direction by an accidental eccentricity equal to 5% of the floor-dimension perpendicular to the direction of the seismic action.

The applied incremental load P is kept proportional to the pattern of nominal loads (P°) defined by default by the program according to the Code requirements: P = λ(P°). The load factor λ is automatically increased by the program until a Code-defined limit, or numerical failure, is reached. For the incrementation of the loading factor, a displacement control strategy is employed, which refers to direct incrementation of the global displacement of the control node and the calculation of the loading factor that corresponds to this displacement.

Dynamic Analysis

The Nonlinear Dynamic Procedure constitutes a sophisticated approach for examining the inelastic demands produced on a structure by a specific suite of ground motion acceleration time-histories. Being the numerically more advanced method of analysis, it is the most accurate in the representation of the dynamic nature of seismic loading. As nonlinear dynamic analysis involves fewer assumptions than the nonlinear static procedure, it is subject to fewer limitations than nonlinear static procedure. It automatically accounts for higher-mode effects and shifts in inertial load patterns as structural softening occurs. In addition, it provides reliable results even for highly irregular structures, or with irregular seismic action (e.g. near-fault ground motion or loading in 2 or 3 directions simultaneously). As a result, the NDP is the only method that can be used for any structural configuration and any type of loading. In practice, we can analyse with adequate accuracy any structural configuration subjected to any type of seismic action.

Similarly to pushover analysis, the introduced vertical loads applied to the 3D model are equal to CgG+CqQ (or CgG+CqQ+CsS for ASCE 41-17 and TBDY). The coefficients Cg, Cq and Cs are the permanent, live and snow loads coefficients defined in the Static Actions tab. The self weight of the beam and column elements is automatically computed according to the materials’ specific weight and sections’ geometry. The slabs’ additional gravity and live loads are automatically introduced as beams’ additional mass.

Nonlinear dynamic analysis is performed by applying at the foundation of the building sets of acceleration time-histories. In SeismoBuild the ground motions consist of pairs of orthogonal horizontal ground motion components. Both components are artificial records compatible (for the selected seismic hazard level) with the given target spectrum. In EC8, NTC-18 and KANEPE, when 7 or more record pairs are specified, the average response should be considered; instead, when fewer records are considered, the most unfavourable value of the response quantity among the analyses should be used in the verification checks. Similarly, according to ASCE 41 and TBDY a suite of not less than 11 ground motions shall be selected for each target spectrum and the mean response is checked.


Running the Analysis

After introducing the model’s configuration and carrying out the eigenvalue analysis, the user is then ready to run the pushover analysis. This is carried out in the Pushover Analysis or Dynamic Analysis area of SeismoBuild by selecting the Run Analysis button.

Depending on the size of the structure, the selected frame elements type, the applied loads and the processing capacity of the computer being used, the analysis may last from some seconds to several minutes.

As the analysis is running, a progress bar provides the user with a percentage indication of how far has the former advanced to, and a message placed above the progress bar informs about the number of the analysis that is running. Users can in this manner quickly assess the waiting time required for the analysis to be completed, and hence quickly plan their subsequent work schedule. The analysis can also be paused, enabling users to (i) momentarily free computing resources so as to carry out an urgent priority task or (ii) check the results obtained up to that point, which may be useful to decide the worthiness of progressing with the other analyses. If the user presses the Run Analysis button again, the analysis can be continued.

Further, the user has also the option of graphically observing the real-time plotting of a capacity (static pushover) curve of the control node and respective degree-of-freedom or the top displacement vs. time diagram (dynamic analysis). Alternatively, the user may also choose to visualise the real-time plotting of the deformed shape of the structure (see Deformed Shape Viewer settings). Both of these options, however, might slow down the analysis and increase its running time when used in relatively slow computers, for which reason the user has also the possibility of simply disabling any real-time plotting, choosing to follow only the analysis logs.

When the analyses are completed, a message appears that provided information about the execution of the analyses. In particular, the message informs if the whole process was successfully completed, (i.e. all the analyses have reached the specified maximum displacement or all the steps of the defined time histories in dynamic analysis have been completed), or whether the SeismoBuild solver could not execute all the analyses until the end, because of convergence difficulties. In the last case the message informs about the percentage of the maximum displacement reached when the analysis terminated.

Notes

  1. Whenever the real-time deformed shape of the structure is difficult to interpret (because displacements are either too large or too small), users can right-click on the plotting window and adjust its respective Deformed Shape Multipliers. The 3D Plot Options are also available for further fine-tuning. Please refer to the Deformed shape viewer section for further hints and info on real-time visualisation of a model’s deformed shape.
  2. The current version of SeismoBuild is not capable of taking advantage of multi-processor computing hardware; hence, speed of a single analysis may be increased only by increasing the CPU speed (together with the speeds of the CPU Cache, the Front Side Bus, the RAM modules, the Video RAM, the Hard-Disk (rotation and access)).
  3. There is a RAM limitation in SeismoBuild (4GB in 64-bit Windows systems and 3GB in 32-bit Windows systems). However, these limits are considerably higher than the RAM required for the assessment of typical building projects.


Analysis Results

After running the analyses users may view the results by clicking on the Show Results button. The results of the analysis are saved in a SeismoBuild Results File, and are identified by the *.brf extension, with the same name as the input project file and the analysis.

The available modules in the Show Results area are:

  • Target Displacement (available in Pushover analyses results)
  • Deformed Shape Viewer
  • Convergence Details
  • Action Effects Diagrams
  • Global Response Parameters
  • Element action effects
  • Step Output
  • Analysis logs


Target Displacement

In the Target Displacement module the capacity curves before and after the linearization that correspond to the selected pushover analysis are shown, as well as the calculated target displacement values for the selected limit states. Data about the linearization procedure is also provided herein. Users may refer to EUROCODES, ASCE, NTC-18, NTC-08 , KANEPE or TBDY for more information about the calculation of the target displacement.


Deformed Shape Viewer-Pushover

Deformed Shape Viewer

With the Deformed Shape Viewer, users have the possibility of visualising the deformed shape of the model at every step of the analysis (click on the desired output identifier to update the deformed shape view), thus easily identifying deformation, and eventually collapse, mechanisms.

The deformed shape plot can be tweaked and customised using the 3D Plot options and then copied to any Windows application by means of the Copy 3D Plot facility. In addition, and whenever the real-time deformed shape of the structure is difficult to interpret (because displacements are either too large or too small), users can make use of the Deformed Shape Multiplier, available on the left side of the Deformed Shape Viewer tab, through the program menu (Tools > Deformed Shape Settings…) or through the corresponding popup menu.

The option to automatically update the 3D model after changing the multipliers is available. Users may deactivate this option and update it manually by clicking on the update 3D plot button on the right.


Convergence Details

Whenever convergence problems arise, users may be informed about the elements that cause the diverging solutions. The elements or the locations of the structure, where the convergence problems are caused, are marked in the 3D view format, whereas information about the type of divergence (value of convergence norms and their limits, divergence message and the corresponding elements or nodes) are displayed on the top-left corner of the screen.

Note: Users should activate in Convergence Criteria the option of showing convergence difficulties in Post-Processor in order to be able to view the Convergence Problems tab in the Post-Processor.


Action Effects Diagrams

The internal forces (axial and shear) and moments (flexure and torsion) diagrams are provided in the 3D plot view. By default the diagrams for horizontal and vertical elements are shown on the same plot. If users wish to obtain the diagrams separately (for horizontal or vertical elements only), they have to check the appropriate box. The possibility of scaling the diagrams and the thickness of the lines is also available.

Users may customize the diagrams aspect by changing the ‘Structural Members’ settings in the 3D Plot Options menu (i.e. main and secondary line colours, number of segments of the lines and number of values displayed).


Global Response Parameters

For pushover analysis four different kinds of global response parameters results can be output in this module; (i) structural displacements, (ii) forces and moments at supports, (iii) hysteretic curves and (iv) Code-based checks. Apart from the latter, all the other results are defined in the global system of coordinates, as illustrated in the figure below, where it is noted that rotation/moment variables defined with regards to a particular axis, refer always to the rotation/moment around, not along, that same axis.

Note: The supports reactions should evidently be equal to the internal forces of the base elements that are connected to the foundation nodes. In other words, one would normally expect the values obtained in Forces and Moments at Supports to be identical to those given in the Element Action Effects for the elements connected to the foundations. However, some factors may actually lead to differences in these two response parameters, e.g. the member action effects are given in the local reference system of each element, whilst reactions at supports are provided in the global coordinates system. Hence, in those cases where large displacements/rotations are incurred by the structure, differences in element shears and support horizontal reactions may be observed.

These Global Response Parameters are briefly described hereafter:

Structural displacements
The user can obtain the displacement results of any given number of nodes including the control node, for any of the six global degrees-of-freedom. The possibility for relative displacement output is also available, as well as the choice of displaying in the graph the maximum, minimum and absolute maximum values.

Forces and Moments at Supports
Similarly to the structural deformations, the support forces and moments in every direction can be obtained for all restrained nodes. The possibility for outputting the total support force/moment in the specified direction, instead of individual support values, enables also the computation and plotting of total base shear values, for instance. Finally, the maximum, minimum and absolute maximum values may be displayed on the selected graph.

Note: Evidently, the total moment support reaction does not include overturning effects, consisting simply of the sum of moments at the structure's supports.

Hysteretic Curves
The user is able to specify a translational/rotational global degree-of-freedom to be plotted against the corresponding total base-shear/base-moment or load factor (pushover analysis). In static nonlinear analysis such a plot represents the structure's capacity curve. The possibility for relative displacement output is also available, as well as the choice of displaying in graph the maximum, minimum and absolute maximum values.

Code-based Checks
Here, it is possible for the user to display the Code-based Checks in every step of the analysis. Users may select the name of the check from the relevant drop-down menu, and the step of the analysis, and click on the Refresh button. The results can be displayed for all the structural members, or just for those members that have reached the selected check.


Element action effects

For the inelastic frame element type employed in the structural model, there can be three kinds of Element action effects results (subdivided into three categories), which are described in detail hereafter.

Frame Deformations
The deformations incurred by inelastic (infrmFB, infrmFBPH, infrmDBPH, infrmDB) frame elements, as computed in their local co-rotational system of reference, are provided. The values refer to the chord rotations at the end-nodes of each element (referred to as A and B, as indicated in here ), the axial deformation and the torsional rotation. Finally, the maximum, minimum and absolute maximum values may be displayed on the selected graph.

Frame Forces
The internal forces developed by inelastic (infrmFB, infrmFBPH, infrmDBPH, infrmDB) frame elements, as computed in their local co-rotational system of reference, are provided. The values refer to the internal forces (axial and shear) and moments (flexure and torsion) developed at the end-nodes of each element, referred to as A and B (see in here ). The possibility of obtaining the cumulative, rather than the distinct, results of each element can be very handy when a user is interested in adding the response of a number of elements (e.g. obtain the shear at a particular storey, given as the sum of the internal shear forces of the elements at that same level). Further, the maximum, minimum and absolute maximum values may be displayed on the selected graph.

Frame Hysteretic Curves
Hysteretic plots of deformation vs. internal forces developed by inelastic (infrmFB, infrmFBPH, infrmDBPH, infrmDB) frame elements, as computed in their local co-rotational system of reference, are provided. The maximum, minimum and absolute maximum values may be diplayed on the selected graph.

  1. Rotational degrees-of-freedom defined with regards to a particular axis, refer always to the rotation around, not along, that same axis. Hence, this is the convention that should be applied in the interpretation of all rotation/moment results obtained in this module.
  2. Element chord-rotations output in this module correspond to structural member chord-rotations, allowing the direct employment of element chord rotations in seismic code verifications (see e.g. Eurocode 8, Italian National Seismic Code NTC-08, Greek Seismic Interventions Code KANEPE, etc).
  3. Under large displacements, shear forces at base elements might well be different from the corresponding reaction forces at the supports to which such base elements are connected to, since the former are defined in the (heavily rotated) local axis system of the element whilst the latter are defined with respect to the fixed global reference system.
  4. SeismoBuild does not automatically output dissipated energy values. However, users should be able to readily obtain such quantities through the product/integral of the force-displacement response.


Step Output

This post-processing module provides in text file-type of output all the analytical results (nodal displacements/rotations, support and element forces/moments, element strains and stresses) obtained by SeismoBuild at any given analysis step plus the analytical results for the selected limit state(s). The entire step output, or selected parts of it, can be copied to text editors for further manipulation, using the corresponding menu commands, keyboard shortcuts, toolbar buttons or right-click popup menu.

Rather than copying and pasting the contents of this module, users may also choose to simply use the Export to Text File facility, which gives also the possibility of choosing the start and end analysis steps of interest. This useful facility is available from the toolbar button [image].

Finally, and as noted here, users may also activate the option of creating, at the end of every analysis, a text file (*.out) containing the output of the entire analysis (as given in this module). This feature may result useful for users, who wish to systematically, rather than occasionally, post-process the results using their own custom-made post-processing facility.


Analysis logs

As discussed in here, during any given analysis, a log of its numerical progress and of the performance response of the model, is created and saved within the project’s log file (*.log). The contents of such file can be visualised in the Analysis Logs module and, if required, copied and pasted into any other Windows application.

It is also noted that, since the date and time of the last analysis are saved within the log file, users can refer to this module when such type of information is required.


Checks

The results of the Code-based checks can be accessed through the corresponding module in the program Main Window. Once the Checks button is selected, an information window appears with a progress bar, providing a percentage indication of how far the structural model checks process has advanced to.

The Checks module features a series of tabs where results from different type of checks can be viewed in table or 3D view format, and then copied into any other Windows applications (i.e. tabled results can be copied into a spreadsheet like Microsoft Excel, whilst results plots can be copied into a word-processing application, like Microsoft Word). Herein, the checks already selected in the Checks module of Code Requirements are shown.

The available tabs, within all the employed Codes, are listed below:

  • Member Chord Rotations

  • Member Shear Forces

  • Member Strains (TBDY only)

  • Joints Shear Forces (Eurocodes, ASCE 41-17 & TBDY)

  • Joints Horizontal Hoops Area (Eurocodes only)

  • Joints Vertical Reinforcement Area (Eurocodes only)

  • Joints Diagonal Tension (NTC & KANEPE)

  • Joints Diagonal Compression (NTC & KANEPE)

  • Interstorey Drifts (ASCE 41-17 & NTC)

  • PGA Ratios (NTC only)

  • Seismic Risk Classification (NTC only)

Note: In pushover analysis the checks are carried out at the particular step of the analysis that corresponds to the target displacement for the selected Limit State. On the contrary, in dynamic analysis the maxima of the response parameters throughout the time-history are obtained as demand and compared against the components deformation or strength capacities. If there is exceedance of the capacity, the acceptance criteria are not fulfilled, if there is not, the acceptance criteria are deemed as fulfilled.


Member Chord Rotations

Herein the results of the deformation capacity checks for beams, columns and walls, according to the selected Code, are exported. Users may select, for which Limit State or Performance objective, to view the results and choose filters, which include the analysis number, the floor, the members’ type and the local axis. The limit states available are those already selected in the Limit States module in Code Requirements. Further, in the drop-down menu for the analysis selection apart from the executed analyses there is an option called Critical Analysis, which is the envelope of the results of all the analyses. The elements that have exceeded their deformation capacity are marked with red both on the table and the 3D plot view, whereas different visualisation options are available. For instance users may select to display the members’ performance ratios or each member’s critical analysis on the 3D plot, or to display the elements with different colours, depending on the value of their performance ratio for the selected limit state.

Notes

  1. It is possible to hide the data entry table through the corresponding button [<<], in order to view the 3D rendering of the structural model in 'full-screen' modality.
  2. B y right clicking on an element and selecting the View All Member Checks, a window appears with the checks for all the analyses for that particular member.


Member Shear Forces

Herein the results of the shear capacity checks for beams, columns and walls, according to the selected Code, are exported. Users may select for which Limit State, or Performance objective, to view the results and choose filters, which include the determination of the analysis, the floor, the members’ type and the local axis. The limit states available are those already selected in the Limit States module in Code Requirements. In addition, in the drop-down menu for the analysis selection apart from the executed analyses there is an option called Critical Analysis, which is the envelope of the results of all the analyses. The elements that have exceeded their shear capacity are marked with red both in the table view and the 3D view format, whereas different visualisation options are available. For instance users may select to display the members’ performance ratios or each member’s critical analysis on the 3D plot, or to display the elements with different colours, depending on the value of their performance ratio for the selected limit state.

Notes

  1. It is possible to hide the data entry table through the corresponding button [<<], in order to view the 3D rendering of the structural model in 'full-screen' modality.
  2. B y right clicking on an element and selecting the View All Member Checks, a window with the complete set of checks for that particular member appears.


Member Strains

Member Strains (TBDY only)

Herein the results of the strains capacity checks for beams, columns and walls, can be exported (this check applies to TBDY only). Users may select for which Limit State, or Performance objective, to view the results and choose filters, which include the determination of the analysis, the floor, the members’ type and the local axis. The available limit states are those already selected in the Limit States module in Code Requirements. In addition, in the drop-down menu for the analysis selection apart from the executed analyses there is an option called Critical Analysis, which is the envelope of the results of all the analyses. The elements that have exceeded their strain capacity are marked with red both in the table view and the 3D view format, whereas different visualisation options are available. For instance users may select to display the members’ performance ratios or each member’s critical analysis on the 3D plot, or to display the elements with different colours, depending on the value of their performance ratio for the selected limit state.

Notes

  1. It is possible to hide the data entry table through the corresponding button [<<], in order to view the 3D rendering of the structural model in 'full-screen' modality.
  2. B y right clicking on an element and selecting the View All Member Checks, a window with the complete set of checks for that particular member appears.


Joints Shear Forces

Joints Shear Forces (Eurocodes, ASCE 41-17 & TBDY)

Herein the results of the shear forces checks for beam-column joints, according to the selected Code, are exported (this check applies to Eurocodes, ASCE 41-17 and TBDY). Users may select for which Limit State to view the results and choose filters, which include the determination of the analysis, and the floor. The limit states available are those already selected in the Limit States module in Code Requirements. In addition, in the drop-down menu for the analysis selection apart from the executed analyses there is an option called Critical Analysis, which is the envelope of the results of all the analyses. The joints that have exceeded their shear capacity are marked with red both in the table view and the 3D view format, whereas different visualisation options are available. For instance users may select to display the members’ performance ratios or each member’s critical analysis on the 3D plot, or to display the elements with different colours, depending on the value of their performance ratio for the selected limit state.

Notes

  1. It is possible to hide the data entry table through the corresponding button [<<], in order to view the 3D rendering of the structural model in 'full-screen' modality.
  2. B y right clicking on a beam-column joint and selecting the View All Joint Checks, a window with the complete set of checks for that particular joint appears.


Joints Horizontal Hoops Area

Joints Horizontal Hoops Area (Eurocodes only)

Herein the results of the horizontal hoops area checks for beam–column joints are exported (this check applies only to Eurocode 8). Users may select for which Limit State to view the results and choose filters, which include the determination of the analysis and the floor. The limit states available are those already selected in the Limit States module in Code Requirements. In addition, in the drop-down menu for the analysis selection apart from the executed analyses there is an option called Critical Analysis, which is the envelope of the results of all the analyses. The joints that do not satisfy the horizontal hoops area requirement are marked with red both in the table view and the 3D view format, whereas different visualisation options are available. For instance users may select to display the members’ performance ratios or each member’s critical analysis on the 3D plot, or to display the elements with different colours, depending on the value of their performance ratio for the selected limit state.

Notes

  1. It is possible to hide the data entry table through the corresponding button [<<], in order to view the 3D rendering of the structural model in 'full-screen' modality.
  2. B y right clicking on a beam-column joint and selecting the View All Joint Checks, a window with the complete set of checks for that particular joint appears.


Joints Vertical Reinforcement Area

Joints Vertical Reinforcement Area (Eurocodes only)

Herein the results of the vertical reinforcement area checks for beam–column joints are presented (this check applies only to Eurocode 8). Users may select for which Limit State to view the results and choose filters, which include the determination of the analysis and the floor. The limit states available are those already selected in the Limit States module in Code Requirements. In addition, in the drop-down menu for the analysis selection apart from the executed analyses there is an option called Critical Analysis, which is the envelope of the results of all the analyses. The joints whose vertical reinforcement area is less than the Code defined are marked with red both in the table view and the 3D view format, whereas different visualisation options are available. For instance users may select to display the members’ performance ratios or each member’s critical analysis on the 3D plot, or to display the elements with different colours, depending on the value of their performance ratio for the selected limit state.

Notes

  1. It is possible to hide the data entry table through the corresponding button [<<], in order to view the 3D rendering of the structural model in 'full-screen' modality.
  2. B y right clicking on a beam-column joint and selecting the View All Joint Checks, a window with the complete set of checks for that particular joint appears.


Joints Diagonal Tension

Joints Diagonal Tension (NTC & KANEPE)

Herein the results of the diagonal tension for beam-column joints are presented (this check applies to NTCand KANEPE). Users may select for which Limit State to view the results and choose filters, which include the determination of the analysis and the floor. The limit states available are those already selected in the Limit States module in Code Requirements. In addition, in the drop-down menu for the analysis selection apart from the executed analyses there is an option called Critical Analysis, which is the envelope of the results of all the analyses. The joints that have exceeded their diagonal tensile stress capacity are marked with red both in the table view and the 3D view format, whereas different visualisation options are available. For instance users may select to display the members’ performance ratios or each member’s critical analysis on the 3D plot, or to display the elements with different colours, depending on the value of their performance ratio for the selected limit state.

Notes

  1. It is possible to hide the data entry table through the corresponding button [<<], in order to view the 3D rendering of the structural model in 'full-screen' modality.
  2. B y right clicking on a beam-column joint and selecting the View All Joint Checks, a window with the complete set of checks for that particular joint appears.


Joints Diagonal Compression

Joints Diagonal Compression (NTC & KANEPE)

Herein the results of the diagonal compression for beam-column joints are presented (this check applies to NTC and KANEPE). Users may select for which Limit State to view the results as well as the View criteria, which include the determination of the analysis and the floor. The limit states available are those already selected in the Limit States module in Code Requirements. In addition, in the drop-down menu for the analysis selection apart from the executed analyses there is an option called Critical Analysis, which is the envelope of the results of all the analyses. The joints that have exceeded their diagonal compressive stress capacity are marked with red both in the table view and the 3D view format, whereas different visualisation options are available. For instance users may select to display the members’ performance ratios or each member’s critical analysis on the 3D plot, or to display the elements with different colours, depending on the value of their performance ratio for the selected limit state.

Notes

  1. It is possible to hide the data entry table through the corresponding button [<<], in order to view the 3D rendering of the structural model in 'full-screen' modality.
  2. B y right clicking on a beam-column joint and selecting the View All Joint Checks, a window with the complete set of checks for that particular joint appears.


Interstorey Drifts

Interstorey Drifts (ASCE 41-17 & NTC)

Herein the results of the interstorey drifts checks for columns and walls are presented (this check applies to ASCE 41-17 and NTC). Users may select, for which Limit State to view the results, as well as the display criteria, which include the determination of the analysis and the floor. It is noted that only the walls controlled by shear are checked according to the ASCE 41-17 and only the limit states of Damage Limitation and Operational Level for columns and walls are checked according to the NTC. In addition, in the drop-down menu for the analysis selection apart from the executed analyses there is an option called Critical Analysis, which is the envelope of the results of all the analyses. The elements that have exceeded the Code defined relative drift are marked with red both in the table view and the 3D view format, whereas different visualisation options are available. For instance users may select to display the members’ performance ratios or each member’s critical analysis on the 3D plot, or to display the elements with different colours, depending on the value of their performance ratio for the selected limit state.

Notes

  1. It is possible to hide the data entry table through the corresponding button [<<], in order to view the 3D rendering of the structural model in 'full-screen' modality.
  2. B y right clicking on an element and selecting the View All Member Checks, a window with the complete set of checks for that particular member appears.


PGA Ratios

PGA Ratios (NTC only)

PGA ratios (available only in NTC) provide general aspect of the vulnerability of the structure in terms of peak ground accelerations that a structure can sustain; hence it is a measure of seismic risk. It is defined as the ratio of the PGA Capacity, which corresponds to the displacement on the Capacity Curve, at which the first failure (at any member of the structure) occurs, divided by the PGA Demand, which corresponds to Spectral acceleration specified by the user in the Seismic Action tab. The PGA ratio is calculated for each limit state, check type and pushover analysis. Values larger than unity (displayed in green color) indicate no damages for the selected combination of limit state, check type and analysis, while in case of values smaller than unity (in red color) damage is expected. Values significantly larger than unity indicate a structure, which is able to resist seismic loads quite larger than seismic action required by Code, whereas values close to zero denote a structure with capacity significantly poorer than the capacity required by Code. In the PGA ratios tab the demand and capacity displacement response spectra are also displayed graphically, and the displacement at the first check failure is denoted. The return period that corresponds to the PGA capacity is shown as well.


Seismic Risk Classification

Seismic Risk Classification (NTC only)

Seismic Risk Classification (specified only in NTC) is an index corresponding to a scale of the seismic hazard, which a building is exposed to, ranging from G (highest seismic risk) to A+ (lowest seismic risk). It is defined as the worst of two partial indices, the expected average annual loss (PAM) and the Life Safety Index (IS-V). For the calculation of the aforementioned indices the PGA ratios for the limit states of Life Safety and Damage Limitation are required, so these limit states should be selected in the Code Requirements/Limit States Module. Selection of the Limit states of Operational Level and Collapse Prevention is not compulsory, however, if these are selected, the procedure will result in a more accurate classification. The lowest calculated values of the PGA ratios for all check type and pushover analyses are considered in the determination of the Seismic Risk Classification. Information about these parameters can be found in the Italian Regulations.


Report

After running all the analyses and the selected checks, the Technical Report can be delivered, through the Report module in the program main window. Once, the Report button is clicked, a dialog box appears whereby users can determine which information will be included in the report. Four tabs are available with multiple selections to fit users’ needs:

  • General Information

  • Members

  • Beam-Column Joints

  • Detailed Calculations (Annex)


General Information

In the General Information module users may determine the general information of the structure that will be included in the technical report. The option of not extracting any general information is available by disabling the Export General Information check-box.

Preliminary Information
Herein, the information about the program and the Codes that will be included in the report is specified. An effort has been made to include by default the information needed for the case of the most common structures, but there are also numerous options available to the user with data to be included in the report. Further, by selecting the relevant Edit Text buttons predefined texts appear providing some guidelines for the technical description of the structure and the software, which can be partially or totally modified according to the users’ needs and preferences.

All the information about the SeismoBuild program and the Codes, such as the rehabilitation objectives, the structural assessment, the knowledge factors, the types of analysis and the capacity models for assessment and checks, as well as the numerical model and the basic assumptions are predefined or automatically assigned and may be exported to the technical report by selecting the corresponding check-box.

The perspective of the 3D plot views of the structure exported in the technical report may be modified once the Update Report View button is selected within the ‘View/Modify 3D Views’ window, accessible by the 3D Views... buttons.

Eigenvalue Information
The choice of including the eigenvalue analysis results in the technical report is available in this module. The eigenvalue results that will be exported are the natural period/frequency of vibration of each mode, the modal participation factors and the effective modal masses, as well as, two figures for the fundamental periods along global axes X and Y. Users may modify the perspective of these figures through the 3D Views... button, wherein a scale amplifier is also available in order to change the 3D plot deformations scale.

Target Displacement or Dynamic Analysis Information
When the nonlinear static procedure is selected, the capacity curve of the structure before and after the linearization for the selected pushover analysis, as well as the target displacement for the selected limit states may be exported to the technical report. Users may define for which analyses the target displacement information will be exported, as well as for which limit states. The default selection is to export the information for all the executed analyses and for all the limit states.

In the case of nonlinear dynamic procedure, the artificial accelerograms for the selected dynamic analysis in X and Y axis, as well as the equivalent response spectra for the selected limit states may be exported to the technical report. Users may define, for which analyses the artificial accelerograms information will be exported, as well as for which limit states. The default selection is to export the information for all the executed analyses and for all the limit states.


Members

In the Members module users may determine the information about the structural members that will be exported to the technical report. The choice of selecting whether to export the vertical members, the horizontal members, all or none is available from the corresponding check-boxes.

The members’ properties may also be selected to be exported. Further, users may choose the members’ results that will be included in the technical report, i.e. which of the checks results to be exported, for which analyses and for which limit states.

Notes

  1. The module is active only if the checks for member chord rotations, member shear forces, member strains or interstorey drifts have been carried out.
  2. The option of selecting the envelope of the most critical analyses or the average values is available. The latter is available in nonlinear dynamic procedure only.
  3. The perspective of the 3D plot view is modified in the report, through the 3D Views... button, once the Update Report View button is selected.


Beam-Column Joints

In the Beam-Column Joints module users may determine the information about the beam-column joint checks that are to be exported in the technical report. It is also possible not to output any information by disabling the Export Beam-Column Joints check-box.

Users may select whether to export just simple or detailed information about the geometry and the configuration of the joint. It is noted that the exported results for the joints may differ depending on the selected Code. Finally, the limit states for which the results will be exported, as well as the corresponding 3D Views can be defined.

Notes

  1. The module is active only if one, or more, of the checks regarding the beam-column joints has been carried out.
  2. The option of selecting the envelope of the most critical analyses or the average values is available. The latter is available in nonlinear dynamic procedure only. Otherwise specific analyses may be selected through the Select Analyses button.
  3. The 3D plot view is modified in the report once the Update Report View button is selected.


Detailed Calculations (Annex)

In the Detailed Calculations (Annex) module users may select the members and the beam-column joints, for which detailed check calculations are to be output in the technical report. This module is available for nonlinear static procedure.

Members Checks Calculations
The detailed Members’ Checks Calculations may be exported to the technical report according to the employed equations of the selected Code for the calculation of the capacity values. Users may select the information to export per member, i.e. for which check type, edge, axis, limit state and pushover analysis, by selecting the member and the ‘Modify’ button. The default selection is to export all the members’ checks calculations for the selected members.

Joints Checks Calculations
The detailed Joints’ Checks Calculations may be exported to the technical report according to the employed equations of the selected Code. Users may select the information to export per joint, i.e. for which check type, limit state and pushover analysis, by selecting the joint and the ‘Modify’ button. The default selection is to export all the joints’ checks calculations for the selected joints.

Note: Exporting detailed calculations for many members and beam/column joints increases considerably the size of the report (i.e. to several thousands of pages), hence this facility such be used with consideration.


Other SeismoBuild Capabilities

The features below will be described in this chapter:

  • Export CAD Drawings
  • Export Data to SeismoStruct
  • Send Message to Seismosoft
  • Creating an analysis movie
  • 3D Plot Options
  • Rotating/Moving the 3D model


Export CAD Drawings

A variety of CAD drawing files of the structural model (plan views, cross sections and reinforcement tables) may be quickly created and exported from the main menu (File > Export CAD drawings), together with specially created *.ctb files that are needed for plotting.

Users may define the number of exported files (one file per floor) and the information to be included in the CAD file, the units etc.


Exporting and Importing SeismoBuild Projects as XML Files

A SeismoBuild project can be exported in the form of an XML file from the main menu (File >Export to XML file). When this option is selected, a new window appears for the definition of the name and location of the XML file. The exported XML file will contain all the information included in SeismoBuild project. An XML file containing the information of a SeismoBuild project can be loaded from the main menu (File >Import from XML file) while the information contained in the XML file can be modified directly in the XML file.


Export Data to SeismoStruct

The possibility of exporting SeismoStruct projects from the main menu (File > Export Data to SeismoStruct) is available. All the SeismoStruct projects for all the selected analyses (the eigenvalue analysis and all the pushover analyses) will be exported to the file of the SeismoBuild project.


Send Message to Seismosoft

Commercial users may send a message to Seismosoft from the main menu (Help > Send Message to Seismosoft). Once the “Attach Input File” checkbox is selected the model is automatically attached and will be sent to the Seismosoft Support group.

Note: This facility is available in the Commercial Version only.


Creating an analysis movie

SeismoBuild provides users with the possibility of creating animations illustrating the way a particular structure, subjected to a given set of loads, deforms in pseudo-time (static analysis). In addition, users can also create a movie where the vibration mode of a structure (as obtained from eigenvalue analysis) is animatedly depicted. This facility can be accessed through the program main menu (Tools > Create AVI file….) or through the respective toolbar button [image].

For the case of static analysis animations, users need only to define the name of the movie file to be created (*.avi), the start and end deformed shapes, and the frequency in shape image selection. Evidently, the lower the frequency, the highest number of images will be used in the creation of the movie, and hence the higher the quality (smoothness of the moving sequence), but also the highest the size of the resulting file. The smallest possible frequency value is 1, effectively meaning that all deformed shapes that have been output will be used in the creation of the movie.

If, on the other hand, a user wishes to create a movie illustrating a given vibration mode of a particular structure, then he/she must define the number of mode cycles to be created (i.e. how many times will the modal animation be repeated) and the number of images/frames to be used per cycle. Evidently, the highest the number of interim frames, the smoothest the animation, but also the largest the movie file becomes.

Before creating the animation, users are advised to customise the 3D Plot to their needs and likings, since these settings will reflect the look and feel of the movie. In particular, it is noted that during movie creation, the axes of the plot are not automatically updated, thus implying that, before initiating the creation process, users should set the axes to their largest needed values. The latter can be done either by viewing an output shape where deformations are at their highest, or by manually tweaking the axes characteristics (using the 3D Plot options).

Once the animation has been created, users can verify its adequacy through the AVI Viewer incorporated in SeismoBuild, accessible from the program main menu (Tools > Show AVI file …) or through the respective toolbar button [image].

Animations created in SeismoBuild (i.e. AVI movies) can also be opened by other Windows applications such as Windows Media Player or, perhaps more importantly, Microsoft PowerPoint, where they can be used in multimedia presentations.


3D Plot Options

The 3D Plot settings of the structural model can be adjusted to best meet the user's preferences and requirements.

Display Layout

With this facility, accessible through the button [image] on the right, users can (i) select a pre-defined layout, such as Standard Layout (default), or Structural Model (the latter is particularly useful to visualise internal forces results), (ii) save their personal Display Layouts or (iii) change the 3D Plot Options.

Save Current Layout

Users may wish to save the changes made in the 3D Plot Options. To do so they have to (i) click on the button [image], (ii) assign a name to the new layout configuration and finally (iii) click the Ok button to confirm the operation. The new layout will appear in the drop-down menu. Further, users may always return to the initial default layout by selecting the Standard Layout option from the drop-down list.

3D Plot Options...

The full range of plotting adjustment parameters, on the other hand, can be found in the 3D Plot Options dialog box, accessible from the main menu (Tools > 3D Plot Options…) or through the [image] button .

Within the 3D Plot Options menu, there are a number of submenus from which users can not only select which model components (nodes, structural members, etc.) to show in the plot but also change a myriad of settings such as the colour/transparency of elements, the plot axes and background panels, the colour and size of text descriptors, and so on.

By default, the 3D Plot is automatically updated. In cases where the structural model is very large (several hundreds of elements) and/or the user is using a laptop running on batteries with a slowed-down CPU (so as to increase the duration of battery), the program takes some seconds to update the view. Hence, it might prove to be more convenient for users to disable this feature (uncheck the Automatic 3D Plot Update option in the 3D Plot Options General submenu) and thus opt for manual updating instead, carried out with the Update 3D Plot command found in the 3D Plot Options on the right of the screen.

Basic Display Settings

These is a list of settings accessible through the [image] button on the right, users can tweak the most commonly used plotting features (view type, rendering options, names show, members’ axes representation, element transparency, and so on) using the available check-boxes and drop-down menus.

Cut Planes

In addition to the previous features, also the Cut Planes option can be activated through the [image] button on the right.

Additional operations

Users can also quickly zoom, rotate, and move the 3D/2D plot of the structural model, by using either the mouse (highly recommended) or keyboard shortcuts, as described in here. Further, it is also possible to point & click elements to quickly go to the Building Modeller to view/modify element’s properties, or right-click and select "Member Configuration...".


Rotating/Moving the 3D model

Rotating & Moving the 3D model

 | Using Keyboard | Using Mouse
Zoom in | press the 'Arrow-up' key | scroll the mouse-wheel upwards
Zoom out | press the 'Arrow-down' key | scroll the mouse-wheel downwards
Rotate left | press the 'Arrow-left' key | drag mouse to the left whilst pressing the left mouse-button
Rotate right | press the 'Arrow-right' key | drag mouse to the right whilst pressing the left mouse-button
Rotate up | press the 'Ctrl + Arrow-up' keys | drag mouse upwards whilst pressing the left mouse-button
Rotate down | press the 'Ctrl + Arrow-down' keys | drag mouse downwards whilst pressing the left mouse-button
Move left | press the 'Ctrl + Arrow-right' keys | drag mouse to the left whilst pressing the right mouse-button
Move right | press the 'Ctrl + Arrow-left' keys | drag mouse to the right whilst pressing the right mouse-button
Move up | press the 'Shift + Arrow-down' keys | drag mouse upwards whilst pressing the right mouse-button
Move down | press the 'Shift + Arrow-up' keys | drag mouse downwards whilst pressing the right mouse-button

Note: If wheel-zooming is excessive, then either use the keyboard or adjust your mouse wheel scrolling settings (Windows Control Panel).


Codes

The Codes available in the current version of SeismoBuild are:

  • Eurocodes

  • American Code for Seismic Evaluation and Retrofit of Existing Buildings (ASCE)

  • Italian National Seismic Code (NTC-18)

  • Italian National Seismic Code (NTC-08)

  • Greek Seismic Interventions Code (KANEPE)

  • Turkish Seismic Evaluation Building Code (TBDY)


Eurocodes

Current practice in Europe in structural assessment is regulated by the Eurocode 8: Design of Structures for Earthquake Resistance – Part 1: General rules, seismic action and rules for buildings (CEN, 2005a) and Part 3: Assessment and Retrofitting of Buildings (CEN, 2005b). The parameters used for the structural assessment according to Eurocodes are the following:

  • Limit States

  • Knowledge Level

  • Confidence Factor

  • Safety Factors

  • Capacity Checks


Limit States-Eurocodes

Limit States (Eurocodes)

According to EN1998-3 section 2.1, performance requirements refer to the state of damage in the structure defined through three limit states, namely Near Collapse(NC), Significant Damage (SD) and Damage Limitation (DL).

Limit State of Near Collapse (NC)
The limit state of Near Collapse (NC) may be selected, according to EN 1998-3, where the target state of damage in the structure is near collapse and would probably not survive another earthquake, even of moderate intensity. The structure is heavily damaged with low residual lateral strength and stiffness, although vertical elements are still capable of sustaining vertical loads. Most non-structural components have collapsed and large permanent drifts are present. The appropriate level of protection is achieved by choosing a seismic action with a return period of 2.475 years corresponding to a probability of exceedance of 2% in 50 years.

Limit State of Significant Damage (SD)
The limit state of Significant Damage (SD) may be selected, according to EN 1998-3, where the target state of damage in the structure is significant and can sustain after-shocks of moderate intensity, although it is likely to be uneconomic to repair. Some residual lateral strength and stiffness, and vertical elements are capable of sustaining vertical loads. Non-structural components are damaged, although partitions and infills have not failed out-of-plane. Moderate permanent drifts are present. The appropriate level of protection is achieved by choosing a seismic action with a return period of 475 years corresponding to a probability of exceedance of 10% in 50 years.

Limit State of Damage Limitation (DL)
The limit state of Damage Limitation (DL) may be selected, according to EN 1998-3, where the target state of damage in the structure is insignificant and does not need any repair measures. The structure is only lightly damaged, with structural elements prevented from significant yielding and retaining their strength and stiffness properties. Non-structural components, such as partitions and infills may show distributed cracking, but the damage could be economically repaired. Permanent drifts are negligible. The appropriate level of protection is achieved by choosing a seismic action with a return period of 225 years corresponding to a probability of exceedance of 20% in 50 years.

The Eurocodes National Annexes specify whether to employ all three Limit States, two of them, or just one.


Knowledge Level-Eurocodes

Knowledge Level (Eurocodes)

In order to choose the admissible type of analysis and the appropriate confidence factor values, the following three knowledge levels are defined:

KL1: Limited Knowledge
The limited knowledge level corresponds to a state of knowledge where the overall structural geometry and member sizes are known from survey or from original outline construction drawings used for both the original construction and any subsequent modifications, as well as a sufficient sample of dimensions of both overall geometry and member sizes checked on site. In case of significant discrepancies from the outline construction drawings a fuller dimensional survey is performed. The structural details are not known from detailed construction drawings and are assumed based on simulated design in accordance with usual practice at the time of construction. Limited inspections performed in the most critical elements should prove that the assumptions correspond to the actual situation. Information on the mechanical properties of the construction materials isn’t available so default values are assumed in accordance with standards at the time of construction accompanied by limited in-situ testing in the most critical elements.

Structural evaluation based on this state of knowledge is performed through linear analysis methods, either static or dynamic.

KL2: Normal Knowledge
The normal knowledge level corresponds to a state of knowledge where the overall structural geometry and member sizes are known from extended survey or from outline construction drawings used for both the original construction and any subsequent modifications, as well as a sufficient sample of dimensions of both overall geometry and member sizes. The structural details are known from an extended in-situ inspection or from incomplete detailed construction drawings in combination with limited in-situ inspections in the most critical elements, which confirms that the available information corresponds to the actual situation. Information on the mechanical properties of the construction materials is available from extended in-situ testing or from original design specifications and limited in-situ testing.

Structural evaluation based on this state of knowledge is performed through linear or nonlinear analysis methods, either static or dynamic.

KL3: Full Knowledge
The full knowledge level corresponds to a state of knowledge where the overall structural geometry and member sizes are known from a comprehensive survey or from the complete set of outline construction drawings used for both the original construction and subsequent modifications, as well as a sufficient sample of both overall geometry and member sizes checked on site. The structural details are known from comprehensive in-situ inspection or from a complete set of detailed construction drawings in combination with limited in-situ inspections in the most critical elements, which prove that the available information corresponds to the actual situation. Information on the mechanical properties of the construction materials is available from comprehensive in-situ testing or from original test reports and limited in-situ testing.

Structural evaluation based on this state of knowledge is performed through linear or nonlinear analysis methods, either static or dynamic.


Confidence Factor-Eurocodes

Confidence Factor (Eurocodes)

In the following table of EN1998-3 a summary and recommendations for the confidence factors and the analysis methods are provided for each knowledge level.


Safety Factors-Eurocodes

Safety Factors (Eurocodes)

The values for the safety factors, as defined in Annex A of Eurocode 8 - Part 3, are introduced in the Safety Factors module. The default values in SeismoBuild are those recommended by the Codes, users may edit and change these default values.


Capacity Checks

Capacity Checks (Eurocodes)

All the member checks (chord rotation capacity and shear capacity) should be carried out for all the elements of every floor, according to Annex A of EN1998-3:2005, considering the members as primary or secondary seismic elements, designated in accordance with the definitions in EN1998-1:2004, 4.2.2(1)P, (2) and (3). Moreover, beam-column joints checks may be employed in order to check (i) the horizontal shear forces acting on the core of the joints; (ii) the joint’s horizontal hoops area and (iii) whether adequate vertical reinforcement is provided to the column passing through the joint.

In SeismoBuild the capacity checks available are the following:

  • Deformation Capacity

  • Shear Capacity

  • Joints Shear Forces

  • Joints Horizontal Hoops Area

  • Joints Vertical Reinforcement Area


Deformation Capacity-Eurocodes

Deformation Capacity (Eurocodes)

The deformation capacity of beams, columns and walls is defined in terms of the chord rotation θ, that is the angle between the tangent to the axis at the yielding end and the chord connecting that end with the end of the shear span (LV=M/V=moment/shear at the end section). The chord rotation is also equal to the element drift ratio, which is the deflection at the end of the shear span with respect to the tangent to the axis at the yielding end divided by the shear span.

Deformation capacity of beams and columns is highly influenced by the lack of appropriate seismic resistant detailing in longitudinal reinforcement, as well as by the bars type, that is whether there are smooth bars or/and of cold-worked brittle steel. Inadequate development of splicing along the span (beams) and height (columns) and inadequate embedment into beam-column joints can control the members response to seismic action, drastically limiting its capacity with respect to the situation in which the reinforcement is considered fully effective. These limitations to the deformation capacity are taken into consideration.

The values for the deformation capacity are calculated from different expressions depending on the section type:

  • Beams, Columns and Walls

  • Circular Columns

  • Jacketed Members

  • Members with FRP Wrapping


Beams, Columns and Walls

Deformation Capacity of Beams, Columns and Walls (Eurocodes)

The value for the chord rotation capacity of rectangular beams and columns is calculated through different expressions, depending on the state of damage in the structure.

Limit State of Near Collapse (NC)
The value for the chord rotation capacity for the limit state of near collapse (NC) is the value of the total chord rotation capacity (elastic plus inelastic part) at ultimate of concrete members under cyclic loading, which is calculated from the following equations (A.1) and (A.3) of EC8: Part 3 (CEN, 2005b):

Where γel is equal to 1,5 for primary seismic elements and to 1,0 for secondary seismic ones and LV is the ratio between bending moment, M, and shear force, V. The remaining relevant parameters are defined in section A.3.2.2 of EC8: Part 3.

In walls the value given by the equation (A.1) is multiplied by 0,58.

The total chord rotation capacity at ultimate of concrete members under cyclic loading may be also calculated as the sum of the chord rotation at yielding and the plastic part of the chord rotation capacity calculated from the following expression:

Where γel is equal to 1,8 for primary seismic elements and to 1,0 for secondary seismic ones; the chord rotation at yielding, θy, is calculated in accordance with section A.3.2.4 of EC8: Part 3 and the remaining relevant parameters are defined in section A.3.2.2 of EC8: Part 3.

In walls the value given by the equation (A.3) is multiplied by 0,6.

Limit State of Significant Damage (SD)
The chord rotation capacity corresponding to the limit state of significant damage (SD) is assumed to be 3/4 of the ultimate chord rotation, calculated from the equations above.

Limit State of Damage Limitation (DL)
The chord rotation capacity that corresponds to the limit state of damage limitation (DL) is given by the chord rotation at yielding, evaluated as:

For rectangular beams and columns:

For walls or rectangular T- or barbelled section:

Or from alternative and equivalent expression for rectangular beams and columns:

For walls or rectangular T- or barbelled section from expression:

Where αV is equal to zero if the yielding bending moment is lower than LV multiplied by the concrete shear resistance – VR,c - and 1.0 otherwise. VR,c is calculated according to EN1992-1-1:2004 provisions for concrete elements without shear reinforcement. The remaining relevant parameters are defined in section A.3.2.4 of EC8: Part 3.

The yield curvature of the end section is calculated according to the following expressions, and it is the lower from the two values below: (a) for the case that the section's yielding is due to steel yielding and (b) for the case that the section yields due to the deformation non-linearities of the concrete in compression.

(a)

(b)

According to Annex A of EN1998-3 the chord rotation capacity is highly influenced by a number of different factors such as the type of the longitudinal bars. If cold-worked brittle steel is used the plastic part of chord rotation is divided by 2, whereas if smooth (plain) longitudinal bars are applied, section A.3.2.2(5) of Annex A is employed, taking, also, into consideration whether the longitudinal bars are well lapped or not. In case of members with lack of appropriate seismic resistant detailing the values given by expressions (A.1) and (A.3) are divided by 1,2. Moreover, if the deformed (high bond) longitudinal bars have straight ends lapped starting at the end section of the member, the plastic part of chord rotation is calculated with the value of the compression reinforcement ratio, ω’, doubled over the value applying outside the lap splice. In addition, in sections where the reinforcement lap length lo is less than the minimum lap length for ultimate deformation lou,min, the plastic part of the chord rotation capacity is multiplied by the ratio lo/lou,min, for more information about the calculation of lou,min you may refer to A.3.2.2(4) of Annex A, while the value for chord rotation at yielding, θy accounts for the effect of the lapping in accordance with A.3.2.4(3) of Annex A.


Circular Columns

Deformation Capacity of Circular Columns

In the case of circular column sections, the equations mentioned in Rectangular Beams and Columns cannot be employed for the calculation of the elements’ chord rotation capacity. In SeismoBuild the equations below suggested by D. Biskinis and M. N. Fardis [2013] are employed for θy and θu.

Where fy and fc values are in MPa, αV=1 if VRc<VMy, VRc is calculated according to Eurocode 2 (CEN 2004), otherwise αV=0, and αsl=0 if pull-out of the tension bars from their anchorage zone beyond the yielding end is physically impossible, otherwise αsl=1.

Where γel is equal to 2.0 for primary seismic elements and to 1.0 for secondary seismic elements according to A3.2.2(9) of Annex A of EN1998-3, Δθu,slip and Lpl are calculated according to the following equations:

Users are advised to refer to the relevant publications for the definition of the other parameters and further details on the expression.


Jacketed Members

Deformation Capacity of the Jacketed Members

The following assumptions are made in order to evaluate the deformation capacities of the jacketed members according to Annex A of EN1998-3:2005: (i) the jacketed element behaves monolithically, (ii) the full axial load is assumed to act on the jacketed member, disregarding the fact that the axial load is originally applied to the old column, and (iii) the concrete properties of the jacket are assumed to apply over the full section of the element.

The value for the chord rotation capacity of the jacketed members that is adopted in the capacity verifications depend on the corresponding values calculated under the assumptions above, adapted according to the following equations of Annex A of EN1998-3:2005:

The yield moment:

The chord rotation at yield:

The ultimate chord rotation:


Members with FRP Wrapping

Deformation Capacity of Members with FRP Wrapping

The contribution of the FRP wrapping to the members’ capacity is taken into account, according to Annex A of EN1998-3:2005, as described below:

The effect of FRP wrapping on the members' flexural resistance at yielding is neglected, with the θy computed in accordance with A3.2.1(2) to (4).

The total chord rotation capacity and its plastic part for the members of rectangular sections with corners rounded is calculated through the expressions (A.1) and (A.3), respectively, with the exponent of the term due to confinement increased by αρfff,e, where α is the confinement effectiveness factor, ρf the FRP ratio parallel to the loading direction and ff,e the effectiveness stress given from the (A.35) equation of EC8: Part 3.


Shear Capacity-Eurocodes

Shear Capacity (Eurocodes)

Shear capacity is calculated through the following expression according to Annex A of EN1998-3:2005, as controlled by the stirrups, accounting for the reduction due to the plastic part of ductility demand.

Where γel is equal to 1,15 for primary seismic elements and to 1,0 for secondary ones, the other variables are calculated as defined in A.3.3.1 of Annex A of EN1998-3.

Notes

  1. The shear strength of a concrete wall is not taken greater than the value corresponding to failure by web crushing, VR,max, which under cyclic loading is calculated according to A3.3.1(2) of Annex A of EN1998-3:2005 from the following expression:

  2. If in a concrete column the shear span ratio (LV/h) at the end section with the maximum of the two end moments is less or equal to 2, the shear strength is not taken greater than the value corresponding to the failure by web crushing along the diagonal of the column after flexural yielding, VR,max, which under cyclic loading is calculated according to A3.3.1(3) of Annex A of EN1998-3:2005 from the following expression:

Where δ is the angle between the diagonal and the axis of the column (tanδ = h/2LV).

Concrete Jacketing
The following assumptions are made in order to evaluate the strength of the jacketed members, according to Annex A of EN1998-3:2005: (i) the jacketed element behaves monolithically, (ii) the full axial load is assumed to act on the jacketed member, disregarding the fact that the axial load is originally applied to the old column, and (iii) the concrete properties of the jacket are assumed to apply over the full section of the element.

The value for the shear capacity of the jacketed members that is adopted in the capacity verifications depend on the corresponding value calculated under the assumptions above, according to the following equation of Annex A of EN1998-3:2005:

FRP Wrapping
According to section A.4.4.2(9) of Annex A of EN1998-3:2005, in members with their plastic hinge region fully wrapped in an FRP jacket over a length at least equal to the member depth, the cyclic resistance VR, may be calculated from expression (A.12) of EC8: Part 3 adding in Vw the contribution of the FRP jacket to the shear resistance. The contribution of the FRP jacket to Vw is computed through the following expression:

where ρf is the geometric ratio of the FRP, z the length of the internal lever arm and fu,fd the design value of the FRP ultimate strength.


Joints Shear Forces-Eurocodes

Joints Shear Forces (Eurocodes)

The diagonal compression induced in the joint by the diagonal strut mechanism shall not exceed the compressive strength of concrete in the presence of transverse tensile strains. EN 1998-1:2004 defines that this requirement is satisfied by means of the subsequent rules:

Interior beam-column joints
The following expression should be satisfied:

Where Vjhd is the horizontal shear acting on the core of a joint between primary seismic beam and column elements and is determined taking into account the most adverse conditions under seismic actions, i.e. capacity design conditions for the beams framing into the joint and the lowest compatible values of shear forces in the other framing elements. The value of Vjhd for the interior beam-column joints is calculated from the following expression:

Exterior beam-column joints
The following expression should be satisfied:

Where Vjhd for exterior beam-column joints is calculated from the following expression:

For information about the values in the equations above users may refer to sections 5.5.3.3(2) and 5.5.2.3(2) of EN 1998-1.


Joints Horizontal Hoops Area

Joints Horizontal Hoops Area (Eurocodes)

According to EN 1998-1:2004, adequate confinement of the joint should be provided, to limit the maximum diagonal tensile stress of concrete. This requirement may be satisfied by providing horizontal hoops calculated from the following expression:

Where Ash is the total area of the horizontal hoops and fctb is the design value of the tensile strength of concrete. For the definition of the other values users may refer to section 5.5.3.3(3) of EN 1998-1:2004.

Alternatively, the integrity of the joint after diagonal cracking may be ensured by horizontal hoop reinforcement. The total area of horizontal hoops that should be provided in the joint is calculated from the following equations:

For interior beam-column joints:

For exterior beam-column joints:

Where γRd is equal to 1,2; for the definition of the other values users may refer to section 5.5.3.3(4) of EN 1998-1.


Joints Vertical Reinforcement Area

Joints Vertical Reinforcement Area (Eurocodes)

Adequate vertical reinforcement of the column passing through the joint should be provided according to section 5.5.3.3(6) of EN 1998-1:2004, so that the following expression is satisfied:

With Asv,i denoting the total area of the intermediate bars placed in the relevant column faces between corner bars of the column, including bars contributing to the longitudinal reinforcement of columns.


Capacity Curve

Each pushover analysis leads to a capacity curve, which is a relationship between the total base shear and the horizontal displacement of a representative point of the structure, termed “control node”, with the values of the control displacement ranging between zero and a maximum value defined by the user, which should correspond to 150% of the target displacement.


Target Displacement-Eurocodes

Target Displacement (Eurocodes)

The target displacement is defined as the seismic demand derived from the elastic response spectrum in terms of displacement of an equivalent single-degree-of-freedom system. To define the target displacement of a MDOF system a number of steps have to be followed according to Annex B of EN1998-1.


ASCE

American Code for Seismic Evaluation and Retrofit of Existing Buildings - ASCE

Current practice in USA is regulated by the ASCE 41-17: Seismic Evaluation and Retrofit of Existing Buildings in combination with ACI 318: Building Code Requirements for Structural Concrete and Commentary and ACI 440.2R-08: Guide for the Design and Construction of Externally Bonded FRP Systems for Strengthening Concrete Structures . The parameters used for the structural assessment according to Eurocodes are the following:

  • Performance Requirements

  • Knowledge Level

  • Knowledge Factors

  • Safety Factors

  • Capacity Checks


Performance Requirements-ASCE

Performance Requirements (ASCE)

According to ASCE 41-17 section 2.2, the objectives of the assessment or redesign (Table C2-2) consist of combinations of both a performance level and a seismic action, given an "acceptable probability of exceedance within the life cycle of the building" (design earthquake), as shown in Table C2-2 of ASCE 41-17 below

The target building performance levels refer to the state of damage in the structure defined through four limit states, namely Operational Level (1-A), Immediate Occupancy (1-B), Life Safety (3-C) and Collapse Prevention (5-D).

Performance Level of Operational Level (1-A)
The Operational Level (1-A), according to ASCE 41-17, is a condition in which it is expected that damage is insignificant and structure does not need any repair measures. Structural elements are prevented from significant yielding and retaining their strength and stiffness properties. All systems important to normal operation are functional. Non-structural components, such as partitions and infills should not be damaged.

Performance Level of Immediate Occupancy (1-B)
The Immediate Occupancy after the earthquake (1-B), according to ASCE 41-17, is a condition in which it is expected that no building operation is interrupted during and after the design earthquake, with the possible exception of minor importance functions. Structural elements are retaining their strength and stiffness properties. A few hairline cracks may occur in the structure

Performance Level of Life Safety (3-C)
The Life Safety (3-C), according to ASCE 41-17, is a condition in which moderate damage to the structure is expected to occur during the design earthquake, although it is likely to be uneconomic to repair. Structural elements are retaining some residual strength and stiffness. Non-structural components are damaged, although partitions and infills have not failed out-of-plane. Moderate permanent drifts are present.

Performance Level of Collapse Prevention (5-D)
The Collapse Prevention (5-D), according to ASCE 41-17, is a condition in which severe (non-repairable, in general) damage to the structure is expected during the design earthquake and would probably not survive another earthquake. The structure is heavily damaged with low residual lateral strength and stiffness, although vertical elements are still capable of sustaining vertical loads. Most non-structural components have collapsed and large permanent drifts are present.

The criteria for the selection of the Performance Objectives may be found in ASCE 41-17.


Knowledge Level-ASCE

Knowledge Level (ASCE)

In order to choose the admissible type of analysis and the appropriate confidence factor values, the following three knowledge levels are defined:

Minimum Knowledge
The minimum data collection requirements corresponds to a state of knowledge where information is obtained from design drawings with sufficient information to analyse component demands and calculate component capacities. The design drawings show the configuration of the gravity load system and seismic-force-resisting system with sufficient details. Information is verified by a visual condition assessment.

In the absence of sufficient information from design drawings, incomplete or nonexistent information is supplemented by a comprehensive condition assessment, including destructive and non-destructive investigation. In the absence of material test records and quality assurance reports default material properties are used according to section 10.2.2.5 of ASCE 41-17.

Usual Knowledge
The usual data reliability level corresponds to a state of knowledge where information is obtained from design drawings with sufficient information to analyse component demands and calculate component capacities. The design drawings show the configuration of the gravity load system and seismic-force-resisting system with sufficient details. Information is verified by a visual condition assessment.

In the absence of sufficient information from design drawings, incomplete or nonexistent information is supplemented by a comprehensive condition assessment, including destructive and non-destructive investigation. In the absence of material test records and quality assurance reports default material properties are used according to section 10.2.2.5 of ASCE 41-17.

Comprehensive Knowledge
The comprehensive data reliability level corresponds to a state of knowledge where information is obtained from construction documents including design drawings, specifications, material test records, and quality assurance reports covering original construction and subsequent modifications to the structure. Information is verified by a visual condition assessment.

In cases where construction documents are incomplete, missing information is supplemented by comprehensive condition assessment, including destructive and non-destructive investigation. In the absence of material test records and quality assurance reports, material properties are determined by comprehensive materials testing in accordance to section 10.2.2.4.2 of ASCE 41-17.


Knowledge Factors-ASCE

Knowledge Factor (ASCE)

In the following table of ASCE 41-17 a summary and recommendations for the confidence factors and the analysis methods are provided for each knowledge level.


Safety Factors-ASCE

Safety Factors (ASCE)

In ASCE 41-17 the safety factors are directly incorporated in the member’s strengths and deformation limits, and should not be defined.

In members where the longitudinal spacing of transverse reinforcement exceeds half the component effective depth measured in the direction of shear, transverse reinforcement shall be assumed 50% effective in resisting shear. Also, in members where the longitudinal spacing of transverse reinforcement exceeds the component effective depth measured in the direction of shear, transverse reinforcement shall be assumed ineffective in resisting shear. Users may decide in the Safety Factors dialog box, whether to enforce such very strict rule or not. For more information on this rule, users may refer to section 10.3.4 of ASCE 41-17.


Capacity Checks

Capacity Checks (ASCE)

All the member checks (chord rotation capacity and shear capacity) should be carried out for all the elements of every floor, according to Chapter 10 of ASCE 41-17, Chapter 11 of ACI 318-14 and Chapter 11 of ACI 440, taking into account Table 7-7 of ASCE 41-17. Interstorey drift ratio should be checked for walls controlled by shear. Moreover, beam-column joints checks can be employed in order to check the joint’s shear force.

In SeismoBuild the capacity checks available are the following:

  • Deformation Capacity

  • Shear Capacity

  • Joints Shear Forces


Deformation Capacity-ASCE

Deformation Capacity (ASCE)

The deformation capacity of beams, columns and walls is defined in terms of the chord rotation θ, that is the angle between the tangent to the axis at the yielding end and the chord connecting that end with the end of the shear span (LV=M/V=moment/shear at the end section). The chord rotation is also equal to the element drift ratio, which is the deflection at the end of the shear span with respect to the tangent to the axis at the yielding end divided by the shear span.

Deformation capacity of beams and columns is highly influenced by the lack of appropriate seismic resistant detailing in longitudinal reinforcement, as well as by the bars type, that is whether there are smooth bars or/and of cold-worked brittle steel. Inadequate development of splicing along the span (beams) and height (columns) and inadequate embedment into beam-column joints can control the members response to seismic action, drastically limiting its capacity with respect to the situation in which the reinforcement is considered fully effective. These limitations to the deformation capacity are taken into consideration.

The values for the deformation capacity are calculated from different expressions depending on the section type.


Beams, Columns and Walls

Deformation Capacity of Beams, Columns and Walls (ASCE)

The total chord rotation capacity at ultimate of concrete members under cyclic loading is calculated as the sum of the chord rotation at yielding and the plastic part of the chord rotation capacity

The chord rotation capacity at yield, θy, is calculated as described below:

  • For beams and columns from the equation of D.Biskinis (2007):

where the effective stiffness value , EIeff, is calculated according to Table 10-5 of ASCE 41-17.

  • For walls from equation (10-5) of ASCE 41-17:

The plastic part of the chord rotation capacity is calculated as indicated below:

  • For beams according to Table 10-7 of ASCE 41-17
  • For columns according to Table 10-8 of ASCE 41-17
  • For walls controlled by flexure according to Table 10-19 of ASCE 41-17

The deformation capacity of walls controlled by shear is defined in terms of the interstorey drift ratio as indicated in Table 10-20 of ASCE 41-17.

The yield moment capacity is calculated according to the equations of Appendix 7A of KANEPE.

FRP Wrapping
The contribution of the FRP wrapping to members’ capacity is taken into account in the calculation of the yield moment capacity.


Shear Capacity-ASCE

Shear Capacity (ASCE)

The Shear capacity is calculated according to ASCE as indicated below:

Columns
The Shear capacity of columns is calculated through the following expression according to section 10.4.2.3 of ASCE 41-17.

Shear Walls
The shear strength of a shear wall is calculated from the following expression:

Note: The value for Vn at any horizontal section for shear in plane of wall shall not be taken greater than [image] according to section 11.5.4.3 of ACI 318-14.

Beams
The shear capacity of beam sections is calculated from the equation (22.5.1.1) of ACI 318-14, with the shear strength provided by the transverse reinforcement computed from equation (22.5.10.5.3) of ACI 318-14 and the shear strength provided by concrete computed by the detailed calculation of section 22.5.5.1 of ACI 318-14.

FRP Wrapping
The shear resistance Vn, may be calculated from expression (10-3) of ASCE 41-17 for columns or the equation (22.5.1.1) of ACI 318-14 for beams and shear walls adding in Vs the contribution of the FRP jacket to the shear resistance.

The contribution of the FRP jacket to the shear resistance is computed through the following expression multiplied by a reduction factor ψf, as described in section 11.4 of ACI 440:

where

and

Note: The total shear strength provided by the sum of the FRP shear reinforcement and the steel shear reinforcement should be limited as indicated in the equation below:


Joints Shear Forces-ASCE

Joints Shear Forces (ASCE)

The equation of section 10.4.2.3.2 of ASCE 41-17 is employed for the calculation of the shear capacity of joints:

The value for γ is defined in Table 10-12 of ASCE 41-17.


Capacity Curve

Each pushover analysis leads to a capacity curve, which is a relationship between the total base shear and the horizontal displacement of a representative point of the structure, termed “control node”, with the values of the control displacement ranging between zero and a maximum value defined by the user.


Target Displacement

Target Displacement (ASCE)

The target displacement is defined as the seismic demand derived from the elastic response spectrum in terms of displacement of an equivalent single-degree-of-freedom system. To define the target displacement of a MDOF system a number of steps have to be followed according to section 7.4.3.3 of ASCE 41-17.


NTC-18

Italian National Seismic Code - NTC-18

Current practice in Italy in structural assessment is regulated by the Italian National Seismic Code – NTC-18. The parameters used for the structural assessment according to NTC-18 are the following:

  • Limit States

  • Knowledge Level

  • Confidence Factor

  • Safety Factors

  • Capacity Checks


Limit States-NTC-18

Limit States (NTC-18)

According to NTC-18, performance requirements refer to the state of damage in the structure defined through four limit states, namely Operational Level (SLC), Damage Limitation (SLD), Life Safety (SLV) and Collapse Prevention (SLC).

Limit State of Collapse Prevention (SLC)
The limit state of Collapse Prevention (SLC) may be selected, according to NTC-18, where the structure, after the earthquake, undergoes serious cracks and collapses of the non-structural components and equipment and very serious damage of structural components. The building still retains a significant stiffness and resistance against vertical loads and a small safety margin against collapse from horizontal actions. The appropriate level of protection is achieved by choosing a seismic action with a return period of 975 years corresponding to a probability of exceedance of 5% in 50 years.

Limit State of Life Safety (SLV)
The limit state of Life Safety (SLV) may be selected, according to NTC-18, where the building after the earthquake undergoes cracks and collapses of the non-structural components and equipment and significant damage to structural components associated with a significant loss of stiffness against horizontal actions; the construction preserves part of the strength and stiffness for vertical actions and a safety margin against collapse for horizontal seismic actions. The appropriate level of protection is achieved by choosing a seismic action with a return period of 475 years corresponding to a probability of exceedance of 10% in 50 years.

Limit State of Damage Limitation (SLD)
The limit state of Damage Level (SLD) may be selected, according to NTC-18, where the building after the earthquake as a whole, including the structural and non-structural elements, as well as the equipment relevant to its function, has damage that does not compromise significantly the ability of resistance and rigidity against vertical and horizontal actions. The structure remains immediately usable despite the interruption of use of part of the equipment. The appropriate level of protection is achieved by choosing a seismic action with a return period of 50 years corresponding to a probability of exceedance of 63% in 50 years.

Limit State of Operational Level (SLO)
The limit state of Operational Level (SLO) may be selected, according to NTC-18, where the building as a whole, including the structural and non-structural components, as well as the equipment relevant to its function, should not be damaged or interrupted its function after the earthquake. The appropriate level of protection is achieved by choosing a seismic action with a return period of 30 years corresponding to a probability of exceedance of 81% in 50 years.


Knowledge Level-NTC-18

Knowledge Level (NTC-18)

In order to choose the admissible type of analysis and the appropriate confidence factor values, the following three knowledge levels are defined:

KL1: Limited Knowledge
The limited knowledge level corresponds to a state of knowledge where the overall structural geometry and member sizes are known from survey or from original outline construction drawings used for both the original construction and any subsequent modifications, as well as a sufficient sample of dimensions of both overall geometry and member sizes checked on site. In case of significant discrepancies from the outline construction drawings a fuller dimensional survey is performed. The structural details are not known from detailed construction drawings and are assumed based on simulated design in accordance with usual practice at the time of construction. Limited inspections performed in the most critical elements should prove that the assumptions correspond to the actual situation. Information on the mechanical properties of the construction materials isn’t available so default values are assumed in accordance with standards at the time of construction accompanied by limited in-situ testing in the most critical elements.

Structural evaluation based on this state of knowledge is performed through linear analysis methods, either static or dynamic.

KL2: Adequate Knowledge
The normal knowledge level corresponds to a state of knowledge where the overall structural geometry and member sizes are known from extended survey or from outline construction drawings used for both the original construction and any subsequent modifications, as well as a sufficient sample of dimensions of both overall geometry and member sizes. The structural details are known from an extended in-situ inspection or from incomplete detailed construction drawings in combination with limited in-situ inspections in the most critical elements, which confirms that the available information corresponds to the actual situation. Information on the mechanical properties of the construction materials is available from extended in-situ testing or from original design specifications and limited in-situ testing.

Structural evaluation based on this state of knowledge is performed through linear or nonlinear analysis methods, either static or dynamic.

KL3: Accurate Knowledge
The full knowledge level corresponds to a state of knowledge where the overall structural geometry and member sizes are known from a comprehensive survey or from the complete set of outline construction drawings used for both the original construction and subsequent modifications, as well as a sufficient sample of both overall geometry and member sizes checked on site. The structural details are known from comprehensive in-situ inspection or from a complete set of detailed construction drawings in combination with limited in-situ inspections in the most critical elements, which prove that the available information corresponds to the actual situation. Information on the mechanical properties of the construction materials is available from comprehensive in-situ testing or from original test reports and limited in-situ testing.

Structural evaluation based on this state of knowledge is performed through linear or nonlinear analysis methods, either static or dynamic.


Confidence Factor-NTC-18

Confidence Factor (NTC-18)

In the following table of section C8.5.4.2 of the commentary of NTC-18 a summary and recommendations for the confidence factors and the analysis methods are provided for each knowledge level.


Safety Factors-NTC-18

Safety Factors (NTC-18)

The recommended values for the safety and partial factors, as defined in NTC-18, are introduced in the Safety Factors module. Users may edit and change the default values.


Capacity Checks-NTC-18

Capacity Checks (NTC-18)

All the member checks (chord rotation capacity and shear capacity) should be carried out for all the elements of every floor, according to section 4.1.2.3.5 of NTC-18 and section C8.7.2.3 of the commentary, considering the members as primary or secondary (section 7.2.3 of NTC-18) seismic elements. Moreover, beam-column joints checks may be employed in order to check (i) the joint’s diagonal tension and (ii) the joint’s diagonal compression. Finally, interstorey drift checks may be carried out, when needed, for the vertical elements of every floor, according to section 7.3.6.1 of NTC-18.

In SeismoBuild the capacity checks available are the following:

  • Deformation Capacity

  • Shear Capacity

  • Joints Diagonal Tension

  • Joints Diagonal Compression

  • Interstorey Drifts


Deformation Capacity-NTC-18

Deformation Capacity (NTC-18)

The deformation capacity of beams, columns and walls is defined in terms of the chord rotation θ, that is the angle between the tangent to the axis at the yielding end and the chord connecting that end with the end of the shear span (LV=M/V=moment/shear at the end section). The chord rotation is also equal to the element drift ratio, which is the deflection at the end of the shear span with respect to the tangent to the axis at the yielding end divided by the shear span.

Deformation capacity of beams and columns is highly influenced by the lack of appropriate seismic resistant detailing in longitudinal reinforcement, as well as by the bars type, that is whether there are smooth bars. Inadequate development of splicing along the span (beams) and height (columns); and inadequate embedment into beam-column joints can control the members response to seismic action, drastically limiting its capacity with respect to the situation in which the reinforcement is considered fully effective. The above limitations to the deformation capacity are taken into consideration.

The values for the deformation capacity are calculated from different expressions depending on the section type:

  • Beams, Columns and Walls

  • Circular Columns

  • Jacketed Members

  • Members with FRP Wrapping


Beams, Columns and Walls

Deformation Capacity of Beams, Columns and Walls (NTC-18)

The value for the chord rotation capacity of rectangular beams and columns is calculated through different expressions, depending on the state of damage in the structure.

Limit State of Collapse Prevention (SLC)
The value for the chord rotation capacity for the limit state of collapse prevention (SLC) is the value of the total chord rotation capacity at ultimate of concrete members under cyclic loading, which is calculated from the following expression:

For beams and columns:

Where γel is equal to 1,5 for primary seismic elements and to 1,0 for secondary seismic ones; LV is the ratio between bending moment, M, and shear force, V. The remaining relevant parameters are defined in section C8.7.2.3.2 of the commentary of NTC-18.

For the wall elements the value given in the expression above must be divided by 1.6.

Limit State of Life Safety (SLV)
The chord rotation capacity corresponding to the limit state of life safety (SLV) is assumed to be 3/4 of the ultimate chord rotation, calculated from the equation above.

Limit State of Damage Limitation (SLD)-Limit State of Operational Level (SLO)
The capacity that corresponds to the limit states of operational level (SLO) and of damage limitation (SLD) is given by the chord rotation at yielding, evaluated as:

For beams and columns:

For walls:

Where γel is equal to 1,5 for primary seismic elements and to 1,0 for secondary seismic ones; LV is the ratio between bending moment, M, and shear force, V. The remaining relevant parameters are defined in section C8.7.2.3.4 of the commentary of NTC-18.

The yield curvature of the end section is calculated according to the following expressions, and it is the lower of the two values below: (a) for the case that the section's yielding is due to steel yielding and (b) for the case that the section yields due to the deformation non-linearities of the concrete in compression.

(a)

(b)

According to section C8.7.2.3.2 of the commentary of NTC-18 the chord rotation capacity is highly influenced by a number of different factors such as the type of the longitudinal bars. If smooth (plain) longitudinal bars are applied, the ultimate chord rotation should be multiplied by the factor calculated from equation 8.7.2.4 of the commentary of NTC-18, taking, also, into consideration whether the longitudinal bars are well lapped or not by employing the factor of 8.7.2.3. In case of members with lack of appropriate seismic resistant detailing the ultimate chord rotation capacity is multiplied by 0,85.


Circular Columns

Deformation Capacity of Circular Columns

In the case of circular column sections, the equations mentioned in Rectangular Beams and Columns cannot be employed for the calculation of the elements’ chord rotation capacity. In SeismoBuild the equations suggested by D. Biskinis and M. N. Fardis [2013] are employed for θy and θu, as described here.


Jacketed Members NTC-18

Deformation Capacity of the Jacketed Members (NTC-18)

The value for the chord rotation capacity of the jacketed members that is adopted in the capacity verifications depends on the corresponding values calculated under the requirements of section C8.7.2.3.2 of the commentary of NTC-18, adapted according to the following equations of section C87.4.2.1 of the commentary of NTC-18:

The yield moment:

The chord rotation at yield:

The ultimate chord rotation:


Members with FRP Wrapping NTC-18

Deformation Capacity of Members with FRP Wrapping (NTC-18)

The contribution of the FRP wrapping to the members’ capacity is taken into account according to Annex A of EN1998-3:2005, as described below:

The effect of FRP wrapping on the members' flexural resistance at yielding, computed in accordance with equations C8.7.4.2.3 of the commentary of NTC-18, is neglected.

The total chord rotation capacity for the members of rectangular sections with corners rounded is calculated through expression 8.7.2.1 of the commentary of NTC-18, with the exponent of the term due to confinement increased by αρfff,e, where α is the confinement effectiveness factor, ρf the FRP ratio parallel to the loading direction and ff,e the effectiveness stress given from the (A.35) equation of EC8: Part 3.


Shear Capacity (NTC-18)

Shear capacity is calculated through the expressions defined in section 4.1.2.3.5 of NTC-18 and section C.8.7.2.3.5 of the commentary of NTC-18, depending on the value of the ductility demand.

For values of ductility demand less than 1
In cases where the value of the ductility demand is less than 1 the shear capacity is calculated from equation 4.1.23 of NTC-18, which corresponds to the elements without taking into consideration the transverse reinforcement:

For values of ductility demand between 1 and 2
When the value of the ductility demand is between 1 and 2, then the shear capacity is equal to the maximum value obtained from the equations 4.1.29 of NTC-18 and 8.7.2.8 of the commentary of NTC-18.

The equations 4.1.29 of NTC-18 corresponds to the shear capacity of the elements taking into consideration the transverse reinforcement.

where VRsd is the shear strength that corresponds to the contribution of the shear reinforcement and is calculated according to the equation below:

and VRcd is the shear strength that corresponds to the confined concrete core and is calculated according to the following equation:

The equation 8.7.2.8 of the commentary of NTC-18 corresponds to the shear capacity as controlled by the stirrups, accounting for the reduction due to the plastic part of ductility demand.

where γel is equal to 1,15 for primary seismic elements and to 1,0 for secondary ones, the other variables are calculated as defined in section C.8.7.2.3.5 of the commentary of NTC-18.

For values of ductility demand greater than 3
If the value of the ductility demand is greater than 3, the shear capacity is calculated from equation 8.7.2.8 of the commentary of NTC-18.

Finally, linear interpolation should be executed for values of ductility demand between 2 and 3.

Concrete Jacketing
The value for the shear capacity of the jacketed members that is adopted in the capacity verifications depend on the corresponding value calculated under the assumptions of section C8.7.4.2.1 of the commentary of NTC-18, according to the following equation:

FRP Wrapping
The cyclic resistance VR, may be calculated from the section 4.1 of NTC-18 adding in Vw the contribution of the FRP jacket to the shear resistance. The contribution of the fully wrapped FRP jacket to Vw is computed according to 4.19 equation of CNR-DT 200 R1/2013 in the following form:


Joints Diagonal Tension-NTC-18

Joints Diagonal Tension (NTC-18)

According to C8.7.2.3.5 of the commentary of NTC-18 the diagonal tensile stress that can be induced in the joint may be calculated from the following expression:


Joints Diagonal Compression-NTC-18

Joints Diagonal Compression (NTC-18)

The diagonal compression induced in the joint by the diagonal strut mechanism shall not exceed the compressive strength of concrete in the presence of transverse tensile strains. NTC-18 indicates the following expression for the calculation of the joints’ diagonal compression capacity:

For the definition of the quantities in the expression above you may refer to section C8.7.2.3.5 of the commentary of NTC-18.


Interstorey Drifts-NTC-18

Interstorey Drifts (NTC-18)

According to section 7.3.6.1 of NTC-18, for the cases of the limit states of operational level (SLO) and damage limitation (SLD) the damage caused from the seismic action should be limited to non-structural elements and should be assured that no structural damage will be caused that would make the structure temporarily unusable.

This target is achieved when the values of interstorey drift are below the limits indicated in the following table:


Target Displacement-NTC-18

Target Displacement (NTC-18)

The target displacement is defined as the seismic demand derived from the elastic response spectrum in terms of displacement of an equivalent single-degree-of-freedom system. To define the target displacement of a MDOF system a number of steps have to be followed according to C7.3.4.2 of NTC-18.


NTC-08

Italian National Seismic Code - NTC-08

Current practice in Italy in structural assessment is regulated by the Italian National Seismic Code – NTC-08. The parameters used for the structural assessment according to NTC-08 are the following:

  • Limit States

  • Knowledge Level

  • Confidence Factor

  • Safety Factors

  • Capacity Checks


Limit States-NTC-08

Limit States (NTC-08)

According to NTC-08, performance requirements refer to the state of damage in the structure defined through four limit states, namely Operational Level (SLC), Damage Limitation (SLD), Life Safety (SLV) and Collapse Prevention (SLC).

Limit State of Collapse Prevention (SLC)
The limit state of Collapse Prevention (SLC) may be selected, according to NTC-08, where the structure, after the earthquake, undergoes serious cracks and collapses of the non-structural components and equipment and very serious damage of structural components. The building still retains a significant stiffness and resistance against vertical loads and a small safety margin against collapse from horizontal actions. The appropriate level of protection is achieved by choosing a seismic action with a return period of 975 years corresponding to a probability of exceedance of 5% in 50 years.

Limit State of Life Safety (SLV)
The limit state of Life Safety (SLV) may be selected, according to NTC-08, where the building after the earthquake undergoes cracks and collapses of the non-structural components and equipment and significant damage to structural components associated with a significant loss of stiffness against horizontal actions; the construction preserves part of the strength and stiffness for vertical actions and a safety margin against collapse for horizontal seismic actions. The appropriate level of protection is achieved by choosing a seismic action with a return period of 475 years corresponding to a probability of exceedance of 10% in 50 years.

Limit State of Damage Limitation (SLD)
The limit state of Damage Level (SLD) may be selected, according to NTC-08, where the building after the earthquake as a whole, including the structural and non-structural elements, as well as the equipment relevant to its function, has damage that does not compromise significantly the ability of resistance and rigidity against vertical and horizontal actions. The structure remains immediately usable despite the interruption of use of part of the equipment. The appropriate level of protection is achieved by choosing a seismic action with a return period of 50 years corresponding to a probability of exceedance of 63% in 50 years.

Limit State of Operational Level (SLO)
The limit state of Operational Level (SLO) may be selected, according to NTC-08, where the building as a whole, including the structural and non-structural components, as well as the equipment relevant to its function, should not be damaged or interrupted its function after the earthquake. The appropriate level of protection is achieved by choosing a seismic action with a return period of 30 years corresponding to a probability of exceedance of 81% in 50 years.


Knowledge Level-NTC-08

Knowledge Level (NTC-08)

In order to choose the admissible type of analysis and the appropriate confidence factor values, the following three knowledge levels are defined:

KL1: Limited Knowledge
The limited knowledge level corresponds to a state of knowledge where the overall structural geometry and member sizes are known from survey or from original outline construction drawings used for both the original construction and any subsequent modifications, as well as a sufficient sample of dimensions of both overall geometry and member sizes checked on site. In case of significant discrepancies from the outline construction drawings a fuller dimensional survey is performed. The structural details are not known from detailed construction drawings and are assumed based on simulated design in accordance with usual practice at the time of construction. Limited inspections performed in the most critical elements should prove that the assumptions correspond to the actual situation. Information on the mechanical properties of the construction materials isn’t available so default values are assumed in accordance with standards at the time of construction accompanied by limited in-situ testing in the most critical elements.

Structural evaluation based on this state of knowledge is performed through linear analysis methods, either static or dynamic.

KL2: Adequate Knowledge
The normal knowledge level corresponds to a state of knowledge where the overall structural geometry and member sizes are known from extended survey or from outline construction drawings used for both the original construction and any subsequent modifications, as well as a sufficient sample of dimensions of both overall geometry and member sizes. The structural details are known from an extended in-situ inspection or from incomplete detailed construction drawings in combination with limited in-situ inspections in the most critical elements, which confirms that the available information corresponds to the actual situation. Information on the mechanical properties of the construction materials is available from extended in-situ testing or from original design specifications and limited in-situ testing.

Structural evaluation based on this state of knowledge is performed through linear or nonlinear analysis methods, either static or dynamic.

KL3: Accurate Knowledge
The full knowledge level corresponds to a state of knowledge where the overall structural geometry and member sizes are known from a comprehensive survey or from the complete set of outline construction drawings used for both the original construction and subsequent modifications, as well as a sufficient sample of both overall geometry and member sizes checked on site. The structural details are known from comprehensive in-situ inspection or from a complete set of detailed construction drawings in combination with limited in-situ inspections in the most critical elements, which prove that the available information corresponds to the actual situation. Information on the mechanical properties of the construction materials is available from comprehensive in-situ testing or from original test reports and limited in-situ testing.

Structural evaluation based on this state of knowledge is performed through linear or nonlinear analysis methods, either static or dynamic.


Confidence Factor-NTC-08

Confidence Factor (NTC-08)

In the following table of section C8A.1.B.3 of the commentary of NTC-08 a summary and recommendations for the confidence factors and the analysis methods are provided for each knowledge level.


Safety Factors-NTC-08

Safety Factors (NTC-08)

The recommended values for the safety and partial factors, as defined in NTC-08, are introduced in the Safety Factors module. Users may edit and change the default values.


Capacity Checks-NTC-08

Capacity Checks (NTC-08)

All the member checks (chord rotation capacity and shear capacity) should be carried out for all the elements of every floor, according to section 4.1.2.1.3 of NTC-08, and sections C8.7.2.5 and C8A.6.1 of the commentary, considering the members as primary or secondary (section 7.2.3 of NTC-08) seismic elements. Moreover, beam-column joints checks may be employed in order to check (i) the joint’s diagonal tension and (ii) the joint’s diagonal compression. Finally, interstorey drift checks may be carried out, when needed, for the vertical elements of every floor, according to section 7.3.7.2 of NTC-08.

In SeismoBuild the capacity checks available are the following:

  • Deformation Capacity

  • Shear Capacity

  • Joints Diagonal Tension

  • Joints Diagonal Compression

  • Interstorey Drifts


Deformation Capacity-NTC-08

Deformation Capacity (NTC-08)

The deformation capacity of beams, columns and walls is defined in terms of the chord rotation θ, that is the angle between the tangent to the axis at the yielding end and the chord connecting that end with the end of the shear span (LV=M/V=moment/shear at the end section). The chord rotation is also equal to the element drift ratio, which is the deflection at the end of the shear span with respect to the tangent to the axis at the yielding end divided by the shear span.

Deformation capacity of beams and columns is highly influenced by the lack of appropriate seismic resistant detailing in longitudinal reinforcement, as well as by the bars type, that is whether there are smooth bars. Inadequate development of splicing along the span (beams) and height (columns); and inadequate embedment into beam-column joints can control the members response to seismic action, drastically limiting its capacity with respect to the situation in which the reinforcement is considered fully effective. The above limitations to the deformation capacity are taken into consideration.

The values for the deformation capacity are calculated from different expressions depending on the section type:

  • Beams, Columns and Walls

  • Circular Columns

  • Jacketed Members

  • Members with FRP Wrapping


Beams, Columns and Walls

Deformation Capacity of Beams, Columns and Walls (NTC-08)

The value for the chord rotation capacity of rectangular beams and columns is calculated through different expressions, depending on the state of damage in the structure.

Limit State of Collapse Prevention (SLC)
The value for the chord rotation capacity for the limit state of collapse prevention (SLC) is the value of the total chord rotation capacity at ultimate of concrete members under cyclic loading, which is calculated from the following expression:

For beams and columns:

Where γel is equal to 1,5 for primary seismic elements and to 1,0 for secondary seismic ones; LV is the ratio between bending moment, M, and shear force, V. The remaining relevant parameters are defined in section C8A.6.1 of the commentary of NTC-08.

For the wall elements the value given in the expression above must be divided by 1.6.

Limit State of Life Safety (SLV)
The chord rotation capacity corresponding to the limit state of life safety (SLV) is assumed to be 3/4 of the ultimate chord rotation, calculated from the equation above.

Limit State of Damage Limitation (SLD)-Limit State of Operational Level (SLO)
The capacity that corresponds to the limit states of operational level (SLO) and of damage limitation (SLD) is given by the chord rotation at yielding, evaluated as:

For beams and columns:

For walls:

Where γel is equal to 1,5 for primary seismic elements and to 1,0 for secondary seismic ones; LV is the ratio between bending moment, M, and shear force, V. The remaining relevant parameters are defined in section C8.7.2.5 of the commentary of NTC-08.

The yield curvature of the end section is calculated according to the following expressions, and it is the lower of the two values below: (a) for the case that the section's yielding is due to steel yielding and (b) for the case that the section yields due to the deformation non-linearities of the concrete in compression.

(a)

(b)

According to section C8A.6.1 of the commentary of NTC-08 the chord rotation capacity is highly influenced by a number of different factors such as the type of the longitudinal bars. If smooth (plain) longitudinal bars are applied, the ultimate chord rotation should be multiplied by the factor calculated from equation C8A.6.4 of the commentary of NTC-08, taking, also, into consideration whether the longitudinal bars are well lapped or not by employing the factor of C8A.6.3. In case of members with lack of appropriate seismic resistant detailing the ultimate chord rotation capacity is multiplied by 0,85.


Jacketed Members NTC

Deformation Capacity of the Jacketed Members (NTC-08)

The value for the chord rotation capacity of the jacketed members that is adopted in the capacity verifications depends on the corresponding values calculated under the requirements of sections C8A.6 and C8.7.2.5 of the commentary of NTC-08, adapted according to the following equations of section C8A.7 of the commentary of NTC-08:

The yield moment:

The chord rotation at yield:

The ultimate chord rotation:


Members with FRP Wrapping NTC

Deformation Capacity of Members with FRP Wrapping (NTC-08)

The contribution of the FRP wrapping to the members’ capacity is taken into account according to Annex A of EN1998-3:2005, as described below:

The effect of FRP wrapping on the members' flexural resistance at yielding, computed in accordance with equations 8.7.2.1 of the commentary of NTC-08, is neglected.

The total chord rotation capacity for the members of rectangular sections with corners rounded is calculated through expression (C8A.6.1) of the commentary of NTC-08, with the exponent of the term due to confinement increased by αρfff,e, where α is the confinement effectiveness factor, ρf the FRP ratio parallel to the loading direction and ff,e the effectiveness stress given from the (A.35) equation of EC8: Part 3.


Shear Capacity-NTC-08

Shear Capacity (NTC-08)

Shear capacity is calculated through the following expression according to section 4.1.2.1.3 of NTC-08.

VRd is the shear resistance that corresponds to the elements without taking into consideration the transverse reinforcement:

VRsd is the shear strength that corresponds to the contribution of the shear reinforcement and is calculated according to the equation below:

Finally, VRcd is the shear strength that corresponds to the confined concrete core and is calculated according to the following equation:

Concrete Jacketing
The value for the shear capacity of the jacketed members that is adopted in the capacity verifications depend on the corresponding value calculated under the assumptions of section C8A.7.1 of the commentary of NTC-08, according to the following equation:

FRP Wrapping
The cyclic resistance VR, may be calculated from the section 4.1 of NTC-08 adding in Vw the contribution of the FRP jacket to the shear resistance. The contribution of the fully wrapped FRP jacket to Vw is computed according to 4.19 equation of CNR-DT 200 R1/2013 in the following form:


Joints Diagonal Tension-NTC-08

Joints Diagonal Tension (NTC-08)

According to C8.7.2.5 of the commentary of NTC-08 the diagonal tensile stress that can be induced in the joint may be calculated from the following expression:


Joints Diagonal Compression-NTC-08

Joints Diagonal Compression (NTC-08)

The diagonal compression induced in the joint by the diagonal strut mechanism shall not exceed the compressive strength of concrete in the presence of transverse tensile strains. NTC-08 indicates the following expression for the calculation of the joints’ diagonal compression capacity:

For the definition of the quantities in the expression above you may refer to section C8.7.2.5 of the commentary of NTC-08.


Interstorey Drifts-NTC-08

Interstorey Drifts (NTC-08)

According to section 7.3.7.2 of NTC-08, for the cases of the limit states of operational level (SLO) and damage limitation (SLD) the damage caused from the seismic action should be limited to non-structural elements and should be assured that no structural damage will be caused that would make the structure temporarily unusable.

This target is achieved when the values of interstorey drift are below the limits indicated in the following table:


Target Displacement-NTC-08

Target Displacement (NTC-08)

The target displacement is defined as the seismic demand derived from the elastic response spectrum in terms of displacement of an equivalent single-degree-of-freedom system. To define the target displacement of a MDOF system a number of steps have to be followed according to C7.3.4.1 of NTC-08.


Greek Seismic Design Code

Greek Seismic Interventions Code- KANEPE

Current practice in Greece is regulated by the KANEPE: Code for structural interventions in combination with EAK 2000: Code for seismic resistant structures. Eurocode 8: Design of Structures for Earthquake Resistance – Part 1: General rules, seismic action and rules for buildings (CEN, 2005a) and Part 3: Assessment and Retrofitting of Buildings (CEN, 2005b) may be also applied. The parameters used for the structural assessment according to KANEPE are the following:

  • Performance Objectives

  • Data Reliability Level

  • Safety Factors

  • Target Displacement Parameters

  • Capacity Checks


Performance Objectives

Performance Objectives (KANEPE)

According to KANEPE section 2.2, the objectives of the assessment or redesign (Table 2.1) consist of combinations of both a performance level and a seismic action, given an "acceptable probability of exceedance within the life cycle of the building" (design earthquake), as shown in Table 2.1 of KANEPE below.

The target building performance levels refer to the state of damage in the structure defined through three limit states, namely Immediate Occupancy (A), Life Safety (B) and Collapse Prevention (C).

Performance Level of Immediate Occupancy (A)
The Immediate Occupancy after the earthquake (A), according to KANEPE, is a condition in which it is expected that no building operation is interrupted during and after the design earthquake, with the possible exception of minor importance functions. A few hairline crack may occur in the structure.

Performance Level of Life Safety (B)
The Life Safety (B), according to KANEPE, is a condition in which repairable damage to the structure is expected to occur during the design earthquake, without causing loss or serious injury of people and without substantial damage to personal property or materials that are stored in the building.

Performance Level of Collapse Prevention (C)
The Collapse Prevention (C), according to KANEPE, is a condition in which extensive and serious or severe (non-repairable, in general) damage to the structure is expected during the design earthquake; however, the structure retains its ability to bear the prescribed vertical loads (during and for a period after the earthquake), in any case without other substantial safety factor against total or partial collapse.

Guidelines on which Performance Objectives should be checked may be found in KANEPE.


Data Reliability Level

Data Reliability Level (KANEPE)

In order to choose the admissible type of analysis and the appropriate confidence factor values, the following three data reliability levels (DLR) are defined:

Tolerable DRL
The tolerable data reliability level corresponds to a state of knowledge where the overall structural geometry and member sizes are known from survey or from original outline construction drawings used for both the original construction and any subsequent modifications, as well as a sufficient sample of dimensions of both overall geometry and member sizes checked on site. In case of significant discrepancies from the outline construction drawings a fuller dimensional survey is performed. The structural details are not known from detailed construction drawings and are assumed based on simulated design in accordance with usual practice at the time of construction. Limited inspections performed in the most critical elements should prove that the assumptions correspond to the actual situation. Information on the mechanical properties of the construction materials isn’t available so default values are assumed in accordance with standards at the time of construction accompanied by limited in-situ testing in the most critical elements.

Structural evaluation based on this state of knowledge is performed through linear analysis methods, either static or dynamic.

Sufficient DRL
The sufficient data reliability level corresponds to a state of knowledge where the overall structural geometry and member sizes are known from extended survey or from outline construction drawings used for both the original construction and any subsequent modifications, as well as a sufficient sample of dimensions of both overall geometry and member sizes. The structural details are known from an extended in-situ inspection or from incomplete detailed construction drawings in combination with limited in-situ inspections in the most critical elements, which confirms that the available information corresponds to the actual situation. Information on the mechanical properties of the construction materials is available from extended in-situ testing or from original design specifications and limited in-situ testing.

Structural evaluation based on this state of knowledge is performed through linear or nonlinear analysis methods, either static or dynamic.

High DRL
The high reliability level corresponds to a state of knowledge where the overall structural geometry and member sizes are known from a comprehensive survey or from the complete set of outline construction drawings used for both the original construction and subsequent modifications, as well as a sufficient sample of both overall geometry and member sizes checked on site. The structural details are known from comprehensive in-situ inspection or from a complete set of detailed construction drawings in combination with limited in-situ inspections in the most critical elements, which prove that the available information corresponds to the actual situation. Information on the mechanical properties of the construction materials is available from comprehensive in-situ testing or from original test reports and limited in-situ testing.

Structural evaluation based on this state of knowledge is performed through linear or nonlinear analysis methods, either static or dynamic.


Safety Factors-KANEPE

Safety Factors (KANEPE)

The recommended values for the safety and partial factors corresponding to the achieved data reliability level, as defined in section 4.5 of KANEPE, are introduced in the Safety Factors module. Users may edit and change the default values.


Capacity Checks

Capacity Checks (KANEPE)

All the member checks (chord rotation capacity and shear capacity) should be carried out for all the elements of every floor, according to sections 7.2.2, 7.2.4 and Appendix 7C of KANEPE, considering the members as primary or secondary seismic elements, designated in accordance with the definitions of section 2.4.3.4 of KANEPE. Moreover, beam-column joints checks may be employed in order to check (i) the joint’s diagonal tension and (ii) the joint’s diagonal compression.

In SeismoBuild the capacity checks available are the following:

  • Deformation Capacity

  • Shear Capacity

  • Joints Diagonal Tension

  • Joints Diagonal Compression


Deformation Capacity-KANEPE

Deformation Capacity (KANEPE)

The deformation capacity of beams, columns and walls is defined in terms of the chord rotation θ, that is the angle between the tangent to the axis at the yielding end and the chord connecting that end with the end of the shear span (Ls=M/V=moment/shear at the end section). The chord rotation is also equal to the element drift ratio, which is the deflection at the end of the shear span with respect to the tangent to the axis at the yielding end divided by the shear span.

Deformation capacity of beams and columns is highly influenced by the lack of appropriate seismic resistant detailing in longitudinal reinforcement, as well as whether there are smooth bars and the accessibility of area of intervention. Inadequate development of splicing along the span (beams) and height (columns); and inadequate embedment into beam-column joints can control the members' response to seismic action, drastically limiting its capacity with respect to the situation in which the reinforcement is considered fully effective. The above limitations to the deformation capacity are taken into consideration.

The values for the deformation capacity are calculated from different expressions depending on the section type:

  • Beams, Columns and Walls

  • Circular Columns

  • Jacketed Members

  • Members with FRP Wrapping


Beams, Columns and Walls

Deformation Capacity of Beams, Columns and Walls (KANEPE)

TThe value for the chord rotation capacity of rectangular beams and columns is calculated through different expressions, depending on the state of damage in the structure.

Performance level of Immediate Occupancy (A)
The value for the chord rotation capacity for the performance level of immediate occupancy (A) is the value of the chord rotation capacity at flexural yield, θy, which is calculated from the equations (S.2a) and (S.2b) of KANEPE:

  • For beams and columns:

  • For walls:

Where Ls is the ratio between bending moment, M, and shear force, V; and αV is equal to 1,0 if the value of the shear force VR1, which causes diagonal cracking of the element, is less than the value of the shear force during flexural yielding VMu=My/Ls, or 0 otherwise.

Performance level of Life Safety (B)
The value for the chord rotation capacity for the performance level of life safety (B) is calculated from the following equation, according to section 9.3.1 of KANEPE.

Where θy is calculated according to (S.2a) and (S.2b) equations and θumaccording to (S.11a) and (S.11b) equations of KANEPE.

Performance level of Collapse Prevention (C)
The value for the chord rotation capacity for the performance level of collapse prevention (C) is the mean value of the chord rotation capacity at failure, which is calculated according to equation S.11a of KANEPE, from the following expressions:

  • For beams and column designed and constructed based on post-1985 provisions on seismic design, from:

  • For walls with rectangular section designed and constructed based on post-1985 provisions on seismic design, taking into consideration the paragraph ii) of the commentary of section 7.2.4.1b, from:

The total chord rotation capacity at ultimate of concrete members under cyclic loading may be also calculated as the sum of the chord rotation at yielding and the plastic part of the chord rotation capacity calculated from the following expression:

  • For beam and columns designed and constructed based on post-1985 provisions on seismic design, from:

  • For walls with rectangular section designed and constructed based on post-1985 provisions on seismic design, taking into consideration the paragraph ii) of the commentary of section 7.2.4.1b, from:

For elements with deformed bars designed and constructed according the pre-1985 rules applying in Greece, the values calculated based on equations S.11a and S.11b above need to be divided by 1.2.

The yield curvature of the end section is calculated according to the following equation (Appendix 7A of KANEPE), and it is the lower of the two values below: (a) for the case that the section's yielding is due to steel yielding and (b) for the case that the section yields due to the deformation non-linearities of the concrete in compression.

According to section 7.2.4 of KANEPE the chord rotation capacity is highly influenced by several factors such as the year of construction. If the structure has been constructed with the Codes before 1985 then the mean values of chord rotation capacity and the plastic part of the mean chord rotation are divided by 1.2. Moreover, if the deformed longitudinal bars have straight ends lapped starting at the end section of the member, the plastic part of chord rotation is calculated with the value of the compression reinforcement ratio, ω’, doubled over the value applying outside the lap splice. In addition, in sections where the reinforcement lap length lb is less than the minimum lap length for ultimate deformation lbu,min, the plastic part of the chord rotation capacity is multiplied by the ratio lb/lbu,min (information about the calculation of lbu,min can be found in section 7.2.4 of KANEPE, while the value for chord rotation at yielding, θy accounts for the effect of the lapping in accordance with section 7.2.2 of KANEPE). Finally, if smooth (plain) longitudinal bars are applied, the values obtained for ribbed bars are multiplied with a factor equal to 95% and in case of having elements base sections in the beginning of which a lap splice with length lb equal to at least 15db,then the mean value of the chord rotation at failure is multiplied by a factor available in section 7.2.4 of KANEPE.


Jacketed Members KANEPE

Deformation Capacity of the Jacketed Members (KANEPE)

The value for the chord rotation capacity of the jacketed members that is adopted in the capacity verifications depend on the corresponding values calculated under the requirements of section 8.2.1 of KANEPE, adapted according to the following equations of section 8.2.1.5(η) of KANEPE:

The yield moment:

The chord rotation at yield:

The ultimate chord rotation:


Members with FRP Wrapping KANEPE

Deformation Capacity of Members with FRP Wrapping (KANEPE)

The contribution of the FRP wrapping to the members’ capacity is taken into account according to Annex A of EN1998-3:2005, as described below:

The effect of FRP wrapping on the members' flexural resistance at yielding, computed in accordance with section 7.2.2, is neglected.

The total chord rotation capacity and its plastic part for the members of rectangular sections with corners rounded is calculated through the expressions (S.11a) and (S.11b), respectively, with the exponent of the term due to confinement increased by αρfff,e, where α is the confinement effectiveness factor, ρf the FRP ratio parallel to the loading direction and ff,ethe effectiveness stress given from the (A.35) equation of EC8: Part 3.


Shear Capacity-KANEPE

Shear Capacity (KANEPE)

Shear capacity is calculated through the following expression according to Annex 7C of KANEPE, as controlled by the stirrups, accounting also for the reduction due to the plastic part of ductility demand.

Notes

  1. The shear strength of a shear wall may not be taken greater than the value corresponding to failure by web crushing, VR,max, which under cyclic loading is calculated according to Annex 7C of KANEPE. from the following expression:

  2. The shear strength, VR, of columns with shear ratio αs≤2.0 may not be taken greater than the value corresponding to failure by web crushing along the diagonal of the column after flexural yielding, VR,max, which under cyclic loading is calculated according to Annex 7C of KANEPE from the following expression:

Where δ is the angle between the diagonal and the axis of the column (tanδ=h/2Ls=0.5/αs).

  3. The possibility of sliding at the base or at any part of the section where the longitudinal reinforcement might yield should be examined in walls. The sliding resistance should not be checked in walls that shear failure happens before flexural yielding. The sliding resistance may be calculated from the following equation of Appendix 7C of KANEPE:

with

where ξ is calculated according to equations C.10-C13 of Appendix 7C of KANEPE, and

Users are advised to refer to the relevant publication for the definition of the parameters and further details on the above expressions.

Alternatively, the sliding resistance may be calculated from the following equation of Appendix 7C of KANEPE:

with

and

Concrete Jacketing
The value for the shear capacity, VR*, of the jacketed members that is adopted in the capacity verifications depend on the corresponding value calculated under the requirements of section 8.2.1 of KANEPE, according to the following equation of section 8.2.1.5(η) of KANEPE:

FRP Wrapping
The cyclic resistance VR, may be calculated from expression (C.1) of KANEPE adding in Vw the contribution of the FRP jacket to the shear resistance. The contribution of the FRP jacket Vjd is computed through the following expression:


Joints Diagonal Tension-KANEPE

Joints Diagonal Tension (KANEPE)

According to section 7.2.5 of KANEPE, diagonal tension cracking of the core of joints reinforced with horizontal stirrups occurs when the principle tensile stress, i.e. the combination of (i) the mean shear stress τj, (ii) the mean vertical normal compressive stress in the joint, σc=νtopfc, and (iii) the mean horizontal compressive stress that develops in the core of the joint as a result of the confinement provided by the horizontal stirrups, exceeds the tensile strength of concrete, fct, i.e.:

where ρjh = Ash/bjhjb i.e. the total cross section Ash of the horizontal stirrup legs parallel to the vertical plane of the stress τj, normalised to the area of the vertical cross section of the joint, bjzb. For more information you may refer to section 7.2.5 of KANEPE.


Joints Diagonal Compression-KANEPE

Joints Diagonal Compression (KANEPE)

According to section 7.2.5 of KANEPE, failure of the core due to diagonal compression occurs if the principle compressive stress exceeds the compressive stress (as reduced by possible transverse tensile deformations) of the concrete. If the mean shear stress in the joint, τj, exceeds the value of τc given by Eq. (4), then it may be assumed that failure of the joint due to diagonal compression occurs when the value of τj exceeds the value:

Where n=0.6(1-fc(MPa)/250) the reduction factor of the uniaxial compressive strength due to transverse tensile deformations. If, on the other hand, τj is less than τc given by expression (4), then it may be assumed that failure of the joint due to diagonal compression occurs when τj exceeds the value derived from expression (5) for n=1.


Target Displacement-KANEPE

Target Displacement (KANEPE)

The target displacement is defined as the seismic demand derived from the elastic response spectrum in terms of displacement of an equivalent single-degree-of-freedom system. To define the target displacement of a MDOF system a number of steps have to be followed according to section 5.7.4.2 of KANEPE.


TBDY

Turkish Seismic Evaluation Building Code - TBDY

Current practice in Turkey is regulated by the TBDY: Turkish Seismic Building Regulations in combination with TS500: Requirements for Design and Construction of Reinforced Concrete structures. The parameters used for the structural assessment according to TBDY are the following:

  • Performance Requirements

  • Knowledge Level

  • Knowledge Factors

  • Safety Factors

  • Capacity Checks


Performance Requirements-TBDY

Performance Requirements (TBDY)

According to TBDY sections 2.2, 3.4 and 3.5, the objectives of the assessment or redesign consist of combinations of both a performance level and a seismic action, given an "acceptable probability of exceedance within the life cycle of the building" (design earthquake), as shown in the table below.

The target building performance levels refer to the state of damage in the structure defined through four limit states, namely Continuous Use (KK), Immediate Occupancy (HK), Life Safety (CG) and Collapse Prevention (BP).

Performance Level of Continuous Use (KK)
The Continuous Use after the earthquake (KK), according to TBDY, is a condition in which it is expected that damage is insignificant and structure does not need any repair measures. Structural elements are prevented from significant yielding and retaining their strength and stiffness properties. Non-structural components, such as partitions and infills should not be damaged.

Performance Level of Immediate Occupancy (HK)
The Immediate Occupancy (HK), according to TBDY, is a condition in which it is expected that no building operation is interrupted during and after the design earthquake, with the possible exception of minor importance functions. A few hairline cracks may occur in the structure.

Performance Level of Life Safety (CG)
The Life Safety (CG), according to TBDY, is a condition in which repairable damage to the structure is expected to occur during the design earthquake, without causing loss or serious injury of people and without substantial damage to personal property or materials that are stored in the building.

Performance Level of Collapse Prevention (BP)
The Collapse Prevention (BP), according to TBDY, is a condition in which extensive and serious or severe (non-repairable, in general) damage to the structure is expected during the design earthquake; however, the structure retains its ability to bear the prescribed vertical loads (during and for a period after the earthquake), but without other substantial safety factor against total or partial collapse.

The criteria for the selection of the Performance Objectives may be found in TBDY.


Knowledge Level-TBDY

Knowledge Level (TBDY)

In order to choose the admissible type of analysis and the appropriate confidence factor values, the following three knowledge levels are defined:

Limited Knowledge
The limited knowledge level corresponds to a state of knowledge where information is obtained from design drawings with sufficient information to analyse component demands and calculate component capacities. The design drawings show the configuration of the gravity load system and seismic-force-resisting system with sufficient details. Information is verified by a visual condition assessment. In the absence of sufficient information from design drawings, incomplete or nonexistent information is supplemented by a comprehensive condition assessment, including destructive and non-destructive investigation.

Comprehensive Knowledge
The comprehensive knowledge level corresponds to a state of knowledge where information is obtained from construction documents including design drawings, specifications, material tests records, and quality assurance reports covering original construction and subsequent modifications to the structure. Information is verified by a visual condition assessment. In cases where construction documents are incomplete, missing information is supplemented by comprehensive condition assessment, including destructive and non-destructive investigation. In the absence of material test records and quality assurance reports, material properties are determined by comprehensive materials testing in accordance to TBDY, Chapter 15.


Knowledge Factors-TBDY

Knowledge Factor (TBDY)

In the following table of section 15.2.12 of TBDY the confidence factors for each knowledge level are shown.


Safety Factors-TBDY

Safety Factors (TBDY)

In TBDY the safety factors are directly incorporated in the member’s strengths and deformation limits, and should not be defined.


Capacity Checks

Capacity Checks (TBDY)

All the member checks (chord rotation capacity and shear capacity) should be carried out for all the elements of every floor, according to sections 5 and Appendix 15 of TBDY. Moreover, beam-column joints checks can be employed in order to check the joint’s shear forces .

In SeismoBuild the capacity checks available are the following:

  • Chord Rotation Capacity

  • Strains Capacity

  • Shear Capacity

  • Joints Shear Forces


Chord Rotation Capacity-TBDY

Chord Rotation Capacity (TBDY)

The chord rotation capacity of beams, columns and walls, θ, that is the angle between the tangent to the axis at the yielding end and the chord connecting that end with the end of the shear span (LV=M/V=moment/shear at the end section). The chord rotation is also equal to the element drift ratio, which is the deflection at the end of the shear span with respect to the tangent to the axis at the yielding end divided by the shear span.

Chord rotation capacity of beams, columns and walls is highly influenced by the lack of appropriate seismic resistant detailing in longitudinal reinforcement, as well as whether there are smooth bars. Inadequate development of splicing along the span (beams) and height (columns), and inadequate embedment into beam-column joints can control the members’ response to seismic action, drastically limiting its capacity in respect to the situation in which the reinforcement is considered fully effective. The above limitations to the deformation capacity are taken into consideration.

The values for the deformation capacity are calculated from different expressions depending on the section type:

  • Beams, Columns and Walls

  • Jacketed Members

  • Members with FRP Wrapping


Beams, Columns and Walls

Deformation Capacity of Beams, Columns and Walls (TBDY)

The value for the chord rotation capacity of rectangular beams, columns and walls is calculated through different expressions, depending on the state of damage in the structure.

Performance levels of Continuous Use (KK) and Immediate Occupancy (HK)
The value for the chord rotation capacity for the performance levels of continuous use (KK) and immediate occupancy (HK) is the value of the chord rotation capacity at flexural yield, θy, which is calculated from the equations 5.3 and 5.8b of TBDY :

Where Lsis the ratio between bending moment, M, and shear force, V; and ηis equal to 1,0 for beams and columns and 0,5 for walls.

Performance Level of Life Safety (CG)
The value for the chord rotation capacity for the performance level of life safety (CG) is calculated from the following equation

Where θy is calculated according to (5.3) equation and θp(CG) according to (5.7b) equation of TBDY:

The value θp(GO) is calculated from the following equation:

Performance Level of Collapse Prevention (BP)
The value for the chord rotation capacity for the performance level of collapse prevention (BP) is the value of the chord rotation capacity at failure, which is calculated as the sum of the chord rotation at yielding and the plastic part of the chord rotation capacity, according to equations 5.3 and 5.6 of TBDY.

The yield curvature of the end section is calculated according to the following expressions, and it is the lower from the two values below: (a) for the case that the section's yielding is due to steel yielding and (b) for the case that the section yields due to the deformation non-linearities of the concrete in compression.

(a)

(b)

The equations proposed by D. Biskinis [2007] are employed for the calculation of the ultimate curvature at the end section. If the failure is due to steel rupture, then the ultimate curvature is calculated according to the following expression:

If the section fails by crushing of the extreme concrete fibres, then the ultimate curvature is calculated according to the following expression:

Users are advised to refer to the relevant publications for the definition of the other parameters and further details on the expression.

In the case of circular column sections, the equations above cannot be employed for the calculation of the elements’ yield and ultimate curvatures. In SeismoBuild the equations suggested by D. Biskinis and M. N. Fardis [2013] are employed for φy and φu.


Jacketed Members

Deformation Capacity of the Jacketed Members

The values for the chord rotation capacity of the jacketed members that are adopted in the capacity verifications depend on the corresponding values calculated under the requirements of section 5 of TBDY, according to the following limitations of section 15.10.1 of TBDY :

The chord rotation at yield:

The ultimate chord rotation:


Members with FRP Wrapping

Deformation Capacity of Members with FRP Wrapping

The contribution of the FRP wrapping to members’ capacity is taken into account in the calculation of the yield and ultimate curvature due to concrete failure.


Strains Capacity

Strains Capacity (TBDY)

The value for the strains capacity of rectangular beams, columns and walls is calculated through different expressions, depending on the state of damage in the structure.

Performance levels of Continuous Use (KK) and Immediate Occupancy (HK)
The value for the strain capacity for the performance levels of continuous use (KK) and immediate occupancy (HK) is defined by the following equation 5.8a of TBDY:

Performance Level of Life Safety (CG)
The value for the strain capacity for the performance level of life safety (CG) is calculated from the following equation:

Performance Level of Collapse Prevention (BP)
The value for the concrete strain capacity for the performance level of collapse prevention, εc(GO), is calculated according to the following equations of TBDY:

For rectangular columns, beams and walls:

For circular columns:

and the value for the steel strain capacity for the performance level of collapse prevention, εs(GO), is calculated according to equation 5.5 of TBDY:

FRP Wrapping
The contribution of the FRP wrapping to members’ strain capacity is taken into account according to section 15B.3 of the Appendix 15B of TBDY.


Shear Capacity-TBDY

Shear Capacity (TBDY)

Shear capacity is calculated through the following expression according to Appendix 15B of TBDY, as controlled by the stirrups, accounting also for the increment due to the FRP wrapping.

where Vc is calculated according to equations 8.1 and 8.4 of TS500:

The contribution of the transverse reinforcement to the shear capacity is calculated according to equation 8.5 of TS00:

The contribution of the FRP jacket to the shear resistance is computed through the following expression:

Note: The shear strength of a member may not be taken greater than the value corresponding to failure by web crushing, Vmax, which is calculated according to the following expression:

Concrete Jacketing
The value for the shear capacity, , of the jacketed members that is adopted in the capacity verifications depend on the corresponding value calculated under the requirements of the Appendix 15B of TBDY, according to the following limitations of section 15.10.1 of TBDY:

FRP Wrapping
The contribution of the FRP jacket to the shear resistance is taken into account according to section 15B.3 of the Appendix 15B of TBDY, as shown above.


Joints Shear Forces-TBDY

Joints Shear Forces (TBDY)

The design shear force of joints is calculated through the following expression according to TBDY:

The value for the design shear force of joints should be less than their shear capacity as shown below. Two different expressions are employed, according to section 7.5 of TBDY, depending on whether the joints are with or without confinement from transverse reinforcement, as defined in figure 7.10 of TBDY.

For joints with confinement from transverse reinforcement:

For joints without confinement from transverse reinforcement:


Target Displacement-TBDY

Target Displacement (TBDY)

The target displacement is defined as the seismic demand derived from the elastic response spectrum in terms of displacement of an equivalent single-degree-of-freedom system. To define the target displacement of a MDOF system a number of steps have to be followed according to Appendix 5B of TBDY.


Theoretical background and modelling assumptions

This chapter serves the purpose of providing users with a brief overview of the theoretical foundations and modelling conventions in SeismoBuild, furnishing also pointers to a number of publications where further and deeper explanations and discussion can be found.

  • Geometric nonlinearity
  • Material inelasticity
  • Nonlinear solution procedure
  • Global and local axes system


Geometric Nonlinearity

Large displacements/rotations and large independent deformations relative to the frame element's chord (also known as P-Delta effects) are taken into account in SeismoBuild, through the employment of a total co-rotational formulation developed and implemented by Correia and Virtuoso [2006].

The implemented total co-rotational formulation is based on an exact description of the kinematic transformations associated with large displacements and three-dimensional rotations of the beam-column member. This leads to the correct definition of the element's independent deformations and forces, as well as to the natural definition of the effects of geometrical non-linearities on the stiffness matrix.

The implementation of this formulation considers, without loosing its generality, small deformations relative to the element's chord, notwithstanding the presence of large nodal displacements and rotations. In the local chord system of the beam-column element, six basic displacement degrees-of-freedom [image] and corresponding element internal forces [image] are defined, as shown in the figure below.


Material Inelasticity

Distributed inelasticity elements are becoming widely employed in earthquake engineering applications, either for research or professional engineering purposes. Whilst their advantages in relation to the simpler lumped-plasticity models, together with a concise description of their historical evolution and discussion of existing limitations, can be found in e.g. Filippou and Fenves [2004] or Fragiadakis and Papadrakakis [2008], here it is simply noted that distributed inelasticity elements do not require (not necessarily straightforward) calibration of empirical response parameters against the response of an actual or ideal frame element under idealized loading conditions, as is instead needed for concentrated-plasticity phenomenological models.

In SeismoBuild, use is made of the so-called fibre approach to represent the cross-section behaviour, where each fibre is associated with a uniaxial stress-strain relationship; the sectional stress-strain state of beam-column elements is then obtained through the integration of the nonlinear uniaxial stress-strain response of the individual fibres (by default 150) in which the section has been subdivided (the discretisation of a typical reinforced concrete cross-section is depicted, as an example, in the figure below).

Such models feature additional assets, which can be summarized as: no requirement of a prior moment-curvature analysis of members; no need to introduce any element hysteretic response (as it is implicitly defined by the material constitutive models); direct modelling of axial load-bending moment interaction (both on strength and stiffness); straightforward representation of biaxial loading, and interaction between flexural strength in orthogonal directions.

Distributed inelasticity frame elements can be implemented with two different finite elements (FE) formulations: the classical displacement-based (DB) ones [e.g. Hellesland and Scordelis 1981; Mari and Scordelis 1984], and the more recent force-based (FB) formulations [e.g. Spacone et al. 1996; Neuenhofer and Filippou 1997].

In a DB approach the displacement field is imposed, whilst in a FB element equilibrium is strictly satisfied and no restraints are placed to the development of inelastic deformations throughout the member; see e.g. Alemdar and White [2005] and Freitas et al. [1999] for further discussion. In the DB case, displacement shape functions are used, corresponding for instance to a linear variation of curvature along the element.

In contrast, in a FB approach, a linear moment variation is imposed, i.e. the dual of previously referred linear variation of curvature. In the case of material inelasticity, imposing a displacement field does not enable to capture the real deformed shape since the curvature field can be, in a general case, highly nonlinear. For linear elastic material behaviour, the two approaches obviously produce the same results, provided that only nodal forces act on the element. On the contrary, in case of material inelasticity, imposing a displacement field does not enable to capture the real deformed shape since the curvature field can be, in a general case, highly nonlinear. In this situation, with a DB formulation a refined discretisation (meshing) of the structural element (typically 4-5 elements per structural member) is required for the computation of nodal forces/displacements, in order to accept the assumption of a linear curvature field inside each of the sub-domains. Still, in the latter case users are not advised to rely on the values of computed sectional curvatures and individual fibre stress-strain states.

Instead, a FB formulation is always exact, since it does not depend on the assumed sectional constitutive behaviour. In fact, it does not restrain in any way the displacement field of the element. In this sense this formulation can be regarded as always "exact". In this sense this formulation can be regarded as always "exact", the only approximation being introduced by the discrete number of the controlling sections along the element that are used for the numerical integration. A number of 4 Gauss-Lobatto integration sections are required to avoid under-integration, option which will in general simulate the spread of inelasticity in an acceptable way. Such feature enables to model each structural member with a single FE element, therefore allowing a one-to-one correspondence between structural members (beams and columns) and model elements. In other words, no meshing is theoretically required within each element, even if the cross section is not constant. This is because the force field is always exact, regardless of the level of inelasticity.

Force-Based Fibre Element

In SeismoBuild, both aforementioned DB and FB element formulations are implemented, with the latter being typically recommended, since, as mentioned above, it does not in general call for element discretisation, thus leading to considerably smaller models, with respect to when DB elements are used, and thus much faster analyses, notwithstanding the heavier element equilibrium calculations. An exception to this non-discretisation rule arises when localisation issues are expected, in which case special cautions/measures are needed, as discussed in Calabrese et al. [2010].

Finally, it is noted that, for reasons of higher accuracy, the Lobatto quadrature is used. The approximate coordinates along the element's length (measured from its baricentre) of the integration sections are for 4 integration sections: [-1 -0.447 0.447 1] x L/2.

Notes

  1. Users are also invited to read the N EHRP Seismic Design Technical Brief No. 4 (i.e. Deierlein G.G., Reinhorn A.M., and Willford M.R. [2010]), in which the nonlinear modelling is well covered.
  2. The Inelastic displacement-based frame element type - infrmDB is used only for members of small length, e.g. to model short columns.


Global and local axes system

Global and local axes systems

In SeismoBuild, a fixed x-y-z global axis system is in place, used to define length (x), depth (y) and height (z) of all structural models. In addition, and being a 3D modelling program, SeismoBuild requires also that local 1-2-3 coordinate systems are assigned to all structural elements, so that their orientation in space is known. By convention, local direction (1) refers to the chord axis of the element, whilst axes (2) and (3) define the plane of the cross-section and its orientation. Although there are no constraints imposed on the definition of local axes (2) and (3), it is common for users to associate axis (2) to the "weak direction" of the member and to link axis (3) to the "strong direction" of the element, as illustrated below, where a beam is schematically represented. This is the convention also adopted in the illustrative drawings employed in the Modify/View additional reinforcement window available in the Building Modeller sections' properties.

Whilst the orientation of local vector (1) results unambiguously characterised by the line joining the two end-nodes of the element (positive direction is that going from node n1 to node n2), the so-called right-hand rule is employed in order to fully describe the orientation of the two other remaining local axes, and thus that of the cross-section.

Note: For column members the orientation of the elements is automatically defined by the program. The default orientation for the local vector (1) is from the lower to the upper floor, i.e. the node n1 is the node of the lower floor and the node n2 is the node of the floor above.


Nonlinear solution procedure

True structural behaviour is inherently nonlinear, characterised by non-proportional variation of displacements with loading, particularly in the presence of large displacements or material nonlinearities. Hence, in SeismoBuild, all analyses (with the obvious exception of eigenvalue procedure) are treated as potentially nonlinear, implying the use of an incremental iterative solution procedure whereby loads are applied in pre-defined increments, equilibrated through an iterative procedure.

  • Incremental iterative algorithm
  • Automatic adjustment of load increment or time-step
  • Convergence criteria
  • Numerical instability, divergence and iteration prediction


Incremental iterative algorithm

The solution algorithm is fairly flexible since it allows the employment of Newton-Raphson (NR), modified Newton-Raphson (mNR) or NR-mNR hybrid solution procedures. It is clear that the computational savings in the formation, assembly and reduction of the stiffness matrix during the iterative process can be significant when using the mNR instead of the NR procedures. However, more iterations are often required with the mNR, thus leading in some cases to an excessive computational effort. For this reason, the hybrid approach, whereby the stiffness matrix is updated only in the first few iterations of a load increment, does usually lead to an optimum scenario.

The iterative procedure follows the conventional schemes employed in nonlinear analysis, whereby the internal forces corresponding to a displacement increment are computed and convergence is checked. If no convergence is achieved, then the out-of-balance forces (difference between applied load vector and equilibrated internal forces) are applied to the structure, and the new displacement increment is computed. Such loop proceeds until convergence has been achieved (log flag message equal to Converg) or the maximum number of iterations, specified by the user, has been reached (log flag message equal to Max_Ite).

For further discussion and clarifications on the algorithms described above, users are strongly advised to refer to available literature, such as the work by Cook et al. [1988], Crisfield [1991], Zienkiewicz and Taylor [1991], Bathe [1996] and Felippa [2002], to name but a few.

Note: Individual force-based frame elements require a number of iterations to be carried in order for internal equilibrium to be reached. In some cases, the latter element loop equilibrium cannot be reached, as signalled by log flag messages fbd_inv and fbd_ite. Refer to here for further information on this issue.


Automatic adjustment of load increment or time-step

As discussed in here, for each increment, several iterations are carried out until convergence is achieved. If convergence is not reached within the specified maximum number of iterations, the load increment (or time-step) is reduced and the analysis is restarted from the last point of equilibrium (end of previous increment or time-step). This step reduction, however, is not constant but rather adapted to the level of non-convergence verified.

As illustrated below, at the end of a solution step or increment, a convergence ratio indicator (convrat), defined as the maximum of ratios between the achieved and the required displacement/force convergence factors (see convergence), is computed. Then, depending on how far away the analysis was from reaching convergence (convrat = 1.0), a small, average or large step reduction factor (srf) is adopted and employed in the calculation of the new step factor (ifac). The product between the latter and the initial time-step or load increment, defined by the user at the start of the analysis, yields the reduced analysis step to be used in the subsequent increment.

It is however noteworthy that, in order to prevent ill-defined analysis (which never reach convergence) to continue on running indefinitely, a user-defined lower limit for the step factor (facmin) is imposed and checked upon. If ifac results smaller than facmin then the analysis is terminated.

To minimise duration of analyses, it is fundamental that once convergence is reached, the load increment or time-step can be gradually increased. For this reason, an efficiency ratio indicator (efrat), defined as the ratio between the number of iterations carried out (ite) to reach convergence and the maximum number of iterations that were allowed (nitmax), is calculated. Depending on how far the analysis was from 'efficiency' (efrat > 0.8), a small, average or large step increasing factor (sif) is adopted and employed in the calculation of the new step factor (ifac). The product between the latter and the initial time-step or load increment, defined by the user at the start of the analysis, yields the augmented analysis step to be used in the subsequent increment.

It is however noteworthy that the step factor is upper-bounded by a value of 1, so as to ensure that the time step or load increment do not become larger than its initial counterpart, defined by the user at the start of the analysis.


Convergence criteria

Four different convergence check schemes, which make use of two distinct criteria (displacement/rotation and force/moment based), are available in SeismoBuild for checking the convergence of a solution at the end of every iteration:

a. Displacement/Rotation based scheme
b. Force/Moment based scheme
c. Displacement/Rotation AND Force/Moment based scheme
d. Displacement/Rotation OR Force/Moment based scheme

Herein, the formulation of the two criteria employed in all four schemes is given, whilst the applicability of the latter is discussed elsewhere.

The displacement/rotation criterion consists in verifying, for each individual degree-of-freedom of the structure, that the current iterative displacement/rotation is less or equal than a user-specified tolerance. In other words, if and when all values of displacement or rotation that result from the application of the iterative (out-of-balance) load vector are less or equal to the pre-defined displacement/rotation tolerance factors, then the solution is deemed as having converged. This concept can be mathematically expressed in the following manner:

The force/moment criterion, on the other hand, comprises the calculation of the Euclidean norm of the iterative out-of-balance load vector (normalised to the incremental loads), and subsequent comparison to a user-defined tolerance factor. It is therefore a global convergence check (convergence is not checked for every individual degree-of-freedom as is done for the displacement/rotation case) that provides an image of the overall state of convergence of the solution, and which can be mathematically described in the following manner:


Numerical instability, divergence and iteration prediction

In addition to the convergence verification, at the end of an iterative step three other solution checks may be carried out; numerical instability, solution divergence and iteration prediction. These criteria, all of a force/moment nature, serve the purpose of avoiding the computation of useless equilibrium iterations in cases where it is apparent that convergence will not be reached, thus minimising the duration of the analysis.

Numerical instability
The possibility of the solution becoming numerically unstable is checked at every iteration by comparing the Euclidean norm of out-of-balance loads, Gnorm, with a pre-defined maximum tolerance (default=1.0E+20), several orders of magnitude larger than the applied load vector. If Gnorm exceeds this tolerance, then the solution is assumed as being numerically unstable and iterations within the current increment are interrupted, with a log flag message equal to Max_Tol.

On occasions, very unstable models lead to the sudden development of out-of-balance forces that are several orders of magnitude larger than the maximum tolerance value. This in turn creates a so-called Solution Problem (i.e. the analysis crashes, albeit in a "clean manner"), and iterations within the current increment are interrupted, with a log flag message equal to Sol_Prb.

Solution divergence
Divergence of the solution is checked by comparing the value of Gnorm obtained in the current iteration with that obtained in the previous one. If Gnorm has increased, then it is assumed that the solution is diverging and iterations within the current increment are interrupted, with a log flag message equal to Diverge.

Iteration prediction
Finally, a logarithmic convergence rate check is also carried out, so as to try to predict the number of iterations (itepred) required for convergence to be achieved. If itepred is larger than the maximum number of iterations specified by the user, then it is assumed that the solution will not achieve convergence and iterations within the current increment are interrupted, with a log flag message equal to Prd_Ite.

The following equation is used to compute the value of itepred, noting that ite represents the current number of iterations and Gtol is the force/moment tolerance:

The three checks described above are usually reliable and effective within the scope of applicability of SeismoBuild, for as long as the divergence and iteration prediction check is not carried out during the first iterations of an increment when the solution might not yet be stable enough. This issue is discussed in further detail in the iterative strategy section, where all user-defined parameters related to these criteria are described.

Note: Individual force-based frame elements require a number of iterations to be carried in order for internal equilibrium to be reached. In some cases, the latter element loop equilibrium cannot be reached, as signalled by log flag messages fbd_inv and fbd_ite. Refer to here for further information on this issue.


Materials

Eleven material types are available in SeismoBuild.

  • Bilinear steel model - stl_bl
  • Bilinear steel model with isotropic strain hardening - stl_bl2
  • Ramberg Osgood steel model - stl_ro
  • Menegotto-Pinto steel model - stl_mp
  • Giuffre-Menegotto-Pinto Model with Isotropic Hardening – stl_gmp
  • Dodd and Restrepo steel model - stl_dr
  • Monti-Nuti steel model - stl_mn
  • Buckling-Restrained steel brace material - stl_brb
  • Mander et al. nonlinear concrete model - con_ma
  • Trilinear concrete model - con_tl
  • Chang-Mander nonlinear concrete model - con_cm
  • Kappos and Konstantinidis nonlinear concrete model - con_hs
  • Engineered cementitious composites material - con_ecc
  • Kent-Scott-Park concrete model - con_ksp

Materials that are to be available within a SeismoBuild project come defined in the Advanced Building Modelling and in the Materials Sets module within Building Modeller.


Bilinear steel model - stl_bl

This is a uniaxial bilinear stress-strain model with kinematic strain hardening, whereby the elastic range remains constant throughout the various loading stages, and the kinematic hardening rule for the yield surface is assumed as a linear function of the increment of plastic strain. This simple model is also characterised by its computational efficiency and can be used in the modelling of both steel structures, where mild steel is usually employed, as well as reinforced concrete models, where worked steel is commonly utilised. As discussed by Prota et al. [2009], with the correct calibration, this model, initially developed with ribbed reinforcement bars in mind, can also be employed for the modelling of smooth rebars, often found in existing structures.

Users have to assign the mean value of steel strength and the mean value minus the standard deviation or the characteristic value in order to describe the mechanical characteristics of the existing or the new material respectively.


Bilinear steel model with isotropic strain hardening- stl_bl2

This is a uniaxial bilinear stress-strain model characterized by a linear kinematic hardening rule and an optional feature of isotropic hardening which is described by a non-linear rule.

Users have to assign the mean value of steel strength and the mean value minus the standard deviation or the characteristic value in order to describe the mechanical characteristics of the existing or the new material respectively.


Ramberg-Osgood steel model - stl_ro

This is the Ramberg-Osgood stress-strain model [Ramberg and Osgood, 1943], as described in the work of Kaldjian [1967] and Otani [1981].

Users have to assign the mean value of steel strength and the mean value minus the standard deviation or the characteristic value in order to describe the mechanical characteristics of the existing or the new material respectively.


Menegotto-Pinto steel model - stl_mp

This is a uniaxial steel model initially programmed by Yassin [1994] based on a simple, yet efficient, stress-strain relationship proposed by Menegotto and Pinto [1973], coupled with the isotropic hardening rules proposed by Filippou et al. [1983]. The current implementation follows that carried out by Monti et al. [1996]. An additional memory rule proposed by Fragiadakis et al. [2008] is also introduced, for higher numerical stability/accuracy under transient seismic loading. Its employment should be confined to the modelling of reinforced concrete structures, particularly those subjected to complex loading histories, where significant load reversals might occur.

Users have to assign the mean value of steel strength and the mean value minus the standard deviation or the characteristic value in order to describe the mechanical characteristics of the existing or the new material respectively.


Giuffre-Menegotto-Pinto Model with Isotropic Hardening – stl_gmp

This is a uniaxial Giuffre-Menegotto-Pinto Material with optional isotropic hardening described by a non-linear rule. The transition from elastic to plastic behaviour is described by the Giuffre-Menegotto-Pinto Model. The material model was described in full detail by Filippou et al. [1983]. The material should be mainly utilized for the modelling of the behaviour of reinforcing steel in reinforced concrete structures, especially in the case when load reversals occur.

Users have to assign the mean value of steel strength and the mean value minus the standard deviation or the characteristic value in order to describe the mechanical characteristics of the existing or the new material respectively.


Dodd and Restrepo steel model - stl_dr

This is a uniaxial steel model initially programmed by Dodd and Restrepo [1995]. It considers the reduction of the unloading modulus with the plastic strain, whilst the reduction of the ultimate tensile strain is taken solely as a function of the maximum compressive strain, when the number of cycles is small enough to ignore the effects of low-cycle fatigue.

Users have to assign the mean value of steel strength and the mean value minus the standard deviation or the characteristic value in order to describe the mechanical characteristics of the existing or the new material respectively.


Monti-Nuti steel model - stl_mn

This is a uniaxial steel model initially programmed by Monti et al. [1996], which is able to describe the post-elastic buckling behaviour of reinforcing bars under compression. It uses the Menegotto and Pinto [1973] stress-strain relationship together with the isotropic hardening rules proposed by Filippou et al. [1983] and the buckling rules proposed by Monti and Nuti [1992]. An additional memory rule proposed by Fragiadakis et al. [2008] is also introduced, for higher numerical stability/accuracy under transient seismic loading. Its employment should be confined to the modelling of reinforced concrete members where buckling of reinforcement might occur (e.g. columns under severe cyclic loading). Further, as discussed by Prota et al. [2009], with the correct calibration, this model, initially developed with ribbed reinforcement bars in mind, can also be employed for the modelling of smooth rebars, often found in existing structures.

Users have to assign the mean value of steel strength and the mean value minus the standard deviation or the characteristic value in order to describe the mechanical characteristics of the existing or the new material respectively.


Buckling_Restrained_steel_brace_model_stl_brb

Buckling Restrained steel brace model - stl_brb

Stl_BRB is a uniaxial steel material model describing the behaviour of steel in Bucking Restrained Braces. The model has been presented by Zona et al. [2012]

Users have to assign the mean value of steel strength and the mean value minus the standard deviation or the characteristic value in order to describe the mechanical characteristics of the existing or the new material respectively.


Mander et al. nonlinear concrete model - con_ma

This is a uniaxial nonlinear constant confinement model, initially programmed by Madas [1993], that follows the constitutive relationship proposed by Mander et al. [1988] and the cyclic rules proposed by Martinez-Rueda and Elnashai [1997]. The confinement effects provided by the lateral transverse reinforcement are incorporated through the rules proposed by Mander et al. [1988] whereby constant confining pressure is assumed throughout the entire stress-strain range.

Users have to assign the mean value of concrete strength and the mean value minus the standard deviation or the characteristic value in order to describe the mechanical characteristics of the existing or the new material respectively.

Note: T he confinement factor employed by this material type is a constant confinement factor. It is defined as the ratio between the confined and unconfined compressive stress of the concrete, and used to scale up the stress-strain relationship throughout the entire strain range. Although it may be computed through the use of any confinement model available in the literature [e.g. Ahmad and Shah, 1982; Sheikh and Uzumeri, 1982; Eurocode 8, 2004; Penelis and Kappos, 1997], the Mander et al. [1989] is used by the program. Its value usually fluctuates between the values of 1.0 and 2.0 for reinforced concrete.


Trilinear concrete model - con_tl

This is a simplified uniaxial trilinear concrete model that assumes no resistance to tension and features a residual strength plateau.

Users have to assign the mean value of concrete strength and the mean value minus the standard deviation or the characteristic value in order to describe the mechanical characteristics of the existing or the new material respectively.


Chang-Mander nonlinear concrete model - con_cm

It is the implementation of Chang & Mander's [Chang & Mander, 1994] concrete model, which puts particular emphasis on the transition of the stress-strain relation upon crack opening and closure, contrary to other similar models that assume sudden crack closure with rapid change in section modulus. The concrete in tension is modeled with a cyclic behaviour similar to that in compression, and the model envelopes for compression and tension have control on the slope of the stress-strain behaviour at the origin, and the shape of both the ascending and descending (i.e. pre-peak and post-peak) branches of the stress-strain behaviour.

Users have to assign the mean value of concrete strength and the mean value minus the standard deviation or the characteristic value in order to describe the mechanical characteristics of the existing or the new material respectively.


Kappos and Konstantinidis nonlinear concrete model - con_hs

This is a uniaxial nonlinear constant confinement for high-strength concrete model, developed and initially programmed by Kappos and Konstantinidis [1999]. It follows the constitutive relationship proposed by Nagashima et al. [1992] and has been statistically calibrated to fit a very wide range of experimental data. The confinement effects provided by the lateral transverse reinforcement are incorporated through the modified Sheikh and Uzumeri [1982] factor (i.e. confinement effectiveness coefficient), assuming that a constant confining pressure is applied throughout the entire stress-strain range.

Users have to assign the mean value of concrete strength and the mean value minus the standard deviation or the characteristic value in order to describe the mechanical characteristics of the existing or the new material respectively.

Note: The need for a special-purpose high-strength concrete model raises from the fact that this type of concrete features a stress-strain response that differs quite significantly from its normal strength counterpart, particularly in what concerns the post-peak behaviour, which tends to be considerably less ductile.


Engineered cementitious composites material - con_ecc

Con_ecc is a uniaxial generic material modeling the behavior of ductile fiber-reinforced cement-based composites as described by Han et al. [2003]. The model needs 13 variables for its definition.

Users have to assign the mean value of concrete strength and the mean value minus the standard deviation or the characteristic value in order to describe the mechanical characteristics of the existing or the new material respectively.


Kent-Scott-Park concrete model - con_ksp

The con_ksp is a simplified uniaxial concrete model with a stress-strain relationship described by Kent and Park [1971] and a cyclic behaviour proposed by Karsan and Jirsa [1969]. The model is characterized by zero tensile strength. Five variables are needed for the definition of the model.

Users have to assign the mean value of concrete strength and the mean value minus the standard deviation or the characteristic value in order to describe the mechanical characteristics of the existing or the new material respectively.


Element Types

Different element types may be employed for columns/beams and walls. The available element types in SeismoBuild are listed below:

  • Inelastic force-based frame element type - infrmFB
  • Inelastic force-based plastic hinge frame element type - infrmFBPH
  • Inelastic displacement-based plastic hinge frame element type - infrmDBPH
  • Inelastic displacement-based frame element type - infrmDB
  • Elastic frame element - elfrm


Inelastic force-based frame element type - infrmFB

This is the force-based 3D beam-column element type capable of modelling members of space frames with geometric and material nonlinearities. As described in here , the sectional stress-strain state of beam-column elements is obtained through the integration of the nonlinear uniaxial material response of the individual fibres in which the section has been subdivided, fully accounting for the spread of inelasticity along the member length and across the section depth.

As discussed in Material Inelasticity, element infrmFB is the most accurate among the four inelastic frame element types of SeismoBuild, since it is capable of capturing the inelastic behaviour along the entire length of a structural member. Hence, its use allows for very high accuracy in the analytical results, even when employing a single element per member. Hence, its use allows for very high accuracy in the analytical results, while giving users the possibility of readily employing element chord-rotations output for seismic code verifications (e.g. Eurocode 8, ASCE/SEI 41-17, etc.).

The number of section fibres used in equilibrium computations carried out at each of the four element's integration sections is by default equal to 150.

Local Axes and Output Notation


Inelastic force-based plastic hinge frame element type- infrmFBPH

This is the plastic-hinge counterpart to the infrmFB element, featuring a similar distributed inelasticity forced-based formulation, but concentrating such inelasticity within a fixed length of the element, as proposed by Scott and Fenves [2006].

The advantages of such formulation are not only a reduced analysis time (since fibre integration is carried out for the two member end sections only), but also a full control/calibration of the plastic hinge length (or spread of inelasticity), which allows the overcoming of localisation issues, as discussed e.g. in Calabrese et al. [2010].

The number of section fibres used in equilibrium computations carried out at the element's end sections is equal to 150. This number of section fibres is sufficient to guarantee an adequate reproduction of the stress-strain distribution across the element's cross-section. In addition, the plastic hinge length is defined as a percentage of the total element's length, the default percentage in SeismoBuild is set equal to 16.67%.

Local Axes and Output Notation


Inelastic displacement-based plastic hinge frame element type - infrmDBPH

This is a displacement-based plastic-hinge 3D beam-column element with concentrated plasticity at the two element's ends. It is a typical one-component Giberson model [Giberson, 1967], which consists of one elastic girder and four nonlinear rotational springs attached at the two element's ends in both the 2nd and the 3rd local axis.

All nonlinear deformations of the element are lumped in these rotational springs, whereas the rest of the member remains elastic. The moment-rotation curves in the two local axes at each end are independent. This is obviously a simplification with respect to the force-based plastic hinge element, where inelastic deformations spread over a finite region at the ends of the girder and the behaviour in the two local axes is correlated. However this lack of accurate modelling is compensated by increased stability and significantly shorter analysis times.

Geometric nonlinearities, specifically force –displacement relationships, are modelled in the DBPH formulation by four nonlinear rotational springs at the element's ends featuring a hysteretic curve based on the Modified Ibarra Medina Krawinkler (MIMK) deterioration curve with bilinear hysteretic rules. The hysteretic curve parameters are calculated automatically on the basis of ASCE 41-17 provisions, hence users need only to specify the member’s section.

Local Axes and Output Notation


Inelastic displacement-based frame element type - infrmDB

This is the displacement-based 3D beam-column element type capable of modelling members of space frames with geometric and material nonlinearities. As described in here , the sectional stress-strain state is obtained through the integration of the nonlinear uniaxial material response of the individual fibres in which the section has been subdivided, fully accounting for the spread of inelasticity along the member length and across the section depth.

The displacement-based formulation follows a standard FE approach [e.g. Hellesland and Scordelis 1981; Mari and Scordelis 1984], where the element deformations are interpolated from an approximate displacement field, before the PVD is used to form the element equilibrium relationship. The DB formulation features two integration sections per element, and the Gauss quadrature is employed for higher accuracy.

In order to approximate nonlinear element response, constant axial deformation and linear curvature distribution are enforced along the element length, which is exact only for prismatic linear elastic elements. Consequently, infrmDB should be employed with members of small length, for which reason infrmDB elements are used in SeismoBuild only to model short columns and beams.

Similarly to the force-based elements, the number of section fibres used in equilibrium computations carried out at each of the element's integration sections is equal to 150.

Local Axes and Output Notation


Elastic frame element - elfrm

There are cases where the use of an inelastic frame element is not required (e.g. members subjected to low levels of excitation and thus responding within their elastic range). For such cases, the employment of an elastic linear frame element might be desirable, for which reason element type elfrm has been developed and implemented in SeismoBuild.

Note: In the elfrm element, P-delta effects as well as large displacement/rotation effects are dully taken into account.

Local Axes and Output Notation


Convergence Problems

This chapter serves the purpose of providing users with guidelines for overcoming the convergence problems that might arise during the structural analysis.

  • Convergence and Divergence Flags
  • Tips to Solve Convergence Problems


Convergence and Divergence flags

Hereby a complete list of the messages that are output by the SeismoBuild solver in the case if divergence is provided, together with possible measures that the user can take, in order to make the analysis converge.

Converg: This message means that the analysis has converged in the current loading step, and is proceeding to the next step.

Max_Ite: This message is output, if the maximum number of iterations has been reached in the current loading step, and convergence has not been achieved yet. In such cases, either increase the maximum number of iterations (Global Iterative Strategy), increase the convergence criteria values (Convergence Criteria), employ a less stringent type of convergence check (e.g. Displacement/Rotation based only scheme instead of Displacement/ Rotation based AND Force/Moment based).

Prd_Ite: This flag is similar to the Max_Ite message, the difference being that the solver does not wait until the maximum number iterations have been reached. Instead, it makes a prediction of the number of iterations that are expected to be needed for convergence, based on how the iterative solution is converging (i.e. size of out-of-balance forces, and how fast the convergence tolerance is being reached). If the predicted iterations is larger than the maximum iterations specified by the user, the Prd_Ite flag is output and the analysis diverges. In such cases, either increase the Maximum number of iterations (Global Iterative Strategy), choose a looser convergence criteria scheme with larger convergence tolerances (Convergence Criteria), or decrease the loading step, as with the Max_Ite message. It is noted that Prd_Ite is the most common divergence flag.

Diverge: This flag is output when the iterative process in the current step is diverging, instead of converging to the solution. It is noted that the check for diverging solutions is always carried out after the Divergence Iteration that is specified by the user in Global Iterative Strategy. This is done because in general the solution procedures are unstable at the initial 3-4 steps, before they get stable and gradually converge to the solution. Users are advised to either increase the Divergence Iteration and the Maximum number of iterations from the Global Iterative Strategy page, choose looser convergence criteria from the Convergence Criteria page, or decrease the loading step.

elm_Ite: This message appears when the maximum number of iterations is reached in the internal element loop of the elements that require iterations on the element level (infrmFB and infrmFBPH), without internal equilibrium having been achieved. Users are advised to either increase the number of iterations or increase the convergence tolerance from the Element Iterative Strategy tab. Alternatively, the ‘Do not allow element unbalanced forces in case of elm_ite’ option may be unchecked. Finally, measure on the global level may be taken, for instance the analysis load step can be decreased (by increasing the load factor increments or the time-steps), and the global convergence criteria can be increased. Users are advised to refer to the specific documentation [e.g. Spacone et al. 1996; Neuenhofer and Filippou 1997] for a better understanding of the internal loops of the force-based elements.

elm_Inv: This message appears when the stiffness matrix of an element that employs internal iterations cannot be inverted during the internal element loops. In such cases, users are advised to increase the elements' convergence tolerance from the Element Iterative Strategy tab, to decrease the global analysis load step or to increase the global convergence tolerance values.

fbd_Tol: This message appears when the maximum tolerance value, as specified in the Global Iterative Strategy page, has been exceeded during the internal element loops of the force-based elements. Similar actions with the fbd_Inv flag should be taken.

Max_Tol: This flag signifies solutions that become very unstable numerically with out-of-balance forces larger than the Maximum Tolerance (default=1.0E+20) that is specified in the Global Iterative Strategy page. Users are advised to decrease the load increment, or to adopt looser convergence criteria. Alternatively, the Maximum Tolerance may be increased, but its value should never exceed values of 1.0E+35 or 1.0E+40, whilst it is noted that in very few cases the latter will lead to stable solutions.

Sol_Prb: This message means that a solution of the analysis equations in the current iteration could not be found. There are numerous reasons for this behaviour, such as extreme values of out-of-balance forces or zero diagonal stiffness values. Similar measures to those suggested for the case of Max_Tol flag should be taken.


Tips to Solve Convergence Problems

Hereby a complete list of the messages that are output by the SeismoBuild solver in the case if divergence is provided, together with possible measures that the user can take, in order to make the analysis converge.

Hereby a number of steps to follow for solving convergence problems are proposed. Users are advised to:

  • Apply the automatic adaptation of the norms in the Convergence criteria tab of the program’s Advanced Settings (Analysis Parameters>Advanced Settings).
  • Select to show Convergence problems in the post-processor through the Analysis Parameters>Advanced Settings> Convergence criteria tab. The visualisation of the locations of the structure (elements or nodes), where the convergence difficulties arise, provides significant feedback for the identification of the reasons for divergence (e.g. under-reinforced beams that cannot sustain the gravity loads, elements with very high deformations demand, such as short columns or coupling beams, etc.).
  • Uncheck the ‘Do not allow unbalanced forces in case of elm_Ite’ for both the force-based (infrmFB & infrmFBPH) element types in the Element Iterative Strategy tab of the Advanced Settings.
  • Reduce the Maximum Interstorey Drift value in the Analysis tab of the Code Requirements. This value should not exceed 1.00 or 1.20% for tall buildings and for stiff buildings with large shear walls.
  • Assign 100 pushover analysis steps in the Analysis tab of the Code Requirements. This value should be further increased in the cases, where significant loading is expected.
  • Select the ‘Apply Displacement Based Frame Elements To All Members With Length (m) <’ in the Advanced Building Modelling tab of the program’s Advanced Settings (Analysis Parameters>Advanced Settings), in order to use the infrmDB element type for short members. This change typically leads to improved convergence.
  • Increase the maximum number of iterations to 70, the number of stiffness updates to 60 and the divergence iteration to 60 in the Iterative Strategy tab of the Advanced Settings (Analysis Parameters>Advanced Settings).
  • Use the elastic frame element type for the coupling beams that cause convergence problems. In such cases the elements’ moment releases should released by selecting the relevant checkboxes for the M2a, M3a, M2b and M3b degrees-of–freedom, through the Advanced Member Modelling Parameters of the member in the Building Modeller, in order to account for the formation of plastic hinges at the ends of the coupling beams.
  • Increase the values of the convergence norms from the Convergence Criteria tab of the program’s Advanced Settings (Analysis Parameters>Advanced Settings).
  • Increase the rigidity of the rigid diaphragms to 1.0E+13 through the Constraints tab of the Advanced Settings.
  • Select the Control Node to be in the side of the building with the larger deformation demand, through the Structural Modelling tab of the Building Modelling Settings inside the Building Modeller.
  • If the divergence messages of the analysis are mostly Max_Tol or fbd_tol, increase the Maximum Tolerance value to 1e40 in the Iterative Strategy tab of the Advanced Settings (Analysis Parameters>Advanced Settings).
  • Increase the number of fibers for the walls in the Modelling Parameters of the members inside the Building Modeller.
  • For taller buildings uncheck the Include Geometric Nonlinearities checkbox in the Analysis tab of the Advanced Settings.

Moreover:

  • users are advised to check the last or the 2-3 last steps of the analysis with convergence problems in order to understand and resolve the reasons for divergence. In such cases the Convergence Problems page of the post-processor should be advised. Furthermore, running an Eigenvalue analysis with the same model might offer valuable insight to the problem (e.g. identify a beam that is close to, but unconnected, to an adjacent column, and behaves as a cantilever, not being able to sustain the gravity load);
  • it is noted that elements that cause divergence problems are not necessarily the ones that withstand significant loading. They are the ones that at the current step face increased tangential change of the deformation state/internal force re-distribution. Hence, sometimes failed elements can increase significantly the load sustained by adjacent elements, thus leading them to convergence difficulties, contrary to the failed elements themselves, which converge easily;
  • the removal of the effective width of beams should also be considered by unchecking the ‘Include Effective Width’ checkbox in the Structural Modelling tab of the Building Modelling Settings inside the Building Modeller.


Master page

Getting Started

In

About SeismoBuild| Getting Started | Building Modeller | Code Requirements | Analysis Parameters | Eigenvalue analysis | Pushover analysis | Checks | Report | Other Capabilities | Theoretical Background
SeismoBuild's Help System - © 2002-2016 Seismosoft Ltd. All rights reserved.